=== modified file 'client/drizzle.c'
--- client/drizzle.c	2008-07-27 19:30:42 +0000
+++ client/drizzle.c	2008-07-28 01:47:41 +0000
@@ -2911,23 +2911,23 @@
 static const char *fieldtype2str(enum enum_field_types type)
 {
   switch (type) {
-    case FIELD_TYPE_BLOB:        return "BLOB";
-    case FIELD_TYPE_NEWDATE:        return "DATE";
-    case FIELD_TYPE_DATETIME:    return "DATETIME";
-    case FIELD_TYPE_NEWDECIMAL:  return "DECIMAL";
-    case FIELD_TYPE_DOUBLE:      return "DOUBLE";
-    case FIELD_TYPE_ENUM:        return "ENUM";
-    case FIELD_TYPE_LONG:        return "LONG";
-    case FIELD_TYPE_LONGLONG:    return "LONGLONG";
-    case FIELD_TYPE_NULL:        return "NULL";
-    case FIELD_TYPE_SET:         return "SET";
-    case FIELD_TYPE_SHORT:       return "SHORT";
-    case FIELD_TYPE_STRING:      return "STRING";
-    case FIELD_TYPE_TIME:        return "TIME";
-    case FIELD_TYPE_TIMESTAMP:   return "TIMESTAMP";
-    case FIELD_TYPE_TINY:        return "TINY";
-    case FIELD_TYPE_VAR_STRING:  return "VAR_STRING";
-    case FIELD_TYPE_YEAR:        return "YEAR";
+    case DRIZZLE_TYPE_BLOB:        return "BLOB";
+    case DRIZZLE_TYPE_NEWDATE:        return "DATE";
+    case DRIZZLE_TYPE_DATETIME:    return "DATETIME";
+    case DRIZZLE_TYPE_NEWDECIMAL:  return "DECIMAL";
+    case DRIZZLE_TYPE_DOUBLE:      return "DOUBLE";
+    case DRIZZLE_TYPE_ENUM:        return "ENUM";
+    case DRIZZLE_TYPE_LONG:        return "LONG";
+    case DRIZZLE_TYPE_LONGLONG:    return "LONGLONG";
+    case DRIZZLE_TYPE_NULL:        return "NULL";
+    case DRIZZLE_TYPE_SET:         return "SET";
+    case DRIZZLE_TYPE_SHORT:       return "SHORT";
+    case DRIZZLE_TYPE_STRING:      return "STRING";
+    case DRIZZLE_TYPE_TIME:        return "TIME";
+    case DRIZZLE_TYPE_TIMESTAMP:   return "TIMESTAMP";
+    case DRIZZLE_TYPE_TINY:        return "TINY";
+    case DRIZZLE_TYPE_VAR_STRING:  return "VAR_STRING";
+    case DRIZZLE_TYPE_YEAR:        return "YEAR";
     default:                     return "?-unknown-?";
   }
 }

=== modified file 'client/drizzledump.c'
--- client/drizzledump.c	2008-07-27 19:30:42 +0000
+++ client/drizzledump.c	2008-07-28 01:47:41 +0000
@@ -2292,9 +2292,9 @@
            we'll dump in hex only BLOB columns.
         */
         is_blob= (opt_hex_blob && field->charsetnr == 63 &&
-                  (field->type == FIELD_TYPE_STRING ||
-                   field->type == FIELD_TYPE_VARCHAR ||
-                   field->type == FIELD_TYPE_BLOB)) ? 1 : 0;
+                  (field->type == DRIZZLE_TYPE_STRING ||
+                   field->type == DRIZZLE_TYPE_VARCHAR ||
+                   field->type == DRIZZLE_TYPE_BLOB)) ? 1 : 0;
         if (extended_insert && !opt_xml)
         {
           if (i == 0)

=== modified file 'include/drizzle.h'
--- include/drizzle.h	2008-07-27 19:30:42 +0000
+++ include/drizzle.h	2008-07-28 01:47:41 +0000
@@ -59,10 +59,10 @@
 #define IS_PRI_KEY(n)  ((n) & PRI_KEY_FLAG)
 #define IS_NOT_NULL(n)  ((n) & NOT_NULL_FLAG)
 #define IS_BLOB(n)  ((n) & BLOB_FLAG)
-#define IS_NUM(t)  ((t) <= FIELD_TYPE_LONGLONG || (t) == FIELD_TYPE_YEAR || (t) == FIELD_TYPE_NEWDECIMAL)
+#define IS_NUM(t)  ((t) <= DRIZZLE_TYPE_LONGLONG || (t) == DRIZZLE_TYPE_YEAR || (t) == DRIZZLE_TYPE_NEWDECIMAL)
 #define IS_NUM_FIELD(f)   ((f)->flags & NUM_FLAG)
-#define INTERNAL_NUM_FIELD(f) (((f)->type <= FIELD_TYPE_LONGLONG && ((f)->type != FIELD_TYPE_TIMESTAMP || (f)->length == 14 || (f)->length == 8)) || (f)->type == FIELD_TYPE_YEAR)
-#define IS_LONGDATA(t) ((t) >= FIELD_TYPE_TINY_BLOB && (t) <= FIELD_TYPE_STRING)
+#define INTERNAL_NUM_FIELD(f) (((f)->type <= DRIZZLE_TYPE_LONGLONG && ((f)->type != DRIZZLE_TYPE_TIMESTAMP || (f)->length == 14 || (f)->length == 8)) || (f)->type == DRIZZLE_TYPE_YEAR)
+#define IS_LONGDATA(t) ((t) >= DRIZZLE_TYPE_TINY_BLOB && (t) <= DRIZZLE_TYPE_STRING)
 
 
 typedef struct st_drizzle_field {

=== modified file 'include/drizzle/server/field/blob.h'
--- include/drizzle/server/field/blob.h	2008-07-27 19:30:42 +0000
+++ include/drizzle/server/field/blob.h	2008-07-28 01:47:41 +0000
@@ -57,7 +57,7 @@
   Field_blob(uint32_t packlength_arg)
     :Field_longstr((uchar*) 0, 0, (uchar*) "", 0, NONE, "temp", system_charset_info),
     packlength(packlength_arg) {}
-  enum_field_types type() const { return FIELD_TYPE_BLOB;}
+  enum_field_types type() const { return DRIZZLE_TYPE_BLOB;}
   enum ha_base_keytype key_type() const
     { return binary() ? HA_KEYTYPE_VARBINARY2 : HA_KEYTYPE_VARTEXT2; }
   int  store(const char *to,uint length,CHARSET_INFO *charset);

=== modified file 'include/drizzle/server/field/date.h'
--- include/drizzle/server/field/date.h	2008-07-27 19:30:42 +0000
+++ include/drizzle/server/field/date.h	2008-07-28 01:47:41 +0000
@@ -35,8 +35,8 @@
                 CHARSET_INFO *cs)
     :Field_str((uchar*) 0,10, maybe_null_arg ? (uchar*) "": 0,0,
                NONE, field_name_arg, cs) {}
-  enum_field_types type() const { return FIELD_TYPE_NEWDATE;}
-  enum_field_types real_type() const { return FIELD_TYPE_NEWDATE; }
+  enum_field_types type() const { return DRIZZLE_TYPE_NEWDATE;}
+  enum_field_types real_type() const { return DRIZZLE_TYPE_NEWDATE; }
   enum ha_base_keytype key_type() const { return HA_KEYTYPE_UINT24; }
   enum Item_result cmp_type () const { return INT_RESULT; }
   int  store(const char *to,uint length,CHARSET_INFO *charset);

=== modified file 'include/drizzle/server/field/datetime.h'
--- include/drizzle/server/field/datetime.h	2008-07-27 19:30:42 +0000
+++ include/drizzle/server/field/datetime.h	2008-07-28 01:47:41 +0000
@@ -35,7 +35,7 @@
 		 CHARSET_INFO *cs)
     :Field_str((uchar*) 0,19, maybe_null_arg ? (uchar*) "": 0,0,
 	       NONE, field_name_arg, cs) {}
-  enum_field_types type() const { return FIELD_TYPE_DATETIME;}
+  enum_field_types type() const { return DRIZZLE_TYPE_DATETIME;}
   enum ha_base_keytype key_type() const { return HA_KEYTYPE_ULONGLONG; }
   enum Item_result cmp_type () const { return INT_RESULT; }
   uint decimals() const { return DATETIME_DEC; }

=== modified file 'include/drizzle/server/field/decimal.h'
--- include/drizzle/server/field/decimal.h	2008-07-27 19:30:42 +0000
+++ include/drizzle/server/field/decimal.h	2008-07-28 01:47:41 +0000
@@ -44,7 +44,7 @@
   Field_new_decimal(uint32_t len_arg, bool maybe_null_arg,
                     const char *field_name_arg, uint8_t dec_arg,
                     bool unsigned_arg);
-  enum_field_types type() const { return FIELD_TYPE_NEWDECIMAL;}
+  enum_field_types type() const { return DRIZZLE_TYPE_NEWDECIMAL;}
   enum ha_base_keytype key_type() const { return HA_KEYTYPE_BINARY; }
   Item_result result_type () const { return DECIMAL_RESULT; }
   int  reset(void);

=== modified file 'include/drizzle/server/field/double.h'
--- include/drizzle/server/field/double.h	2008-07-27 19:30:42 +0000
+++ include/drizzle/server/field/double.h	2008-07-28 01:47:41 +0000
@@ -43,7 +43,7 @@
     :Field_real((uchar*) 0, len_arg, maybe_null_arg ? (uchar*) "" : 0, (uint) 0,
                 NONE, field_name_arg, dec_arg, 0, 0)
     {not_fixed= not_fixed_arg; }
-  enum_field_types type() const { return FIELD_TYPE_DOUBLE;}
+  enum_field_types type() const { return DRIZZLE_TYPE_DOUBLE;}
   enum ha_base_keytype key_type() const { return HA_KEYTYPE_DOUBLE; }
   int  store(const char *to,uint length,CHARSET_INFO *charset);
   int  store(double nr);

=== modified file 'include/drizzle/server/field/int64_t.h'
--- include/drizzle/server/field/int64_t.h	2008-07-27 19:30:42 +0000
+++ include/drizzle/server/field/int64_t.h	2008-07-28 01:47:41 +0000
@@ -40,7 +40,7 @@
 	       NONE, field_name_arg,0,0,unsigned_arg)
     {}
   enum Item_result result_type () const { return INT_RESULT; }
-  enum_field_types type() const { return FIELD_TYPE_LONGLONG;}
+  enum_field_types type() const { return DRIZZLE_TYPE_LONGLONG;}
   enum ha_base_keytype key_type() const
     { return unsigned_flag ? HA_KEYTYPE_ULONGLONG : HA_KEYTYPE_LONGLONG; }
   int store(const char *to,uint length,CHARSET_INFO *charset);

=== modified file 'include/drizzle/server/field/long.h'
--- include/drizzle/server/field/long.h	2008-07-27 19:30:42 +0000
+++ include/drizzle/server/field/long.h	2008-07-28 01:47:41 +0000
@@ -39,7 +39,7 @@
 	       NONE, field_name_arg,0,0,unsigned_arg)
     {}
   enum Item_result result_type () const { return INT_RESULT; }
-  enum_field_types type() const { return FIELD_TYPE_LONG;}
+  enum_field_types type() const { return DRIZZLE_TYPE_LONG;}
   enum ha_base_keytype key_type() const
     { return unsigned_flag ? HA_KEYTYPE_ULONG_INT : HA_KEYTYPE_LONG_INT; }
   int store(const char *to,uint length,CHARSET_INFO *charset);

=== modified file 'include/drizzle/server/field/null.h'
--- include/drizzle/server/field/null.h	2008-07-27 19:30:42 +0000
+++ include/drizzle/server/field/null.h	2008-07-28 01:47:41 +0000
@@ -36,7 +36,7 @@
     :Field_str(ptr_arg, len_arg, null, 1,
 	       unireg_check_arg, field_name_arg, cs)
     {}
-  enum_field_types type() const { return FIELD_TYPE_NULL;}
+  enum_field_types type() const { return DRIZZLE_TYPE_NULL;}
   int  store(const char *to __attribute__((__unused__)),
              uint length __attribute__((__unused__)),
              CHARSET_INFO *cs __attribute__((__unused__)))

=== modified file 'include/drizzle/server/field/set.h'
--- include/drizzle/server/field/set.h	2008-07-27 19:30:42 +0000
+++ include/drizzle/server/field/set.h	2008-07-28 01:47:41 +0000
@@ -44,7 +44,7 @@
   virtual bool zero_pack() const { return 1; }
   String *val_str(String*,String *);
   void sql_type(String &str) const;
-  enum_field_types real_type() const { return FIELD_TYPE_SET; }
+  enum_field_types real_type() const { return DRIZZLE_TYPE_SET; }
   bool has_charset(void) const { return true; }
 };
 

=== modified file 'include/drizzle/server/field/short.h'
--- include/drizzle/server/field/short.h	2008-07-27 19:30:42 +0000
+++ include/drizzle/server/field/short.h	2008-07-28 01:47:41 +0000
@@ -39,7 +39,7 @@
 	       NONE, field_name_arg, 0, 0, unsigned_arg)
     {}
   enum Item_result result_type () const { return INT_RESULT; }
-  enum_field_types type() const { return FIELD_TYPE_SHORT;}
+  enum_field_types type() const { return DRIZZLE_TYPE_SHORT;}
   enum ha_base_keytype key_type() const
     { return unsigned_flag ? HA_KEYTYPE_USHORT_INT : HA_KEYTYPE_SHORT_INT;}
   int store(const char *to,uint length,CHARSET_INFO *charset);

=== modified file 'include/drizzle/server/field/string.h'
--- include/drizzle/server/field/string.h	2008-07-27 19:30:42 +0000
+++ include/drizzle/server/field/string.h	2008-07-28 01:47:41 +0000
@@ -41,7 +41,7 @@
 
   enum_field_types type() const
   {
-    return  FIELD_TYPE_STRING;
+    return  DRIZZLE_TYPE_STRING;
   }
   enum ha_base_keytype key_type() const
     { return binary() ? HA_KEYTYPE_BINARY : HA_KEYTYPE_TEXT; }
@@ -75,7 +75,7 @@
   uint packed_col_length(const uchar *to, uint length);
   uint max_packed_col_length(uint max_length);
   uint size_of() const { return sizeof(*this); }
-  enum_field_types real_type() const { return FIELD_TYPE_STRING; }
+  enum_field_types real_type() const { return DRIZZLE_TYPE_STRING; }
   bool has_charset(void) const
   { return charset() == &my_charset_bin ? false : true; }
   Field *new_field(MEM_ROOT *root, struct st_table *new_table, bool keep_type);

=== modified file 'include/drizzle/server/field/timestamp.h'
--- include/drizzle/server/field/timestamp.h	2008-07-27 19:30:42 +0000
+++ include/drizzle/server/field/timestamp.h	2008-07-28 01:47:41 +0000
@@ -31,7 +31,7 @@
 		  TABLE_SHARE *share, CHARSET_INFO *cs);
   Field_timestamp(bool maybe_null_arg, const char *field_name_arg,
 		  CHARSET_INFO *cs);
-  enum_field_types type() const { return FIELD_TYPE_TIMESTAMP;}
+  enum_field_types type() const { return DRIZZLE_TYPE_TIMESTAMP;}
   enum ha_base_keytype key_type() const { return HA_KEYTYPE_ULONG_INT; }
   enum Item_result cmp_type () const { return INT_RESULT; }
   int  store(const char *to,uint length,CHARSET_INFO *charset);

=== modified file 'include/drizzle/server/field/timetype.h'
--- include/drizzle/server/field/timetype.h	2008-07-27 19:30:42 +0000
+++ include/drizzle/server/field/timetype.h	2008-07-28 01:47:41 +0000
@@ -35,7 +35,7 @@
              CHARSET_INFO *cs)
     :Field_str((uchar*) 0,8, maybe_null_arg ? (uchar*) "": 0,0,
 	       NONE, field_name_arg, cs) {}
-  enum_field_types type() const { return FIELD_TYPE_TIME;}
+  enum_field_types type() const { return DRIZZLE_TYPE_TIME;}
   enum ha_base_keytype key_type() const { return HA_KEYTYPE_INT24; }
   enum Item_result cmp_type () const { return INT_RESULT; }
   int store_time(MYSQL_TIME *ltime, timestamp_type type);

=== modified file 'include/drizzle/server/field/varstring.h'
--- include/drizzle/server/field/varstring.h	2008-07-27 19:30:42 +0000
+++ include/drizzle/server/field/varstring.h	2008-07-28 01:47:41 +0000
@@ -53,7 +53,7 @@
     share->varchar_fields++;
   }
 
-  enum_field_types type() const { return FIELD_TYPE_VARCHAR; }
+  enum_field_types type() const { return DRIZZLE_TYPE_VARCHAR; }
   enum ha_base_keytype key_type() const;
   uint row_pack_length() { return field_length; }
   bool zero_pack() const { return 0; }
@@ -101,7 +101,7 @@
   uint32_t data_length();
   uint32_t used_length();
   uint size_of() const { return sizeof(*this); }
-  enum_field_types real_type() const { return FIELD_TYPE_VARCHAR; }
+  enum_field_types real_type() const { return DRIZZLE_TYPE_VARCHAR; }
   bool has_charset(void) const
   { return charset() == &my_charset_bin ? false : true; }
   Field *new_field(MEM_ROOT *root, struct st_table *new_table, bool keep_type);

=== modified file 'include/drizzle/server/field/year.h'
--- include/drizzle/server/field/year.h	2008-07-27 19:30:42 +0000
+++ include/drizzle/server/field/year.h	2008-07-28 01:47:41 +0000
@@ -31,7 +31,7 @@
     :Field_tiny(ptr_arg, len_arg, null_ptr_arg, null_bit_arg,
 		unireg_check_arg, field_name_arg, 1, 1)
     {}
-  enum_field_types type() const { return FIELD_TYPE_YEAR;}
+  enum_field_types type() const { return DRIZZLE_TYPE_YEAR;}
   int  store(const char *to,uint length,CHARSET_INFO *charset);
   int  store(double nr);
   int  store(int64_t nr, bool unsigned_val);

=== modified file 'include/drizzle_com.h'
--- include/drizzle_com.h	2008-07-27 19:30:42 +0000
+++ include/drizzle_com.h	2008-07-28 01:47:41 +0000
@@ -266,20 +266,20 @@
 #define packet_error (~(uint32_t) 0)
 
 /* Start TINY at 1 because we removed DECIMAL from off the front of the enum */
-enum enum_field_types { FIELD_TYPE_TINY=1,
-			FIELD_TYPE_SHORT,  FIELD_TYPE_LONG,
-			FIELD_TYPE_DOUBLE,
-			FIELD_TYPE_NULL,   FIELD_TYPE_TIMESTAMP,
-			FIELD_TYPE_LONGLONG,
-			FIELD_TYPE_DATE,   FIELD_TYPE_TIME,
-			FIELD_TYPE_DATETIME, FIELD_TYPE_YEAR,
-			FIELD_TYPE_NEWDATE, FIELD_TYPE_VARCHAR,
-                        FIELD_TYPE_NEWDECIMAL=250,
-			FIELD_TYPE_ENUM=251,
-			FIELD_TYPE_SET=252,
-			FIELD_TYPE_BLOB=253,
-			FIELD_TYPE_VAR_STRING=254,
-			FIELD_TYPE_STRING=255
+enum enum_field_types { DRIZZLE_TYPE_TINY=1,
+			DRIZZLE_TYPE_SHORT,  DRIZZLE_TYPE_LONG,
+			DRIZZLE_TYPE_DOUBLE,
+			DRIZZLE_TYPE_NULL,   DRIZZLE_TYPE_TIMESTAMP,
+			DRIZZLE_TYPE_LONGLONG,
+			DRIZZLE_TYPE_DATE,   DRIZZLE_TYPE_TIME,
+			DRIZZLE_TYPE_DATETIME, DRIZZLE_TYPE_YEAR,
+			DRIZZLE_TYPE_NEWDATE, DRIZZLE_TYPE_VARCHAR,
+                        DRIZZLE_TYPE_NEWDECIMAL=250,
+			DRIZZLE_TYPE_ENUM=251,
+			DRIZZLE_TYPE_SET=252,
+			DRIZZLE_TYPE_BLOB=253,
+			DRIZZLE_TYPE_VAR_STRING=254,
+			DRIZZLE_TYPE_STRING=255
 };
 
 

=== modified file 'include/drizzle_h.ic'
--- include/drizzle_h.ic	2008-07-27 19:30:42 +0000
+++ include/drizzle_h.ic	2008-07-28 01:47:41 +0000
@@ -584,32 +584,32 @@
 # 249 "drizzle_com.h"
 enum enum_field_types
   {
-    FIELD_TYPE_DECIMAL = 0,
-    FIELD_TYPE_TINY = 1,
-    FIELD_TYPE_SHORT = 2,
-    FIELD_TYPE_LONG = 3,
-    FIELD_TYPE_FLOAT = 4,
-    FIELD_TYPE_DOUBLE = 5,
-    FIELD_TYPE_NULL = 6,
-    FIELD_TYPE_TIMESTAMP = 7,
-    FIELD_TYPE_LONGLONG = 8,
-    FIELD_TYPE_INT24 = 9,
-    FIELD_TYPE_DATE = 10,
-    FIELD_TYPE_TIME = 11,
-    FIELD_TYPE_DATETIME = 12,
-    FIELD_TYPE_YEAR = 13,
-    FIELD_TYPE_NEWDATE = 14,
-    FIELD_TYPE_VARCHAR = 15,
-    FIELD_TYPE_NEWDECIMAL = 246,
-    FIELD_TYPE_ENUM = 247,
-    FIELD_TYPE_SET = 248,
-    FIELD_TYPE_TINY_BLOB = 249,
-    FIELD_TYPE_MEDIUM_BLOB = 250,
-    FIELD_TYPE_LONG_BLOB = 251,
-    FIELD_TYPE_BLOB = 252,
-    FIELD_TYPE_VAR_STRING = 253,
-    FIELD_TYPE_STRING = 254,
-    FIELD_TYPE_GEOMETRY = 255,
+    DRIZZLE_TYPE_DECIMAL = 0,
+    DRIZZLE_TYPE_TINY = 1,
+    DRIZZLE_TYPE_SHORT = 2,
+    DRIZZLE_TYPE_LONG = 3,
+    DRIZZLE_TYPE_FLOAT = 4,
+    DRIZZLE_TYPE_DOUBLE = 5,
+    DRIZZLE_TYPE_NULL = 6,
+    DRIZZLE_TYPE_TIMESTAMP = 7,
+    DRIZZLE_TYPE_LONGLONG = 8,
+    DRIZZLE_TYPE_INT24 = 9,
+    DRIZZLE_TYPE_DATE = 10,
+    DRIZZLE_TYPE_TIME = 11,
+    DRIZZLE_TYPE_DATETIME = 12,
+    DRIZZLE_TYPE_YEAR = 13,
+    DRIZZLE_TYPE_NEWDATE = 14,
+    DRIZZLE_TYPE_VARCHAR = 15,
+    DRIZZLE_TYPE_NEWDECIMAL = 246,
+    DRIZZLE_TYPE_ENUM = 247,
+    DRIZZLE_TYPE_SET = 248,
+    DRIZZLE_TYPE_TINY_BLOB = 249,
+    DRIZZLE_TYPE_MEDIUM_BLOB = 250,
+    DRIZZLE_TYPE_LONG_BLOB = 251,
+    DRIZZLE_TYPE_BLOB = 252,
+    DRIZZLE_TYPE_VAR_STRING = 253,
+    DRIZZLE_TYPE_STRING = 254,
+    DRIZZLE_TYPE_GEOMETRY = 255,
   };
 # 455 "mysql/plugin.h"
 enum enum_ft_token_type

=== modified file 'server/field.cc'
--- server/field.cc	2008-07-27 19:30:42 +0000
+++ server/field.cc	2008-07-28 01:47:41 +0000
@@ -50,8 +50,8 @@
   following #defines describe that gap and how to canculate number of fields
   and index of field in thia array.
 */
-#define FIELDTYPE_TEAR_FROM (FIELD_TYPE_VARCHAR + 1)
-#define FIELDTYPE_TEAR_TO   (FIELD_TYPE_NEWDECIMAL - 1)
+#define FIELDTYPE_TEAR_FROM (DRIZZLE_TYPE_VARCHAR + 1)
+#define FIELDTYPE_TEAR_TO   (DRIZZLE_TYPE_NEWDECIMAL - 1)
 #define FIELDTYPE_NUM (FIELDTYPE_TEAR_FROM + (255 - FIELDTYPE_TEAR_TO))
 inline int field_type2index (enum_field_types field_type)
 {
@@ -63,545 +63,545 @@
 
 static enum_field_types field_types_merge_rules [FIELDTYPE_NUM][FIELDTYPE_NUM]=
 {
-  /* FIELD_TYPE_DECIMAL -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_NEWDECIMAL,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_NEWDECIMAL,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_DOUBLE,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_NEWDECIMAL,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_STRING       
-    FIELD_TYPE_STRING
-  },
-  /* FIELD_TYPE_TINY -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_TINY,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_SHORT,       FIELD_TYPE_LONG,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_DOUBLE,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_TINY,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_LONGLONG,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_TINY,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_STRING       
-    FIELD_TYPE_STRING     
-  },
-  /* FIELD_TYPE_SHORT -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_SHORT,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_SHORT,       FIELD_TYPE_LONG,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_DOUBLE,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_SHORT,       FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_LONGLONG,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_SHORT,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_STRING
-    FIELD_TYPE_STRING
-  },
-  /* FIELD_TYPE_LONG -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_LONG,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_LONG,        FIELD_TYPE_LONG,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_DOUBLE,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_LONG,         FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_LONGLONG,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_LONG,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_STRING
-    FIELD_TYPE_STRING
-  },
-  /* FIELD_TYPE_DOUBLE -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_DOUBLE,      FIELD_TYPE_DOUBLE,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_DOUBLE,      FIELD_TYPE_DOUBLE,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_DOUBLE,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_DOUBLE,      FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_DOUBLE,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_DOUBLE,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_DOUBLE,      FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_STRING
-    FIELD_TYPE_STRING
-  },
-  /* FIELD_TYPE_NULL -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_TINY,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_SHORT,       FIELD_TYPE_LONG,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_DOUBLE,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_NULL,        FIELD_TYPE_TIMESTAMP,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_LONGLONG,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_NEWDATE,     FIELD_TYPE_TIME,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_DATETIME,    FIELD_TYPE_YEAR,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_NEWDATE,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_ENUM,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_SET,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_STRING
-    FIELD_TYPE_STRING
-  },
-  /* FIELD_TYPE_TIMESTAMP -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_TIMESTAMP,   FIELD_TYPE_TIMESTAMP,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_DATETIME,    FIELD_TYPE_DATETIME,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_DATETIME,    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_NEWDATE,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_STRING
-    FIELD_TYPE_STRING
-  },
-  /* FIELD_TYPE_LONGLONG -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_LONGLONG,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_LONGLONG,    FIELD_TYPE_LONGLONG,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_DOUBLE,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_LONGLONG,    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_LONGLONG,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_LONGLONG,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_NEWDATE,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_STRING
-    FIELD_TYPE_STRING
-  },
-  /* FIELD_TYPE_DATE -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_NEWDATE,     FIELD_TYPE_DATETIME,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_NEWDATE,     FIELD_TYPE_DATETIME,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_DATETIME,    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_NEWDATE,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_STRING
-    FIELD_TYPE_STRING
-  },
-  /* FIELD_TYPE_TIME -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_TIME,        FIELD_TYPE_DATETIME,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_DATETIME,    FIELD_TYPE_TIME,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_DATETIME,    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_NEWDATE,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_STRING
-    FIELD_TYPE_STRING
-  },
-  /* FIELD_TYPE_DATETIME -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_DATETIME,    FIELD_TYPE_DATETIME,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_DATETIME,    FIELD_TYPE_DATETIME,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_DATETIME,    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_NEWDATE,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_STRING
-    FIELD_TYPE_STRING
-  },
-  /* FIELD_TYPE_YEAR -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_TINY,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_SHORT,       FIELD_TYPE_LONG,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_DOUBLE,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_YEAR,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_LONGLONG,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_YEAR,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_STRING
-    FIELD_TYPE_STRING
-  },
-  /* FIELD_TYPE_NEWDATE -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_NEWDATE,     FIELD_TYPE_DATETIME,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_NEWDATE,     FIELD_TYPE_DATETIME,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_DATETIME,    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_NEWDATE,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_STRING
-    FIELD_TYPE_STRING
-  },
-  /* FIELD_TYPE_VARCHAR -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_STRING
-    FIELD_TYPE_VARCHAR
-  },
-  /* FIELD_TYPE_NEWDECIMAL -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_NEWDECIMAL,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_NEWDECIMAL,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_DOUBLE,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_NEWDECIMAL,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_NEWDECIMAL,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_NEWDECIMAL,  FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_STRING
-    FIELD_TYPE_STRING
-  },
-  /* FIELD_TYPE_ENUM -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_ENUM,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_STRING
-    FIELD_TYPE_STRING
-  },
-  /* FIELD_TYPE_SET -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_SET,         FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_STRING
-    FIELD_TYPE_STRING
-  },
-  /* FIELD_TYPE_BLOB -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_BLOB,        FIELD_TYPE_BLOB,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_BLOB,        FIELD_TYPE_BLOB,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_BLOB,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_BLOB,        FIELD_TYPE_BLOB,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_BLOB,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_BLOB,        FIELD_TYPE_BLOB,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_BLOB,        FIELD_TYPE_BLOB,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_BLOB,        FIELD_TYPE_BLOB,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_BLOB,        FIELD_TYPE_BLOB,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_BLOB,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_BLOB,
-  //FIELD_TYPE_STRING
-    FIELD_TYPE_BLOB
-  },
-  /* FIELD_TYPE_VAR_STRING -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_VARCHAR,     FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_STRING
-    FIELD_TYPE_VARCHAR
-  },
-  /* FIELD_TYPE_STRING -> */
-  {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
-    FIELD_TYPE_STRING,      FIELD_TYPE_STRING,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
-    FIELD_TYPE_STRING,      FIELD_TYPE_STRING,
-  //FIELD_TYPE_DOUBLE
-    FIELD_TYPE_STRING,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
-    FIELD_TYPE_STRING,      FIELD_TYPE_STRING,
-  //FIELD_TYPE_LONGLONG
-    FIELD_TYPE_STRING,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
-    FIELD_TYPE_STRING,      FIELD_TYPE_STRING,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
-    FIELD_TYPE_STRING,      FIELD_TYPE_STRING,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
-    FIELD_TYPE_STRING,      FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
-    FIELD_TYPE_STRING,      FIELD_TYPE_STRING,
-  //FIELD_TYPE_SET
-    FIELD_TYPE_STRING,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
-    FIELD_TYPE_BLOB,        FIELD_TYPE_VARCHAR,
-  //FIELD_TYPE_STRING
-    FIELD_TYPE_STRING
+  /* DRIZZLE_TYPE_DECIMAL -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_NEWDECIMAL,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_NEWDECIMAL,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_DOUBLE,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_NEWDECIMAL,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_STRING       
+    DRIZZLE_TYPE_STRING
+  },
+  /* DRIZZLE_TYPE_TINY -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_TINY,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_SHORT,       DRIZZLE_TYPE_LONG,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_DOUBLE,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_TINY,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_LONGLONG,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_TINY,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_STRING       
+    DRIZZLE_TYPE_STRING     
+  },
+  /* DRIZZLE_TYPE_SHORT -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_SHORT,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_SHORT,       DRIZZLE_TYPE_LONG,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_DOUBLE,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_SHORT,       DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_LONGLONG,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_SHORT,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_STRING
+    DRIZZLE_TYPE_STRING
+  },
+  /* DRIZZLE_TYPE_LONG -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_LONG,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_LONG,        DRIZZLE_TYPE_LONG,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_DOUBLE,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_LONG,         DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_LONGLONG,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_LONG,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_STRING
+    DRIZZLE_TYPE_STRING
+  },
+  /* DRIZZLE_TYPE_DOUBLE -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_DOUBLE,      DRIZZLE_TYPE_DOUBLE,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_DOUBLE,      DRIZZLE_TYPE_DOUBLE,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_DOUBLE,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_DOUBLE,      DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_DOUBLE,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_DOUBLE,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_DOUBLE,      DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_STRING
+    DRIZZLE_TYPE_STRING
+  },
+  /* DRIZZLE_TYPE_NULL -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_TINY,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_SHORT,       DRIZZLE_TYPE_LONG,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_DOUBLE,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_NULL,        DRIZZLE_TYPE_TIMESTAMP,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_LONGLONG,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_NEWDATE,     DRIZZLE_TYPE_TIME,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_DATETIME,    DRIZZLE_TYPE_YEAR,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_NEWDATE,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_ENUM,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_SET,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_STRING
+    DRIZZLE_TYPE_STRING
+  },
+  /* DRIZZLE_TYPE_TIMESTAMP -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_TIMESTAMP,   DRIZZLE_TYPE_TIMESTAMP,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_DATETIME,    DRIZZLE_TYPE_DATETIME,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_DATETIME,    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_NEWDATE,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_STRING
+    DRIZZLE_TYPE_STRING
+  },
+  /* DRIZZLE_TYPE_LONGLONG -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_LONGLONG,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_LONGLONG,    DRIZZLE_TYPE_LONGLONG,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_DOUBLE,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_LONGLONG,    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_LONGLONG,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_LONGLONG,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_NEWDATE,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_STRING
+    DRIZZLE_TYPE_STRING
+  },
+  /* DRIZZLE_TYPE_DATE -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_NEWDATE,     DRIZZLE_TYPE_DATETIME,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_NEWDATE,     DRIZZLE_TYPE_DATETIME,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_DATETIME,    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_NEWDATE,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_STRING
+    DRIZZLE_TYPE_STRING
+  },
+  /* DRIZZLE_TYPE_TIME -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_TIME,        DRIZZLE_TYPE_DATETIME,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_DATETIME,    DRIZZLE_TYPE_TIME,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_DATETIME,    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_NEWDATE,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_STRING
+    DRIZZLE_TYPE_STRING
+  },
+  /* DRIZZLE_TYPE_DATETIME -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_DATETIME,    DRIZZLE_TYPE_DATETIME,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_DATETIME,    DRIZZLE_TYPE_DATETIME,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_DATETIME,    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_NEWDATE,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_STRING
+    DRIZZLE_TYPE_STRING
+  },
+  /* DRIZZLE_TYPE_YEAR -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_TINY,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_SHORT,       DRIZZLE_TYPE_LONG,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_DOUBLE,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_YEAR,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_LONGLONG,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_YEAR,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_STRING
+    DRIZZLE_TYPE_STRING
+  },
+  /* DRIZZLE_TYPE_NEWDATE -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_NEWDATE,     DRIZZLE_TYPE_DATETIME,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_NEWDATE,     DRIZZLE_TYPE_DATETIME,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_DATETIME,    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_NEWDATE,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_STRING
+    DRIZZLE_TYPE_STRING
+  },
+  /* DRIZZLE_TYPE_VARCHAR -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_STRING
+    DRIZZLE_TYPE_VARCHAR
+  },
+  /* DRIZZLE_TYPE_NEWDECIMAL -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_NEWDECIMAL,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_NEWDECIMAL,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_DOUBLE,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_NEWDECIMAL,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_NEWDECIMAL,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_NEWDECIMAL,  DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_STRING
+    DRIZZLE_TYPE_STRING
+  },
+  /* DRIZZLE_TYPE_ENUM -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_ENUM,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_STRING
+    DRIZZLE_TYPE_STRING
+  },
+  /* DRIZZLE_TYPE_SET -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_SET,         DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_STRING
+    DRIZZLE_TYPE_STRING
+  },
+  /* DRIZZLE_TYPE_BLOB -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_BLOB,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_BLOB,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_BLOB,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_BLOB,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_BLOB,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_BLOB,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_BLOB,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_BLOB,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_BLOB,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_BLOB,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_BLOB,
+  //DRIZZLE_TYPE_STRING
+    DRIZZLE_TYPE_BLOB
+  },
+  /* DRIZZLE_TYPE_VAR_STRING -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_VARCHAR,     DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_STRING
+    DRIZZLE_TYPE_VARCHAR
+  },
+  /* DRIZZLE_TYPE_STRING -> */
+  {
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
+    DRIZZLE_TYPE_STRING,      DRIZZLE_TYPE_STRING,
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
+    DRIZZLE_TYPE_STRING,      DRIZZLE_TYPE_STRING,
+  //DRIZZLE_TYPE_DOUBLE
+    DRIZZLE_TYPE_STRING,
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
+    DRIZZLE_TYPE_STRING,      DRIZZLE_TYPE_STRING,
+  //DRIZZLE_TYPE_LONGLONG
+    DRIZZLE_TYPE_STRING,
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
+    DRIZZLE_TYPE_STRING,      DRIZZLE_TYPE_STRING,
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
+    DRIZZLE_TYPE_STRING,      DRIZZLE_TYPE_STRING,
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
+    DRIZZLE_TYPE_STRING,      DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
+    DRIZZLE_TYPE_STRING,      DRIZZLE_TYPE_STRING,
+  //DRIZZLE_TYPE_SET
+    DRIZZLE_TYPE_STRING,
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
+    DRIZZLE_TYPE_BLOB,        DRIZZLE_TYPE_VARCHAR,
+  //DRIZZLE_TYPE_STRING
+    DRIZZLE_TYPE_STRING
   }
 };
 
@@ -627,29 +627,29 @@
 
 static Item_result field_types_result_type [FIELDTYPE_NUM]=
 {
-  //FIELD_TYPE_DECIMAL      FIELD_TYPE_TINY
+  //DRIZZLE_TYPE_DECIMAL      DRIZZLE_TYPE_TINY
   DECIMAL_RESULT,           INT_RESULT,
-  //FIELD_TYPE_SHORT        FIELD_TYPE_LONG
+  //DRIZZLE_TYPE_SHORT        DRIZZLE_TYPE_LONG
   INT_RESULT,               INT_RESULT,
-  //FIELD_TYPE_DOUBLE
+  //DRIZZLE_TYPE_DOUBLE
   REAL_RESULT,
-  //FIELD_TYPE_NULL         FIELD_TYPE_TIMESTAMP
+  //DRIZZLE_TYPE_NULL         DRIZZLE_TYPE_TIMESTAMP
   STRING_RESULT,            STRING_RESULT,
-  //FIELD_TYPE_LONGLONG
+  //DRIZZLE_TYPE_LONGLONG
   INT_RESULT,
-  //FIELD_TYPE_DATE         FIELD_TYPE_TIME
+  //DRIZZLE_TYPE_DATE         DRIZZLE_TYPE_TIME
   STRING_RESULT,            STRING_RESULT,
-  //FIELD_TYPE_DATETIME     FIELD_TYPE_YEAR
+  //DRIZZLE_TYPE_DATETIME     DRIZZLE_TYPE_YEAR
   STRING_RESULT,            INT_RESULT,
-  //FIELD_TYPE_NEWDATE      FIELD_TYPE_VARCHAR
+  //DRIZZLE_TYPE_NEWDATE      DRIZZLE_TYPE_VARCHAR
   STRING_RESULT,            STRING_RESULT,
-  //FIELD_TYPE_NEWDECIMAL   FIELD_TYPE_ENUM
+  //DRIZZLE_TYPE_NEWDECIMAL   DRIZZLE_TYPE_ENUM
   DECIMAL_RESULT,           STRING_RESULT,
-  //FIELD_TYPE_SET
+  //DRIZZLE_TYPE_SET
   STRING_RESULT,
-  //FIELD_TYPE_BLOB         FIELD_TYPE_VAR_STRING
+  //DRIZZLE_TYPE_BLOB         DRIZZLE_TYPE_VAR_STRING
   STRING_RESULT,            STRING_RESULT,
-  //FIELD_TYPE_STRING
+  //DRIZZLE_TYPE_STRING
   STRING_RESULT
 };
 
@@ -717,10 +717,10 @@
 bool Field::type_can_have_key_part(enum enum_field_types type)
 {
   switch (type) {
-  case FIELD_TYPE_VARCHAR:
-  case FIELD_TYPE_BLOB:
-  case FIELD_TYPE_VAR_STRING:
-  case FIELD_TYPE_STRING:
+  case DRIZZLE_TYPE_VARCHAR:
+  case DRIZZLE_TYPE_BLOB:
+  case DRIZZLE_TYPE_VAR_STRING:
+  case DRIZZLE_TYPE_STRING:
     return true;
   default:
     return false;
@@ -1386,7 +1386,7 @@
     return copy->length;
   }
   else if (!zero_pack() &&
-           (type() == FIELD_TYPE_STRING && copy->length >= 4 &&
+           (type() == DRIZZLE_TYPE_STRING && copy->length >= 4 &&
             copy->length < 256))
   {
     copy->strip=1;				/* Remove end space */
@@ -2203,21 +2203,21 @@
 void Create_field::create_length_to_internal_length(void)
 {
   switch (sql_type) {
-  case FIELD_TYPE_BLOB:
-  case FIELD_TYPE_VAR_STRING:
-  case FIELD_TYPE_STRING:
-  case FIELD_TYPE_VARCHAR:
+  case DRIZZLE_TYPE_BLOB:
+  case DRIZZLE_TYPE_VAR_STRING:
+  case DRIZZLE_TYPE_STRING:
+  case DRIZZLE_TYPE_VARCHAR:
     length*= charset->mbmaxlen;
     key_length= length;
     pack_length= calc_pack_length(sql_type, length);
     break;
-  case FIELD_TYPE_ENUM:
-  case FIELD_TYPE_SET:
+  case DRIZZLE_TYPE_ENUM:
+  case DRIZZLE_TYPE_SET:
     /* Pack_length already calculated in sql_parse.cc */
     length*= charset->mbmaxlen;
     key_length= pack_length;
     break;
-  case FIELD_TYPE_NEWDECIMAL:
+  case DRIZZLE_TYPE_NEWDECIMAL:
     key_length= pack_length=
       my_decimal_get_binary_size(my_decimal_length_to_precision(length,
 								decimals,
@@ -2315,7 +2315,7 @@
     it is NOT NULL, not an AUTO_INCREMENT field and not a TIMESTAMP.
   */
   if (!fld_default_value && !(fld_type_modifier & AUTO_INCREMENT_FLAG) &&
-      (fld_type_modifier & NOT_NULL_FLAG) && fld_type != FIELD_TYPE_TIMESTAMP)
+      (fld_type_modifier & NOT_NULL_FLAG) && fld_type != DRIZZLE_TYPE_TIMESTAMP)
     flags|= NO_DEFAULT_VALUE_FLAG;
 
   if (fld_length && !(length= (uint) atoi(fld_length)))
@@ -2323,29 +2323,29 @@
   sign_len= fld_type_modifier & UNSIGNED_FLAG ? 0 : 1;
 
   switch (fld_type) {
-  case FIELD_TYPE_TINY:
+  case DRIZZLE_TYPE_TINY:
     if (!fld_length)
       length= MAX_TINYINT_WIDTH+sign_len;
     allowed_type_modifier= AUTO_INCREMENT_FLAG;
     break;
-  case FIELD_TYPE_SHORT:
+  case DRIZZLE_TYPE_SHORT:
     if (!fld_length)
       length= MAX_SMALLINT_WIDTH+sign_len;
     allowed_type_modifier= AUTO_INCREMENT_FLAG;
     break;
-  case FIELD_TYPE_LONG:
+  case DRIZZLE_TYPE_LONG:
     if (!fld_length)
       length= MAX_INT_WIDTH+sign_len;
     allowed_type_modifier= AUTO_INCREMENT_FLAG;
     break;
-  case FIELD_TYPE_LONGLONG:
+  case DRIZZLE_TYPE_LONGLONG:
     if (!fld_length)
       length= MAX_BIGINT_WIDTH;
     allowed_type_modifier= AUTO_INCREMENT_FLAG;
     break;
-  case FIELD_TYPE_NULL:
+  case DRIZZLE_TYPE_NULL:
     break;
-  case FIELD_TYPE_NEWDECIMAL:
+  case DRIZZLE_TYPE_NEWDECIMAL:
     my_decimal_trim(&length, &decimals);
     if (length > DECIMAL_MAX_PRECISION)
     {
@@ -2364,16 +2364,16 @@
     pack_length=
       my_decimal_get_binary_size(length, decimals);
     break;
-  case FIELD_TYPE_VARCHAR:
+  case DRIZZLE_TYPE_VARCHAR:
     /*
       Long VARCHAR's are automaticly converted to blobs in mysql_prepare_table
       if they don't have a default value
     */
     max_field_charlength= MAX_FIELD_VARCHARLENGTH;
     break;
-  case FIELD_TYPE_STRING:
+  case DRIZZLE_TYPE_STRING:
     break;
-  case FIELD_TYPE_BLOB:
+  case DRIZZLE_TYPE_BLOB:
     if (fld_default_value)
     {
       /* Allow empty as default value. */
@@ -2405,12 +2405,12 @@
     }
     flags|= BLOB_FLAG;
     break;
-  case FIELD_TYPE_YEAR:
+  case DRIZZLE_TYPE_YEAR:
     if (!fld_length || length != 2)
       length= 4; /* Default length */
     flags|= ZEROFILL_FLAG | UNSIGNED_FLAG;
     break;
-  case FIELD_TYPE_DOUBLE:
+  case DRIZZLE_TYPE_DOUBLE:
     allowed_type_modifier= AUTO_INCREMENT_FLAG;
     if (!fld_length && !fld_decimals)
     {
@@ -2424,7 +2424,7 @@
       return(true);
     }
     break;
-  case FIELD_TYPE_TIMESTAMP:
+  case DRIZZLE_TYPE_TIMESTAMP:
     if (!fld_length)
     {
       /* Compressed date YYYYMMDDHHMMSS */
@@ -2478,20 +2478,20 @@
                                               Field::NONE));
     }
     break;
-  case FIELD_TYPE_DATE:
+  case DRIZZLE_TYPE_DATE:
     /* Old date type. */
-    sql_type= FIELD_TYPE_NEWDATE;
+    sql_type= DRIZZLE_TYPE_NEWDATE;
     /* fall trough */
-  case FIELD_TYPE_NEWDATE:
-    length= 10;
-    break;
-  case FIELD_TYPE_TIME:
-    length= 10;
-    break;
-  case FIELD_TYPE_DATETIME:
+  case DRIZZLE_TYPE_NEWDATE:
+    length= 10;
+    break;
+  case DRIZZLE_TYPE_TIME:
+    length= 10;
+    break;
+  case DRIZZLE_TYPE_DATETIME:
     length= MAX_DATETIME_WIDTH;
     break;
-  case FIELD_TYPE_SET:
+  case DRIZZLE_TYPE_SET:
     {
       pack_length= get_set_pack_length(fld_interval_list->elements);
 
@@ -2507,7 +2507,7 @@
       length= 1;
       break;
     }
-  case FIELD_TYPE_ENUM:
+  case DRIZZLE_TYPE_ENUM:
     {
       /* Should be safe. */
       pack_length= get_enum_pack_length(fld_interval_list->elements);
@@ -2516,10 +2516,10 @@
       String *tmp;
       while ((tmp= it++))
         interval_list.push_back(tmp);
-      length= 1; /* See comment for FIELD_TYPE_SET above. */
+      length= 1; /* See comment for DRIZZLE_TYPE_SET above. */
       break;
    }
-  case FIELD_TYPE_VAR_STRING:
+  case DRIZZLE_TYPE_VAR_STRING:
     assert(0);  /* Impossible, we killed it */
     break;
   }
@@ -2527,16 +2527,16 @@
   char_length= length;
 
   if (!(flags & BLOB_FLAG) &&
-      ((length > max_field_charlength && fld_type != FIELD_TYPE_SET &&
-        fld_type != FIELD_TYPE_ENUM &&
-        (fld_type != FIELD_TYPE_VARCHAR || fld_default_value)) ||
+      ((length > max_field_charlength && fld_type != DRIZZLE_TYPE_SET &&
+        fld_type != DRIZZLE_TYPE_ENUM &&
+        (fld_type != DRIZZLE_TYPE_VARCHAR || fld_default_value)) ||
        (!length &&
-        fld_type != FIELD_TYPE_STRING &&
-        fld_type != FIELD_TYPE_VARCHAR)))
+        fld_type != DRIZZLE_TYPE_STRING &&
+        fld_type != DRIZZLE_TYPE_VARCHAR)))
   {
-    my_error((fld_type == FIELD_TYPE_VAR_STRING ||
-              fld_type == FIELD_TYPE_VARCHAR ||
-              fld_type == FIELD_TYPE_STRING) ?  ER_TOO_BIG_FIELDLENGTH :
+    my_error((fld_type == DRIZZLE_TYPE_VAR_STRING ||
+              fld_type == DRIZZLE_TYPE_VARCHAR ||
+              fld_type == DRIZZLE_TYPE_STRING) ?  ER_TOO_BIG_FIELDLENGTH :
                                                 ER_TOO_BIG_DISPLAYWIDTH,
               MYF(0),
               fld_name, max_field_charlength); /* purecov: inspected */
@@ -2557,7 +2557,7 @@
 {
   enum_field_types type;
 
-  type= FIELD_TYPE_BLOB;
+  type= DRIZZLE_TYPE_BLOB;
 
   return type;
 }
@@ -2570,25 +2570,25 @@
 uint32_t calc_pack_length(enum_field_types type,uint32_t length)
 {
   switch (type) {
-  case FIELD_TYPE_VAR_STRING:
-  case FIELD_TYPE_STRING:
-  case FIELD_TYPE_VARCHAR:     return (length + (length < 256 ? 1: 2));
-  case FIELD_TYPE_YEAR:
-  case FIELD_TYPE_TINY	: return 1;
-  case FIELD_TYPE_SHORT : return 2;
-  case FIELD_TYPE_DATE:
-  case FIELD_TYPE_NEWDATE:
-  case FIELD_TYPE_TIME:   return 3;
-  case FIELD_TYPE_TIMESTAMP:
-  case FIELD_TYPE_LONG	: return 4;
-  case FIELD_TYPE_DOUBLE: return sizeof(double);
-  case FIELD_TYPE_DATETIME:
-  case FIELD_TYPE_LONGLONG: return 8;	/* Don't crash if no int64_t */
-  case FIELD_TYPE_NULL	: return 0;
-  case FIELD_TYPE_BLOB:		return 4+portable_sizeof_char_ptr;
-  case FIELD_TYPE_SET:
-  case FIELD_TYPE_ENUM:
-  case FIELD_TYPE_NEWDECIMAL:
+  case DRIZZLE_TYPE_VAR_STRING:
+  case DRIZZLE_TYPE_STRING:
+  case DRIZZLE_TYPE_VARCHAR:     return (length + (length < 256 ? 1: 2));
+  case DRIZZLE_TYPE_YEAR:
+  case DRIZZLE_TYPE_TINY	: return 1;
+  case DRIZZLE_TYPE_SHORT : return 2;
+  case DRIZZLE_TYPE_DATE:
+  case DRIZZLE_TYPE_NEWDATE:
+  case DRIZZLE_TYPE_TIME:   return 3;
+  case DRIZZLE_TYPE_TIMESTAMP:
+  case DRIZZLE_TYPE_LONG	: return 4;
+  case DRIZZLE_TYPE_DOUBLE: return sizeof(double);
+  case DRIZZLE_TYPE_DATETIME:
+  case DRIZZLE_TYPE_LONGLONG: return 8;	/* Don't crash if no int64_t */
+  case DRIZZLE_TYPE_NULL	: return 0;
+  case DRIZZLE_TYPE_BLOB:		return 4+portable_sizeof_char_ptr;
+  case DRIZZLE_TYPE_SET:
+  case DRIZZLE_TYPE_ENUM:
+  case DRIZZLE_TYPE_NEWDECIMAL:
     abort(); return 0;                          // This shouldn't happen
   default:
     return 0;
@@ -2599,11 +2599,11 @@
 uint pack_length_to_packflag(uint type)
 {
   switch (type) {
-    case 1: return f_settype((uint) FIELD_TYPE_TINY);
-    case 2: return f_settype((uint) FIELD_TYPE_SHORT);
+    case 1: return f_settype((uint) DRIZZLE_TYPE_TINY);
+    case 2: return f_settype((uint) DRIZZLE_TYPE_SHORT);
     case 3: assert(1);
-    case 4: return f_settype((uint) FIELD_TYPE_LONG);
-    case 8: return f_settype((uint) FIELD_TYPE_LONGLONG);
+    case 4: return f_settype((uint) DRIZZLE_TYPE_LONG);
+    case 8: return f_settype((uint) DRIZZLE_TYPE_LONGLONG);
   }
   return 0;					// This shouldn't happen
 }
@@ -2629,11 +2629,11 @@
   }
 
   switch (field_type) {
-  case FIELD_TYPE_DATE:
-  case FIELD_TYPE_NEWDATE:
-  case FIELD_TYPE_TIME:
-  case FIELD_TYPE_DATETIME:
-  case FIELD_TYPE_TIMESTAMP:
+  case DRIZZLE_TYPE_DATE:
+  case DRIZZLE_TYPE_NEWDATE:
+  case DRIZZLE_TYPE_TIME:
+  case DRIZZLE_TYPE_DATETIME:
+  case DRIZZLE_TYPE_TIMESTAMP:
     field_charset= &my_charset_bin;
   default: break;
   }
@@ -2642,12 +2642,12 @@
   {
     if (!f_is_packed(pack_flag))
     {
-      if (field_type == FIELD_TYPE_STRING ||
-          field_type == FIELD_TYPE_VAR_STRING)
+      if (field_type == DRIZZLE_TYPE_STRING ||
+          field_type == DRIZZLE_TYPE_VAR_STRING)
         return new Field_string(ptr,field_length,null_pos,null_bit,
                                 unireg_check, field_name,
                                 field_charset);
-      if (field_type == FIELD_TYPE_VARCHAR)
+      if (field_type == DRIZZLE_TYPE_VARCHAR)
         return new Field_varstring(ptr,field_length,
                                    HA_VARCHAR_PACKLENGTH(field_length),
                                    null_pos,null_bit,
@@ -2679,56 +2679,56 @@
   }
 
   switch (field_type) {
-  case FIELD_TYPE_NEWDECIMAL:
+  case DRIZZLE_TYPE_NEWDECIMAL:
     return new Field_new_decimal(ptr,field_length,null_pos,null_bit,
                                  unireg_check, field_name,
                                  f_decimals(pack_flag),
                                  f_is_zerofill(pack_flag) != 0,
                                  f_is_dec(pack_flag) == 0);
-  case FIELD_TYPE_DOUBLE:
+  case DRIZZLE_TYPE_DOUBLE:
     return new Field_double(ptr,field_length,null_pos,null_bit,
 			    unireg_check, field_name,
 			    f_decimals(pack_flag),
 			    f_is_zerofill(pack_flag) != 0,
 			    f_is_dec(pack_flag)== 0);
-  case FIELD_TYPE_TINY:
+  case DRIZZLE_TYPE_TINY:
     return new Field_tiny(ptr,field_length,null_pos,null_bit,
 			  unireg_check, field_name,
 			  f_is_zerofill(pack_flag) != 0,
 			  f_is_dec(pack_flag) == 0);
-  case FIELD_TYPE_SHORT:
+  case DRIZZLE_TYPE_SHORT:
     return new Field_short(ptr,field_length,null_pos,null_bit,
 			   unireg_check, field_name,
 			   f_is_zerofill(pack_flag) != 0,
 			   f_is_dec(pack_flag) == 0);
-  case FIELD_TYPE_LONG:
+  case DRIZZLE_TYPE_LONG:
     return new Field_long(ptr,field_length,null_pos,null_bit,
 			   unireg_check, field_name,
 			   f_is_zerofill(pack_flag) != 0,
 			   f_is_dec(pack_flag) == 0);
-  case FIELD_TYPE_LONGLONG:
+  case DRIZZLE_TYPE_LONGLONG:
     return new Field_int64_t(ptr,field_length,null_pos,null_bit,
 			      unireg_check, field_name,
 			      f_is_zerofill(pack_flag) != 0,
 			      f_is_dec(pack_flag) == 0);
-  case FIELD_TYPE_TIMESTAMP:
+  case DRIZZLE_TYPE_TIMESTAMP:
     return new Field_timestamp(ptr,field_length, null_pos, null_bit,
                                unireg_check, field_name, share,
                                field_charset);
-  case FIELD_TYPE_YEAR:
+  case DRIZZLE_TYPE_YEAR:
     return new Field_year(ptr,field_length,null_pos,null_bit,
 			  unireg_check, field_name);
-  case FIELD_TYPE_DATE:
-  case FIELD_TYPE_NEWDATE:
+  case DRIZZLE_TYPE_DATE:
+  case DRIZZLE_TYPE_NEWDATE:
     return new Field_newdate(ptr,null_pos,null_bit,
 			     unireg_check, field_name, field_charset);
-  case FIELD_TYPE_TIME:
+  case DRIZZLE_TYPE_TIME:
     return new Field_time(ptr,null_pos,null_bit,
 			  unireg_check, field_name, field_charset);
-  case FIELD_TYPE_DATETIME:
+  case DRIZZLE_TYPE_DATETIME:
     return new Field_datetime(ptr,null_pos,null_bit,
 			      unireg_check, field_name, field_charset);
-  case FIELD_TYPE_NULL:
+  case DRIZZLE_TYPE_NULL:
     return new Field_null(ptr, field_length, unireg_check, field_name,
                           field_charset);
   default:					// Impossible (Wrong version)
@@ -2760,21 +2760,21 @@
 		  portable_sizeof_char_ptr);
 
   switch (sql_type) {
-  case FIELD_TYPE_BLOB:
-    sql_type= FIELD_TYPE_BLOB;
+  case DRIZZLE_TYPE_BLOB:
+    sql_type= DRIZZLE_TYPE_BLOB;
     length/= charset->mbmaxlen;
     key_length/= charset->mbmaxlen;
     break;
-  case FIELD_TYPE_STRING:
+  case DRIZZLE_TYPE_STRING:
     /* Change CHAR -> VARCHAR if dynamic record length */
-    if (old_field->type() == FIELD_TYPE_VAR_STRING)
-      sql_type= FIELD_TYPE_VARCHAR;
+    if (old_field->type() == DRIZZLE_TYPE_VAR_STRING)
+      sql_type= DRIZZLE_TYPE_VARCHAR;
     /* fall through */
 
-  case FIELD_TYPE_ENUM:
-  case FIELD_TYPE_SET:
-  case FIELD_TYPE_VARCHAR:
-  case FIELD_TYPE_VAR_STRING:
+  case DRIZZLE_TYPE_ENUM:
+  case DRIZZLE_TYPE_SET:
+  case DRIZZLE_TYPE_VARCHAR:
+  case DRIZZLE_TYPE_VAR_STRING:
     /* This is corrected in create_length_to_internal_length */
     length= (length+charset->mbmaxlen-1) / charset->mbmaxlen;
     break;
@@ -2791,7 +2791,7 @@
 
   if (!(flags & (NO_DEFAULT_VALUE_FLAG | BLOB_FLAG)) &&
       old_field->ptr && orig_field &&
-      (sql_type != FIELD_TYPE_TIMESTAMP ||                /* set def only if */
+      (sql_type != DRIZZLE_TYPE_TIMESTAMP ||                /* set def only if */
        old_field->table->timestamp_field != old_field ||  /* timestamp field */ 
        unireg_check == Field::TIMESTAMP_UN_FIELD))        /* has default val */
   {

=== modified file 'server/field.h'
--- server/field.h	2008-07-27 19:30:42 +0000
+++ server/field.h	2008-07-28 01:47:41 +0000
@@ -653,7 +653,7 @@
 	       0, zero_arg,unsigned_arg)
     {}
   enum Item_result result_type () const { return INT_RESULT; }
-  enum_field_types type() const { return FIELD_TYPE_TINY;}
+  enum_field_types type() const { return DRIZZLE_TYPE_TINY;}
   enum ha_base_keytype key_type() const
     { return unsigned_flag ? HA_KEYTYPE_BINARY : HA_KEYTYPE_INT8; }
   int store(const char *to,uint length,CHARSET_INFO *charset);
@@ -706,7 +706,7 @@
       flags|=ENUM_FLAG;
   }
   Field *new_field(MEM_ROOT *root, struct st_table *new_table, bool keep_type);
-  enum_field_types type() const { return FIELD_TYPE_STRING; }
+  enum_field_types type() const { return DRIZZLE_TYPE_STRING; }
   enum Item_result cmp_type () const { return INT_RESULT; }
   enum Item_result cast_to_int_type () const { return INT_RESULT; }
   enum ha_base_keytype key_type() const;
@@ -722,7 +722,7 @@
   void store_type(uint64_t value);
   void sql_type(String &str) const;
   uint size_of() const { return sizeof(*this); }
-  enum_field_types real_type() const { return FIELD_TYPE_ENUM; }
+  enum_field_types real_type() const { return DRIZZLE_TYPE_ENUM; }
   uint pack_length_from_metadata(uint field_metadata)
   { return (field_metadata & 0x00ff); }
   uint row_pack_length() { return pack_length(); }

=== modified file 'server/field/string.cc'
--- server/field/string.cc	2008-07-27 19:30:42 +0000
+++ server/field/string.cc	2008-07-28 01:47:41 +0000
@@ -203,7 +203,7 @@
 
   length= cs->cset->snprintf(cs,(char*) res.ptr(),
                              res.alloced_length(), "%s(%d)",
-                             ((type() == FIELD_TYPE_VAR_STRING &&
+                             ((type() == DRIZZLE_TYPE_VAR_STRING &&
                                !thd->variables.new_mode) ?
                               (has_charset() ? "varchar" : "varbinary") :
 			      (has_charset() ? "char" : "binary")),
@@ -412,7 +412,7 @@
                                bool keep_type)
 {
   Field *field;
-  if (type() != FIELD_TYPE_VAR_STRING || keep_type)
+  if (type() != DRIZZLE_TYPE_VAR_STRING || keep_type)
     field= Field::new_field(root, new_table, keep_type);
   else if ((field= new Field_varstring(field_length, maybe_null(), field_name,
                                        new_table->s, charset())))

=== modified file 'server/field_conv.cc'
--- server/field_conv.cc	2008-07-27 19:30:42 +0000
+++ server/field_conv.cc	2008-07-28 01:47:41 +0000
@@ -167,7 +167,7 @@
     when set to NULL (TIMESTAMP fields which allow setting to NULL
     are handled by first check).
   */
-  if (field->type() == FIELD_TYPE_TIMESTAMP)
+  if (field->type() == DRIZZLE_TYPE_TIMESTAMP)
   {
     ((Field_timestamp*) field)->set_time();
     return 0;					// Ok to set time to NULL
@@ -563,7 +563,7 @@
  */
 void Copy_field::set(Field *to,Field *from,bool save)
 {
-  if (to->type() == FIELD_TYPE_NULL)
+  if (to->type() == DRIZZLE_TYPE_NULL)
   {
     to_null_ptr=0;				// For easy debugging
     to_ptr=0;
@@ -597,7 +597,7 @@
     }
     else
     {
-      if (to_field->type() == FIELD_TYPE_TIMESTAMP)
+      if (to_field->type() == DRIZZLE_TYPE_TIMESTAMP)
         do_copy= do_copy_timestamp;               // Automatic timestamp
       else if (to_field == to_field->table->next_number_field)
         do_copy= do_copy_next_number;
@@ -652,8 +652,8 @@
         use special copy function that removes trailing spaces and thus
         repairs data.
       */
-      if (from->type() == FIELD_TYPE_VAR_STRING && !from->has_charset() &&
-          to->type() == FIELD_TYPE_VARCHAR && !to->has_charset())
+      if (from->type() == DRIZZLE_TYPE_VAR_STRING && !from->has_charset() &&
+          to->type() == DRIZZLE_TYPE_VARCHAR && !to->has_charset())
         return do_field_varbinary_pre50;
 
       /*
@@ -662,21 +662,21 @@
       */
       if (to->real_type() != from->real_type() ||
           !compatible_db_low_byte_first ||
-          (((to->table->in_use->variables.sql_mode & (MODE_NO_ZERO_IN_DATE | MODE_NO_ZERO_DATE | MODE_INVALID_DATES)) && to->type() == FIELD_TYPE_NEWDATE) || to->type() == FIELD_TYPE_DATETIME))
+          (((to->table->in_use->variables.sql_mode & (MODE_NO_ZERO_IN_DATE | MODE_NO_ZERO_DATE | MODE_INVALID_DATES)) && to->type() == DRIZZLE_TYPE_NEWDATE) || to->type() == DRIZZLE_TYPE_DATETIME))
       {
-	if (from->real_type() == FIELD_TYPE_ENUM ||
-	    from->real_type() == FIELD_TYPE_SET)
+	if (from->real_type() == DRIZZLE_TYPE_ENUM ||
+	    from->real_type() == DRIZZLE_TYPE_SET)
 	  if (to->result_type() != STRING_RESULT)
 	    return do_field_int;		// Convert SET to number
 	return do_field_string;
       }
-      if (to->real_type() == FIELD_TYPE_ENUM ||
-	  to->real_type() == FIELD_TYPE_SET)
+      if (to->real_type() == DRIZZLE_TYPE_ENUM ||
+	  to->real_type() == DRIZZLE_TYPE_SET)
       {
 	if (!to->eq_def(from))
         {
-          if (from->real_type() == FIELD_TYPE_ENUM &&
-              to->real_type() == FIELD_TYPE_ENUM)
+          if (from->real_type() == DRIZZLE_TYPE_ENUM &&
+              to->real_type() == DRIZZLE_TYPE_ENUM)
             return do_field_enum;
           else
             return do_field_string;
@@ -684,7 +684,7 @@
       }
       else if (to->charset() != from->charset())
 	return do_field_string;
-      else if (to->real_type() == FIELD_TYPE_VARCHAR)
+      else if (to->real_type() == DRIZZLE_TYPE_VARCHAR)
       {
         if (((Field_varstring*) to)->length_bytes !=
             ((Field_varstring*) from)->length_bytes)
@@ -747,18 +747,18 @@
 int field_conv(Field *to,Field *from)
 {
   if (to->real_type() == from->real_type() &&
-      !(to->type() == FIELD_TYPE_BLOB && to->table->copy_blobs))
+      !(to->type() == DRIZZLE_TYPE_BLOB && to->table->copy_blobs))
   {
     /* Please god, will someone rewrite this to be readable :( */
     if (to->pack_length() == from->pack_length() && 
         !(to->flags & UNSIGNED_FLAG && !(from->flags & UNSIGNED_FLAG)) && 
-        to->real_type() != FIELD_TYPE_ENUM && 
-        to->real_type() != FIELD_TYPE_SET &&
-        (to->real_type() != FIELD_TYPE_NEWDECIMAL || (to->field_length == from->field_length && (((Field_num*)to)->dec == ((Field_num*)from)->dec))) &&
+        to->real_type() != DRIZZLE_TYPE_ENUM && 
+        to->real_type() != DRIZZLE_TYPE_SET &&
+        (to->real_type() != DRIZZLE_TYPE_NEWDECIMAL || (to->field_length == from->field_length && (((Field_num*)to)->dec == ((Field_num*)from)->dec))) &&
         from->charset() == to->charset() &&
 	to->table->s->db_low_byte_first == from->table->s->db_low_byte_first &&
-        (!(to->table->in_use->variables.sql_mode & (MODE_NO_ZERO_IN_DATE | MODE_NO_ZERO_DATE | MODE_INVALID_DATES)) || (to->type() != FIELD_TYPE_NEWDATE && to->type() != FIELD_TYPE_DATETIME)) && 
-        (from->real_type() != FIELD_TYPE_VARCHAR || ((Field_varstring*)from)->length_bytes == ((Field_varstring*)to)->length_bytes))
+        (!(to->table->in_use->variables.sql_mode & (MODE_NO_ZERO_IN_DATE | MODE_NO_ZERO_DATE | MODE_INVALID_DATES)) || (to->type() != DRIZZLE_TYPE_NEWDATE && to->type() != DRIZZLE_TYPE_DATETIME)) && 
+        (from->real_type() != DRIZZLE_TYPE_VARCHAR || ((Field_varstring*)from)->length_bytes == ((Field_varstring*)to)->length_bytes))
     {						// Identical fields
 #ifdef HAVE_purify
       /* This may happen if one does 'UPDATE ... SET x=x' */
@@ -768,7 +768,7 @@
       return 0;
     }
   }
-  if (to->type() == FIELD_TYPE_BLOB)
+  if (to->type() == DRIZZLE_TYPE_BLOB)
   {						// Be sure the value is stored
     Field_blob *blob=(Field_blob*) to;
     from->val_str(&blob->value);
@@ -778,13 +778,13 @@
     */
     if (to->table->copy_blobs ||
         (!blob->value.is_alloced() &&
-         from->real_type() != FIELD_TYPE_STRING &&
-         from->real_type() != FIELD_TYPE_VARCHAR))
+         from->real_type() != DRIZZLE_TYPE_STRING &&
+         from->real_type() != DRIZZLE_TYPE_VARCHAR))
       blob->value.copy();
     return blob->store(blob->value.ptr(),blob->value.length(),from->charset());
   }
-  if (from->real_type() == FIELD_TYPE_ENUM &&
-      to->real_type() == FIELD_TYPE_ENUM &&
+  if (from->real_type() == DRIZZLE_TYPE_ENUM &&
+      to->real_type() == DRIZZLE_TYPE_ENUM &&
       from->val_int() == 0)
   {
     ((Field_enum *)(to))->store_type(0);
@@ -792,8 +792,8 @@
   }
   else if ((from->result_type() == STRING_RESULT &&
             (to->result_type() == STRING_RESULT ||
-             (from->real_type() != FIELD_TYPE_ENUM &&
-              from->real_type() != FIELD_TYPE_SET))))
+             (from->real_type() != DRIZZLE_TYPE_ENUM &&
+              from->real_type() != DRIZZLE_TYPE_SET))))
   {
     char buff[MAX_FIELD_WIDTH];
     String result(buff,sizeof(buff),from->charset());

=== modified file 'server/handler.cc'
--- server/handler.cc	2008-07-27 19:30:42 +0000
+++ server/handler.cc	2008-07-28 01:47:41 +0000
@@ -2536,7 +2536,7 @@
         if (!keypart->fieldnr)
           continue;
         Field *field= table->field[keypart->fieldnr-1];
-        if (field->type() == FIELD_TYPE_BLOB)
+        if (field->type() == DRIZZLE_TYPE_BLOB)
         {
           if (check_opt->sql_flags & TT_FOR_UPGRADE)
             check_opt->flags= T_MEDIUM;

=== modified file 'server/item.cc'
--- server/item.cc	2008-07-27 19:30:42 +0000
+++ server/item.cc	2008-07-28 01:47:41 +0000
@@ -2141,7 +2141,7 @@
   item_result_type(STRING_RESULT),
   /* Don't pretend to be a literal unless value for this item is set. */
   item_type(PARAM_ITEM),
-  param_type(FIELD_TYPE_VARCHAR),
+  param_type(DRIZZLE_TYPE_VARCHAR),
   pos_in_query(pos_in_query_arg),
   set_param_func(default_set_param_func),
   limit_clause_param(false)
@@ -3953,9 +3953,9 @@
 
 enum_field_types Item::string_field_type() const
 {
-  enum_field_types f_type= FIELD_TYPE_VAR_STRING;
+  enum_field_types f_type= DRIZZLE_TYPE_VAR_STRING;
   if (max_length >= 65536)
-    f_type= FIELD_TYPE_BLOB;
+    f_type= DRIZZLE_TYPE_BLOB;
   return f_type;
 }
 
@@ -3970,13 +3970,13 @@
 {
   switch (result_type()) {
   case STRING_RESULT:  return string_field_type();
-  case INT_RESULT:     return FIELD_TYPE_LONGLONG;
-  case DECIMAL_RESULT: return FIELD_TYPE_NEWDECIMAL;
-  case REAL_RESULT:    return FIELD_TYPE_DOUBLE;
+  case INT_RESULT:     return DRIZZLE_TYPE_LONGLONG;
+  case DECIMAL_RESULT: return DRIZZLE_TYPE_NEWDECIMAL;
+  case REAL_RESULT:    return DRIZZLE_TYPE_DOUBLE;
   case ROW_RESULT:
   default:
     assert(0);
-    return FIELD_TYPE_VARCHAR;
+    return DRIZZLE_TYPE_VARCHAR;
   }
 }
 
@@ -3985,9 +3985,9 @@
 {
   switch (field_type())
   {
-    case FIELD_TYPE_NEWDATE:
-    case FIELD_TYPE_DATETIME:
-    case FIELD_TYPE_TIMESTAMP:
+    case DRIZZLE_TYPE_NEWDATE:
+    case DRIZZLE_TYPE_DATETIME:
+    case DRIZZLE_TYPE_TIMESTAMP:
       return true;
     default:
       break;
@@ -4092,7 +4092,7 @@
                           collation.collation);
   /* Item_type_holder holds the exact type, do not change it */
   else if (max_length > 0 &&
-      (type() != Item::TYPE_HOLDER || field_type() != FIELD_TYPE_STRING))
+      (type() != Item::TYPE_HOLDER || field_type() != DRIZZLE_TYPE_STRING))
     field= new Field_varstring(max_length, maybe_null, name, table->s,
                                collation.collation);
   else
@@ -4125,48 +4125,48 @@
   Field *field;
 
   switch (field_type()) {
-  case FIELD_TYPE_NEWDECIMAL:
+  case DRIZZLE_TYPE_NEWDECIMAL:
     field= new Field_new_decimal((uchar*) 0, max_length, null_ptr, 0,
                                  Field::NONE, name, decimals, 0,
                                  unsigned_flag);
     break;
-  case FIELD_TYPE_TINY:
+  case DRIZZLE_TYPE_TINY:
     field= new Field_tiny((uchar*) 0, max_length, null_ptr, 0, Field::NONE,
 			  name, 0, unsigned_flag);
     break;
-  case FIELD_TYPE_SHORT:
+  case DRIZZLE_TYPE_SHORT:
     field= new Field_short((uchar*) 0, max_length, null_ptr, 0, Field::NONE,
 			   name, 0, unsigned_flag);
     break;
-  case FIELD_TYPE_LONG:
+  case DRIZZLE_TYPE_LONG:
     field= new Field_long((uchar*) 0, max_length, null_ptr, 0, Field::NONE,
 			  name, 0, unsigned_flag);
     break;
-  case FIELD_TYPE_LONGLONG:
+  case DRIZZLE_TYPE_LONGLONG:
     field= new Field_int64_t((uchar*) 0, max_length, null_ptr, 0, Field::NONE,
 			      name, 0, unsigned_flag);
     break;
-  case FIELD_TYPE_DOUBLE:
+  case DRIZZLE_TYPE_DOUBLE:
     field= new Field_double((uchar*) 0, max_length, null_ptr, 0, Field::NONE,
 			    name, decimals, 0, unsigned_flag);
     break;
-  case FIELD_TYPE_NULL:
+  case DRIZZLE_TYPE_NULL:
     field= new Field_null((uchar*) 0, max_length, Field::NONE,
 			  name, &my_charset_bin);
     break;
-  case FIELD_TYPE_NEWDATE:
+  case DRIZZLE_TYPE_NEWDATE:
     field= new Field_newdate(maybe_null, name, &my_charset_bin);
     break;
-  case FIELD_TYPE_TIME:
+  case DRIZZLE_TYPE_TIME:
     field= new Field_time(maybe_null, name, &my_charset_bin);
     break;
-  case FIELD_TYPE_TIMESTAMP:
+  case DRIZZLE_TYPE_TIMESTAMP:
     field= new Field_timestamp(maybe_null, name, &my_charset_bin);
     break;
-  case FIELD_TYPE_DATETIME:
+  case DRIZZLE_TYPE_DATETIME:
     field= new Field_datetime(maybe_null, name, &my_charset_bin);
     break;
-  case FIELD_TYPE_YEAR:
+  case DRIZZLE_TYPE_YEAR:
     field= new Field_year((uchar*) 0, max_length, null_ptr, 0, Field::NONE,
 			  name);
     break;
@@ -4174,7 +4174,7 @@
     /* This case should never be chosen */
     assert(0);
     /* If something goes awfully wrong, it's better to get a string than die */
-  case FIELD_TYPE_STRING:
+  case DRIZZLE_TYPE_STRING:
     if (fixed_length && max_length < CONVERT_IF_BIGGER_TO_BLOB)
     {
       field= new Field_string(max_length, maybe_null, name,
@@ -4182,12 +4182,12 @@
       break;
     }
     /* Fall through to make_string_field() */
-  case FIELD_TYPE_ENUM:
-  case FIELD_TYPE_SET:
-  case FIELD_TYPE_VAR_STRING:
-  case FIELD_TYPE_VARCHAR:
+  case DRIZZLE_TYPE_ENUM:
+  case DRIZZLE_TYPE_SET:
+  case DRIZZLE_TYPE_VAR_STRING:
+  case DRIZZLE_TYPE_VARCHAR:
     return make_string_field(table);
-  case FIELD_TYPE_BLOB:
+  case DRIZZLE_TYPE_BLOB:
     if (this->type() == Item::TYPE_HOLDER)
       field= new Field_blob(max_length, maybe_null, name, collation.collation,
                             1);
@@ -4706,21 +4706,21 @@
 
   switch ((f_type=field_type())) {
   default:
-  case FIELD_TYPE_NULL:
-  case FIELD_TYPE_ENUM:
-  case FIELD_TYPE_SET:
-  case FIELD_TYPE_BLOB:
-  case FIELD_TYPE_STRING:
-  case FIELD_TYPE_VAR_STRING:
-  case FIELD_TYPE_VARCHAR:
-  case FIELD_TYPE_NEWDECIMAL:
+  case DRIZZLE_TYPE_NULL:
+  case DRIZZLE_TYPE_ENUM:
+  case DRIZZLE_TYPE_SET:
+  case DRIZZLE_TYPE_BLOB:
+  case DRIZZLE_TYPE_STRING:
+  case DRIZZLE_TYPE_VAR_STRING:
+  case DRIZZLE_TYPE_VARCHAR:
+  case DRIZZLE_TYPE_NEWDECIMAL:
   {
     String *res;
     if ((res=val_str(buffer)))
       result= protocol->store(res->ptr(),res->length(),res->charset());
     break;
   }
-  case FIELD_TYPE_TINY:
+  case DRIZZLE_TYPE_TINY:
   {
     int64_t nr;
     nr= val_int();
@@ -4728,8 +4728,8 @@
       result= protocol->store_tiny(nr);
     break;
   }
-  case FIELD_TYPE_SHORT:
-  case FIELD_TYPE_YEAR:
+  case DRIZZLE_TYPE_SHORT:
+  case DRIZZLE_TYPE_YEAR:
   {
     int64_t nr;
     nr= val_int();
@@ -4737,7 +4737,7 @@
       result= protocol->store_short(nr);
     break;
   }
-  case FIELD_TYPE_LONG:
+  case DRIZZLE_TYPE_LONG:
   {
     int64_t nr;
     nr= val_int();
@@ -4745,7 +4745,7 @@
       result= protocol->store_long(nr);
     break;
   }
-  case FIELD_TYPE_LONGLONG:
+  case DRIZZLE_TYPE_LONGLONG:
   {
     int64_t nr;
     nr= val_int();
@@ -4753,28 +4753,28 @@
       result= protocol->store_int64_t(nr, unsigned_flag);
     break;
   }
-  case FIELD_TYPE_DOUBLE:
+  case DRIZZLE_TYPE_DOUBLE:
   {
     double nr= val_real();
     if (!null_value)
       result= protocol->store(nr, decimals, buffer);
     break;
   }
-  case FIELD_TYPE_DATETIME:
-  case FIELD_TYPE_TIMESTAMP:
+  case DRIZZLE_TYPE_DATETIME:
+  case DRIZZLE_TYPE_TIMESTAMP:
   {
     MYSQL_TIME tm;
     get_date(&tm, TIME_FUZZY_DATE);
     if (!null_value)
     {
-      if (f_type == FIELD_TYPE_NEWDATE)
+      if (f_type == DRIZZLE_TYPE_NEWDATE)
 	return protocol->store_date(&tm);
       else
 	result= protocol->store(&tm);
     }
     break;
   }
-  case FIELD_TYPE_TIME:
+  case DRIZZLE_TYPE_TIME:
   {
     MYSQL_TIME tm;
     get_time(&tm);
@@ -6112,7 +6112,7 @@
 int Item_cache_str::save_in_field(Field *field, bool no_conversions)
 {
   int res= Item_cache::save_in_field(field, no_conversions);
-  return (is_varbinary && field->type() == FIELD_TYPE_STRING &&
+  return (is_varbinary && field->type() == DRIZZLE_TYPE_STRING &&
           value->length() < field->field_length) ? 1 : res;
 }
 
@@ -6249,10 +6249,10 @@
     Field *field= ((Item_field *) item)->field;
     enum_field_types type= field->real_type();
     if (field->is_created_from_null_item)
-      return FIELD_TYPE_NULL;
+      return DRIZZLE_TYPE_NULL;
     /* work around about varchar type field detection */
-    if (type == FIELD_TYPE_STRING && field->type() == FIELD_TYPE_VAR_STRING)
-      return FIELD_TYPE_VAR_STRING;
+    if (type == DRIZZLE_TYPE_STRING && field->type() == DRIZZLE_TYPE_VAR_STRING)
+      return DRIZZLE_TYPE_VAR_STRING;
     return type;
   }
   case SUM_FUNC_ITEM:
@@ -6277,17 +6277,17 @@
       */
       switch (item->result_type()) {
       case STRING_RESULT:
-        return FIELD_TYPE_VAR_STRING;
+        return DRIZZLE_TYPE_VAR_STRING;
       case INT_RESULT:
-        return FIELD_TYPE_LONGLONG;
+        return DRIZZLE_TYPE_LONGLONG;
       case REAL_RESULT:
-        return FIELD_TYPE_DOUBLE;
+        return DRIZZLE_TYPE_DOUBLE;
       case DECIMAL_RESULT:
-        return FIELD_TYPE_NEWDECIMAL;
+        return DRIZZLE_TYPE_NEWDECIMAL;
       case ROW_RESULT:
       default:
         assert(0);
-        return FIELD_TYPE_VAR_STRING;
+        return DRIZZLE_TYPE_VAR_STRING;
       }
     }
     break;
@@ -6373,7 +6373,7 @@
       int delta1= max_length_orig - decimals_orig;
       int delta2= item->max_length - item->decimals;
       max_length= max(delta1, delta2) + decimals;
-      if (fld_type == FIELD_TYPE_DOUBLE && max_length > DBL_DIG + 2) 
+      if (fld_type == DRIZZLE_TYPE_DOUBLE && max_length > DBL_DIG + 2) 
       {
         max_length= DBL_DIG + 7;
         decimals= NOT_FIXED_DEC;
@@ -6410,29 +6410,29 @@
 
   switch (item->field_type())
   {
-  case FIELD_TYPE_TIMESTAMP:
-  case FIELD_TYPE_TIME:
-  case FIELD_TYPE_DATETIME:
-  case FIELD_TYPE_YEAR:
-  case FIELD_TYPE_NEWDATE:
-  case FIELD_TYPE_VARCHAR:
-  case FIELD_TYPE_NEWDECIMAL:
-  case FIELD_TYPE_ENUM:
-  case FIELD_TYPE_SET:
-  case FIELD_TYPE_BLOB:
-  case FIELD_TYPE_VAR_STRING:
-  case FIELD_TYPE_STRING:
-  case FIELD_TYPE_TINY:
+  case DRIZZLE_TYPE_TIMESTAMP:
+  case DRIZZLE_TYPE_TIME:
+  case DRIZZLE_TYPE_DATETIME:
+  case DRIZZLE_TYPE_YEAR:
+  case DRIZZLE_TYPE_NEWDATE:
+  case DRIZZLE_TYPE_VARCHAR:
+  case DRIZZLE_TYPE_NEWDECIMAL:
+  case DRIZZLE_TYPE_ENUM:
+  case DRIZZLE_TYPE_SET:
+  case DRIZZLE_TYPE_BLOB:
+  case DRIZZLE_TYPE_VAR_STRING:
+  case DRIZZLE_TYPE_STRING:
+  case DRIZZLE_TYPE_TINY:
     return 4;
-  case FIELD_TYPE_SHORT:
+  case DRIZZLE_TYPE_SHORT:
     return 6;
-  case FIELD_TYPE_LONG:
+  case DRIZZLE_TYPE_LONG:
     return MY_INT32_NUM_DECIMAL_DIGITS;
-  case FIELD_TYPE_DOUBLE:
+  case DRIZZLE_TYPE_DOUBLE:
     return 53;
-  case FIELD_TYPE_NULL:
+  case DRIZZLE_TYPE_NULL:
     return 0;
-  case FIELD_TYPE_LONGLONG:
+  case DRIZZLE_TYPE_LONGLONG:
     return 20;
   default:
     assert(0); // we should never go there
@@ -6460,7 +6460,7 @@
   Field *field;
 
   switch (fld_type) {
-  case FIELD_TYPE_ENUM:
+  case DRIZZLE_TYPE_ENUM:
     assert(enum_set_typelib);
     field= new Field_enum((uchar *) 0, max_length, null_ptr, 0,
                           Field::NONE, name,
@@ -6469,7 +6469,7 @@
     if (field)
       field->init(table);
     return field;
-  case FIELD_TYPE_SET:
+  case DRIZZLE_TYPE_SET:
     assert(enum_set_typelib);
     field= new Field_set((uchar *) 0, max_length, null_ptr, 0,
                          Field::NONE, name,
@@ -6478,7 +6478,7 @@
     if (field)
       field->init(table);
     return field;
-  case FIELD_TYPE_NULL:
+  case DRIZZLE_TYPE_NULL:
     return make_string_field(table);
   default:
     break;
@@ -6495,8 +6495,8 @@
 */
 void Item_type_holder::get_full_info(Item *item)
 {
-  if (fld_type == FIELD_TYPE_ENUM ||
-      fld_type == FIELD_TYPE_SET)
+  if (fld_type == DRIZZLE_TYPE_ENUM ||
+      fld_type == DRIZZLE_TYPE_SET)
   {
     if (item->type() == Item::SUM_FUNC_ITEM &&
         (((Item_sum*)item)->sum_func() == Item_sum::MAX_FUNC ||
@@ -6507,11 +6507,11 @@
       field (or MIN|MAX(enum|set field)) and number of NULL fields
     */
     assert((enum_set_typelib &&
-                 get_real_type(item) == FIELD_TYPE_NULL) ||
+                 get_real_type(item) == DRIZZLE_TYPE_NULL) ||
                 (!enum_set_typelib &&
                  item->type() == Item::FIELD_ITEM &&
-                 (get_real_type(item) == FIELD_TYPE_ENUM ||
-                  get_real_type(item) == FIELD_TYPE_SET) &&
+                 (get_real_type(item) == DRIZZLE_TYPE_ENUM ||
+                  get_real_type(item) == DRIZZLE_TYPE_SET) &&
                  ((Field_enum*)((Item_field *) item)->field)->typelib));
     if (!enum_set_typelib)
     {

=== modified file 'server/item.h'
--- server/item.h	2008-07-27 19:30:42 +0000
+++ server/item.h	2008-07-28 01:47:41 +0000
@@ -1199,7 +1199,7 @@
   int save_safe_in_field(Field *field);
   bool send(Protocol *protocol, String *str);
   enum Item_result result_type () const { return STRING_RESULT; }
-  enum_field_types field_type() const   { return FIELD_TYPE_NULL; }
+  enum_field_types field_type() const   { return DRIZZLE_TYPE_NULL; }
   bool basic_const_item() const { return 1; }
   Item *clone_item() { return new Item_null(name); }
   bool is_null() { return 1; }
@@ -1286,7 +1286,7 @@
     Used when this item is used in a temporary table.
     This is NOT placeholder metadata sent to client, as this value
     is assigned after sending metadata (in setup_one_conversion_function).
-    For example in case of 'SELECT ?' you'll get FIELD_TYPE_STRING both
+    For example in case of 'SELECT ?' you'll get DRIZZLE_TYPE_STRING both
     in result set and placeholders metadata, no matter what type you will
     supply for this placeholder in mysql_stmt_execute.
   */
@@ -1384,7 +1384,7 @@
   Item_int(const char *str_arg, uint length=64);
   enum Type type() const { return INT_ITEM; }
   enum Item_result result_type () const { return INT_RESULT; }
-  enum_field_types field_type() const { return FIELD_TYPE_LONGLONG; }
+  enum_field_types field_type() const { return DRIZZLE_TYPE_LONGLONG; }
   int64_t val_int() { assert(fixed == 1); return value; }
   double val_real() { assert(fixed == 1); return (double) value; }
   my_decimal *val_decimal(my_decimal *);
@@ -1433,7 +1433,7 @@
 
   enum Type type() const { return DECIMAL_ITEM; }
   enum Item_result result_type () const { return DECIMAL_RESULT; }
-  enum_field_types field_type() const { return FIELD_TYPE_NEWDECIMAL; }
+  enum_field_types field_type() const { return DRIZZLE_TYPE_NEWDECIMAL; }
   int64_t val_int();
   double val_real();
   String *val_str(String*);
@@ -1480,7 +1480,7 @@
   }
   int save_in_field(Field *field, bool no_conversions);
   enum Type type() const { return REAL_ITEM; }
-  enum_field_types field_type() const { return FIELD_TYPE_DOUBLE; }
+  enum_field_types field_type() const { return DRIZZLE_TYPE_DOUBLE; }
   double val_real() { assert(fixed == 1); return value; }
   int64_t val_int()
   {
@@ -1597,7 +1597,7 @@
   my_decimal *val_decimal(my_decimal *);
   int save_in_field(Field *field, bool no_conversions);
   enum Item_result result_type () const { return STRING_RESULT; }
-  enum_field_types field_type() const { return FIELD_TYPE_VARCHAR; }
+  enum_field_types field_type() const { return DRIZZLE_TYPE_VARCHAR; }
   bool basic_const_item() const { return 1; }
   bool eq(const Item *item, bool binary_cmp) const;
   Item *clone_item() 
@@ -1696,7 +1696,7 @@
     Item_string(name, length, &my_charset_bin)
   { max_length= length; }
   enum Type type() const { return TYPE_HOLDER; }
-  enum_field_types field_type() const { return FIELD_TYPE_BLOB; }
+  enum_field_types field_type() const { return DRIZZLE_TYPE_BLOB; }
 };
 
 
@@ -1748,7 +1748,7 @@
   int save_in_field(Field *field, bool no_conversions);
   enum Item_result result_type () const { return STRING_RESULT; }
   enum Item_result cast_to_int_type() const { return INT_RESULT; }
-  enum_field_types field_type() const { return FIELD_TYPE_VARCHAR; }
+  enum_field_types field_type() const { return DRIZZLE_TYPE_VARCHAR; }
   virtual void print(String *str, enum_query_type query_type);
   bool eq(const Item *item, bool binary_cmp) const;
   virtual Item *safe_charset_converter(CHARSET_INFO *tocs);
@@ -2288,7 +2288,7 @@
   enum enum_field_types cached_field_type;
 public:
   Item_cache(): 
-    example(0), used_table_map(0), cached_field(0), cached_field_type(FIELD_TYPE_STRING) 
+    example(0), used_table_map(0), cached_field(0), cached_field_type(DRIZZLE_TYPE_STRING) 
   {
     fixed= 1; 
     null_value= 1;
@@ -2396,7 +2396,7 @@
     Item_cache(), value(0),
     is_varbinary(item->type() == FIELD_ITEM &&
                  ((const Item_field *) item)->field->type() ==
-                   FIELD_TYPE_VARCHAR &&
+                   DRIZZLE_TYPE_VARCHAR &&
                  !((const Item_field *) item)->field->has_charset())
   {}
   void store(Item *item);

=== modified file 'server/item_cmpfunc.cc'
--- server/item_cmpfunc.cc	2008-07-27 19:30:42 +0000
+++ server/item_cmpfunc.cc	2008-07-28 01:47:41 +0000
@@ -757,7 +757,7 @@
       uint64_t value;
       bool error;
       String tmp, *str_val= 0;
-      timestamp_type t_type= (date_arg->field_type() == FIELD_TYPE_NEWDATE ?
+      timestamp_type t_type= (date_arg->field_type() == DRIZZLE_TYPE_NEWDATE ?
                               MYSQL_TIMESTAMP_DATE : MYSQL_TIMESTAMP_DATETIME);
 
       str_val= str_arg->val_str(&tmp);
@@ -878,8 +878,8 @@
     get_value_func= &get_datetime_value;
     return 0;
   }
-  else if (type == STRING_RESULT && (*a)->field_type() == FIELD_TYPE_TIME &&
-           (*b)->field_type() == FIELD_TYPE_TIME)
+  else if (type == STRING_RESULT && (*a)->field_type() == DRIZZLE_TYPE_TIME &&
+           (*b)->field_type() == DRIZZLE_TYPE_TIME)
   {
     /* Compare TIME values as integers. */
     thd= current_thd;
@@ -956,13 +956,13 @@
     *is_null= item->null_value;
     enum_field_types f_type= item->field_type();
     /*
-      Item_date_add_interval may return FIELD_TYPE_STRING as the result
+      Item_date_add_interval may return DRIZZLE_TYPE_STRING as the result
       field type. To detect that the DATE value has been returned we
       compare it with 100000000L - any DATE value should be less than it.
       Don't shift cached DATETIME values up for the second time.
     */
-    if (f_type == FIELD_TYPE_NEWDATE ||
-        (f_type != FIELD_TYPE_DATETIME && value < 100000000L))
+    if (f_type == DRIZZLE_TYPE_NEWDATE ||
+        (f_type != DRIZZLE_TYPE_DATETIME && value < 100000000L))
       value*= 1000000L;
   }
   else
@@ -983,7 +983,7 @@
     bool error;
     enum_field_types f_type= warn_item->field_type();
     timestamp_type t_type= f_type ==
-      FIELD_TYPE_NEWDATE ? MYSQL_TIMESTAMP_DATE : MYSQL_TIMESTAMP_DATETIME;
+      DRIZZLE_TYPE_NEWDATE ? MYSQL_TIMESTAMP_DATE : MYSQL_TIMESTAMP_DATETIME;
     value= get_date_from_str(thd, str, t_type, warn_item->name, &error);
     /*
       If str did not contain a valid date according to the current
@@ -999,7 +999,7 @@
   if (item->const_item() && cache_arg && (item->type() != Item::FUNC_ITEM ||
       ((Item_func*)item)->functype() != Item_func::GUSERVAR_FUNC))
   {
-    Item_cache_int *cache= new Item_cache_int(FIELD_TYPE_DATETIME);
+    Item_cache_int *cache= new Item_cache_int(DRIZZLE_TYPE_DATETIME);
     /* Mark the cache as non-const to prevent re-caching. */
     cache->set_used_tables(1);
     cache->store(item, value);
@@ -2020,7 +2020,7 @@
         datetime_found= true;
         continue;
       }
-      if (args[i]->field_type() == FIELD_TYPE_TIME &&
+      if (args[i]->field_type() == DRIZZLE_TYPE_TIME &&
           args[i]->result_as_int64_t())
         time_items_found++;
     }
@@ -3625,7 +3625,7 @@
             */
             if (!date_arg)
               date_arg= itm;
-            else if (itm->field_type() == FIELD_TYPE_DATETIME)
+            else if (itm->field_type() == DRIZZLE_TYPE_DATETIME)
             {
               date_arg= itm;
               /* All arguments are already checked to have the STRING result. */

=== modified file 'server/item_cmpfunc.h'
--- server/item_cmpfunc.h	2008-07-27 19:30:42 +0000
+++ server/item_cmpfunc.h	2008-07-28 01:47:41 +0000
@@ -1436,7 +1436,7 @@
   Item *transform(Item_transformer transformer, uchar *arg);
   void traverse_cond(Cond_traverser, void *arg, traverse_order order);
   void neg_arguments(THD *thd);
-  enum_field_types field_type() const { return FIELD_TYPE_LONGLONG; }
+  enum_field_types field_type() const { return DRIZZLE_TYPE_LONGLONG; }
   bool subst_argument_checker(uchar **arg __attribute__((__unused__)))
   { return true; }
   Item *compile(Item_analyzer analyzer, uchar **arg_p,

=== modified file 'server/item_func.cc'
--- server/item_func.cc	2008-07-27 19:30:42 +0000
+++ server/item_func.cc	2008-07-28 01:47:41 +0000
@@ -2195,7 +2195,7 @@
     if (args[i]->result_type() != ROW_RESULT && args[i]->is_datetime())
     {
       datetime_found= true;
-      if (!datetime_item || args[i]->field_type() == FIELD_TYPE_DATETIME)
+      if (!datetime_item || args[i]->field_type() == DRIZZLE_TYPE_DATETIME)
         datetime_item= args[i];
     }
   }
@@ -2254,7 +2254,7 @@
   if (value)
   {
     *value= min_max;
-    if (datetime_item->field_type() == FIELD_TYPE_NEWDATE)
+    if (datetime_item->field_type() == DRIZZLE_TYPE_NEWDATE)
       *value/= 1000000L;
   }
   return min_max_idx;
@@ -2646,7 +2646,7 @@
   if (args[0]->const_item() && args[1]->type() == FIELD_ITEM)
   {
     Field *field= ((Item_field*) args[1])->field;
-    if (field->real_type() == FIELD_TYPE_SET)
+    if (field->real_type() == DRIZZLE_TYPE_SET)
     {
       String *find=args[0]->val_str(&value);
       if (find)

=== modified file 'server/item_func.h'
--- server/item_func.h	2008-07-27 19:30:42 +0000
+++ server/item_func.h	2008-07-28 01:47:41 +0000
@@ -378,7 +378,7 @@
   int64_t val_int();
   my_decimal *val_decimal(my_decimal*);
   enum Item_result result_type () const { return DECIMAL_RESULT; }
-  enum_field_types field_type() const { return FIELD_TYPE_NEWDECIMAL; }
+  enum_field_types field_type() const { return DRIZZLE_TYPE_NEWDECIMAL; }
   void fix_length_and_dec() {};
   const char *func_name() const { return "decimal_typecast"; }
   virtual void print(String *str, enum_query_type query_type);

=== modified file 'server/item_subselect.cc'
--- server/item_subselect.cc	2008-07-27 19:30:42 +0000
+++ server/item_subselect.cc	2008-07-28 01:47:41 +0000
@@ -2067,7 +2067,7 @@
   Item *sel_item;
   List_iterator_fast<Item> li(item_list);
   res_type= STRING_RESULT;
-  res_field_type= FIELD_TYPE_STRING;
+  res_field_type= DRIZZLE_TYPE_STRING;
   for (uint i= 0; (sel_item= li++); i++)
   {
     item->max_length= sel_item->max_length;

=== modified file 'server/item_subselect.h'
--- server/item_subselect.h	2008-07-27 19:30:42 +0000
+++ server/item_subselect.h	2008-07-28 01:47:41 +0000
@@ -402,7 +402,7 @@
     result= res;
     item= si;
     res_type= STRING_RESULT;
-    res_field_type= FIELD_TYPE_STRING;
+    res_field_type= DRIZZLE_TYPE_STRING;
     maybe_null= 0;
   }
   virtual ~subselect_engine() {}; // to satisfy compiler

=== modified file 'server/item_sum.cc'
--- server/item_sum.cc	2008-07-27 19:30:42 +0000
+++ server/item_sum.cc	2008-07-28 01:47:41 +0000
@@ -696,14 +696,14 @@
     fields creations separately.
   */
   switch (args[0]->field_type()) {
-  case FIELD_TYPE_NEWDATE:
+  case DRIZZLE_TYPE_NEWDATE:
     field= new Field_newdate(maybe_null, name, collation.collation);
     break;
-  case FIELD_TYPE_TIME:
+  case DRIZZLE_TYPE_TIME:
     field= new Field_time(maybe_null, name, collation.collation);
     break;
-  case FIELD_TYPE_TIMESTAMP:
-  case FIELD_TYPE_DATETIME:
+  case DRIZZLE_TYPE_TIMESTAMP:
+  case DRIZZLE_TYPE_DATETIME:
     field= new Field_datetime(maybe_null, name, collation.collation);
     break;
   default:
@@ -936,7 +936,7 @@
   case STRING_RESULT:
   case REAL_RESULT:
     val.traits= Hybrid_type_traits::instance();
-    table_field_type= FIELD_TYPE_DOUBLE;
+    table_field_type= DRIZZLE_TYPE_DOUBLE;
     break;
   case INT_RESULT:
   /*
@@ -946,17 +946,17 @@
     calculations. The range of int64 is enough to hold sum 2^32 distinct
     integers each <= 2^32.
   */
-  if (table_field_type >= FIELD_TYPE_TINY && table_field_type <= FIELD_TYPE_LONG)
+  if (table_field_type >= DRIZZLE_TYPE_TINY && table_field_type <= DRIZZLE_TYPE_LONG)
   {
     val.traits= Hybrid_type_traits_fast_decimal::instance();
     break;
   }
-  table_field_type= FIELD_TYPE_LONGLONG;
+  table_field_type= DRIZZLE_TYPE_LONGLONG;
   /* fallthrough */
   case DECIMAL_RESULT:
     val.traits= Hybrid_type_traits_decimal::instance();
-    if (table_field_type != FIELD_TYPE_LONGLONG)
-      table_field_type= FIELD_TYPE_NEWDECIMAL;
+    if (table_field_type != DRIZZLE_TYPE_LONGLONG)
+      table_field_type= DRIZZLE_TYPE_NEWDECIMAL;
     break;
   case ROW_RESULT:
   default:
@@ -2582,7 +2582,7 @@
       Field *f= *field;
       enum enum_field_types f_type= f->type();
       tree_key_length+= f->pack_length();
-      if ((f_type == FIELD_TYPE_VARCHAR) || (!f->binary() && (f_type == FIELD_TYPE_STRING)))
+      if ((f_type == DRIZZLE_TYPE_VARCHAR) || (!f->binary() && (f_type == DRIZZLE_TYPE_STRING)))
       {
         all_binary= false;
         break;

=== modified file 'server/item_sum.h'
--- server/item_sum.h	2008-07-27 19:30:42 +0000
+++ server/item_sum.h	2008-07-28 01:47:41 +0000
@@ -650,7 +650,7 @@
   enum_field_types field_type() const
   {
     return hybrid_type == DECIMAL_RESULT ?
-      FIELD_TYPE_NEWDECIMAL : FIELD_TYPE_DOUBLE;
+      DRIZZLE_TYPE_NEWDECIMAL : DRIZZLE_TYPE_DOUBLE;
   }
   void fix_length_and_dec() {}
   enum Item_result result_type () const { return hybrid_type; }
@@ -718,7 +718,7 @@
   enum_field_types field_type() const
   {
     return hybrid_type == DECIMAL_RESULT ?
-      FIELD_TYPE_NEWDECIMAL : FIELD_TYPE_DOUBLE;
+      DRIZZLE_TYPE_NEWDECIMAL : DRIZZLE_TYPE_DOUBLE;
   }
   void fix_length_and_dec() {}
   enum Item_result result_type () const { return hybrid_type; }
@@ -796,7 +796,7 @@
   double val_real();
   my_decimal *val_decimal(my_decimal *);
   enum Item_result result_type () const { return REAL_RESULT; }
-  enum_field_types field_type() const { return FIELD_TYPE_DOUBLE;}
+  enum_field_types field_type() const { return DRIZZLE_TYPE_DOUBLE;}
 };
 
 /*
@@ -818,7 +818,7 @@
   const char *func_name() const { return "std("; }
   Item *copy_or_same(THD* thd);
   enum Item_result result_type () const { return REAL_RESULT; }
-  enum_field_types field_type() const { return FIELD_TYPE_DOUBLE;}
+  enum_field_types field_type() const { return DRIZZLE_TYPE_DOUBLE;}
 };
 
 // This class is a string or number function depending on num_func
@@ -838,7 +838,7 @@
   public:
   Item_sum_hybrid(Item *item_par,int sign)
     :Item_sum(item_par), sum(0.0), sum_int(0),
-    hybrid_type(INT_RESULT), hybrid_field_type(FIELD_TYPE_LONGLONG),
+    hybrid_type(INT_RESULT), hybrid_field_type(DRIZZLE_TYPE_LONGLONG),
     cmp_sign(sign), was_values(true)
   { collation.set(&my_charset_bin); }
   Item_sum_hybrid(THD *thd, Item_sum_hybrid *item);
@@ -1153,9 +1153,9 @@
   enum_field_types field_type() const
   {
     if (max_length/collation.collation->mbmaxlen > CONVERT_IF_BIGGER_TO_BLOB )
-      return FIELD_TYPE_BLOB;
+      return DRIZZLE_TYPE_BLOB;
     else
-      return FIELD_TYPE_VARCHAR;
+      return DRIZZLE_TYPE_VARCHAR;
   }
   void clear();
   bool add();

=== modified file 'server/item_timefunc.cc'
--- server/item_timefunc.cc	2008-07-27 19:30:42 +0000
+++ server/item_timefunc.cc	2008-07-28 01:47:41 +0000
@@ -950,9 +950,9 @@
 {
   if (args[0]->type() == Item::FIELD_ITEM)
   {
-    if (args[0]->field_type() == FIELD_TYPE_NEWDATE)
+    if (args[0]->field_type() == DRIZZLE_TYPE_NEWDATE)
       return MONOTONIC_STRICT_INCREASING;
-    if (args[0]->field_type() == FIELD_TYPE_DATETIME)
+    if (args[0]->field_type() == DRIZZLE_TYPE_DATETIME)
       return MONOTONIC_INCREASING;
   }
   return NON_MONOTONIC;
@@ -971,7 +971,7 @@
   }
   res=(int64_t) calc_daynr(ltime.year,ltime.month,ltime.day);
   
-  if (args[0]->field_type() == FIELD_TYPE_NEWDATE)
+  if (args[0]->field_type() == DRIZZLE_TYPE_NEWDATE)
   {
     // TO_DAYS() is strictly monotonic for dates, leave incl_endp intact
     return res;
@@ -1206,8 +1206,8 @@
 enum_monotonicity_info Item_func_year::get_monotonicity_info() const
 {
   if (args[0]->type() == Item::FIELD_ITEM &&
-      (args[0]->field_type() == FIELD_TYPE_NEWDATE ||
-       args[0]->field_type() == FIELD_TYPE_DATETIME))
+      (args[0]->field_type() == DRIZZLE_TYPE_NEWDATE ||
+       args[0]->field_type() == DRIZZLE_TYPE_DATETIME))
     return MONOTONIC_INCREASING;
   return NON_MONOTONIC;
 }
@@ -1254,7 +1254,7 @@
   if (args[0]->type() == FIELD_ITEM)
   {						// Optimize timestamp field
     Field *field=((Item_field*) args[0])->field;
-    if (field->type() == FIELD_TYPE_TIMESTAMP)
+    if (field->type() == DRIZZLE_TYPE_TIMESTAMP)
       return ((Field_timestamp*) field)->get_timestamp(&null_value);
   }
   
@@ -2016,24 +2016,24 @@
     The field type for the result of an Item_date function is defined as
     follows:
 
-    - If first arg is a FIELD_TYPE_DATETIME result is FIELD_TYPE_DATETIME
-    - If first arg is a FIELD_TYPE_NEWDATE and the interval type uses hours,
-      minutes or seconds then type is FIELD_TYPE_DATETIME.
-    - Otherwise the result is FIELD_TYPE_STRING
+    - If first arg is a DRIZZLE_TYPE_DATETIME result is DRIZZLE_TYPE_DATETIME
+    - If first arg is a DRIZZLE_TYPE_NEWDATE and the interval type uses hours,
+      minutes or seconds then type is DRIZZLE_TYPE_DATETIME.
+    - Otherwise the result is DRIZZLE_TYPE_STRING
       (This is because you can't know if the string contains a DATE, MYSQL_TIME or
       DATETIME argument)
   */
-  cached_field_type= FIELD_TYPE_STRING;
+  cached_field_type= DRIZZLE_TYPE_STRING;
   arg0_field_type= args[0]->field_type();
-  if (arg0_field_type == FIELD_TYPE_DATETIME ||
-      arg0_field_type == FIELD_TYPE_TIMESTAMP)
-    cached_field_type= FIELD_TYPE_DATETIME;
-  else if (arg0_field_type == FIELD_TYPE_NEWDATE)
+  if (arg0_field_type == DRIZZLE_TYPE_DATETIME ||
+      arg0_field_type == DRIZZLE_TYPE_TIMESTAMP)
+    cached_field_type= DRIZZLE_TYPE_DATETIME;
+  else if (arg0_field_type == DRIZZLE_TYPE_NEWDATE)
   {
     if (int_type <= INTERVAL_DAY || int_type == INTERVAL_YEAR_MONTH)
       cached_field_type= arg0_field_type;
     else
-      cached_field_type= FIELD_TYPE_DATETIME;
+      cached_field_type= DRIZZLE_TYPE_DATETIME;
   }
 }
 
@@ -2626,20 +2626,20 @@
     The field type for the result of an Item_func_add_time function is defined
     as follows:
 
-    - If first arg is a FIELD_TYPE_DATETIME or FIELD_TYPE_TIMESTAMP 
-      result is FIELD_TYPE_DATETIME
-    - If first arg is a FIELD_TYPE_TIME result is FIELD_TYPE_TIME
-    - Otherwise the result is FIELD_TYPE_STRING
+    - If first arg is a DRIZZLE_TYPE_DATETIME or DRIZZLE_TYPE_TIMESTAMP 
+      result is DRIZZLE_TYPE_DATETIME
+    - If first arg is a DRIZZLE_TYPE_TIME result is DRIZZLE_TYPE_TIME
+    - Otherwise the result is DRIZZLE_TYPE_STRING
   */
 
-  cached_field_type= FIELD_TYPE_STRING;
+  cached_field_type= DRIZZLE_TYPE_STRING;
   arg0_field_type= args[0]->field_type();
-  if (arg0_field_type == FIELD_TYPE_NEWDATE ||
-      arg0_field_type == FIELD_TYPE_DATETIME ||
-      arg0_field_type == FIELD_TYPE_TIMESTAMP)
-    cached_field_type= FIELD_TYPE_DATETIME;
-  else if (arg0_field_type == FIELD_TYPE_TIME)
-    cached_field_type= FIELD_TYPE_TIME;
+  if (arg0_field_type == DRIZZLE_TYPE_NEWDATE ||
+      arg0_field_type == DRIZZLE_TYPE_DATETIME ||
+      arg0_field_type == DRIZZLE_TYPE_TIMESTAMP)
+    cached_field_type= DRIZZLE_TYPE_DATETIME;
+  else if (arg0_field_type == DRIZZLE_TYPE_TIME)
+    cached_field_type= DRIZZLE_TYPE_TIME;
 }
 
 /**
@@ -3160,7 +3160,7 @@
 {
   maybe_null= 1;
   decimals=0;
-  cached_field_type= FIELD_TYPE_DATETIME;
+  cached_field_type= DRIZZLE_TYPE_DATETIME;
   max_length= MAX_DATETIME_FULL_WIDTH*MY_CHARSET_BIN_MB_MAXLEN;
   cached_timestamp_type= MYSQL_TIMESTAMP_NONE;
   if ((const_item= args[1]->const_item()))
@@ -3175,18 +3175,18 @@
       switch (cached_format_type) {
       case DATE_ONLY:
         cached_timestamp_type= MYSQL_TIMESTAMP_DATE;
-        cached_field_type= FIELD_TYPE_NEWDATE; 
+        cached_field_type= DRIZZLE_TYPE_NEWDATE; 
         max_length= MAX_DATE_WIDTH * MY_CHARSET_BIN_MB_MAXLEN;
         break;
       case TIME_ONLY:
       case TIME_MICROSECOND:
         cached_timestamp_type= MYSQL_TIMESTAMP_TIME;
-        cached_field_type= FIELD_TYPE_TIME; 
+        cached_field_type= DRIZZLE_TYPE_TIME; 
         max_length= MAX_TIME_WIDTH * MY_CHARSET_BIN_MB_MAXLEN;
         break;
       default:
         cached_timestamp_type= MYSQL_TIMESTAMP_DATETIME;
-        cached_field_type= FIELD_TYPE_DATETIME; 
+        cached_field_type= DRIZZLE_TYPE_DATETIME; 
         break;
       }
     }

=== modified file 'server/item_timefunc.h'
--- server/item_timefunc.h	2008-07-27 19:30:42 +0000
+++ server/item_timefunc.h	2008-07-28 01:47:41 +0000
@@ -334,7 +334,7 @@
   Item_date() :Item_func() {}
   Item_date(Item *a) :Item_func(a) {}
   enum Item_result result_type () const { return STRING_RESULT; }
-  enum_field_types field_type() const { return FIELD_TYPE_NEWDATE; }
+  enum_field_types field_type() const { return DRIZZLE_TYPE_NEWDATE; }
   String *val_str(String *str);
   int64_t val_int();
   double val_real() { return val_real_from_decimal(); }
@@ -370,7 +370,7 @@
   Item_date_func(Item *a) :Item_str_func(a) {}
   Item_date_func(Item *a,Item *b) :Item_str_func(a,b) {}
   Item_date_func(Item *a,Item *b, Item *c) :Item_str_func(a,b,c) {}
-  enum_field_types field_type() const { return FIELD_TYPE_DATETIME; }
+  enum_field_types field_type() const { return DRIZZLE_TYPE_DATETIME; }
   Field *tmp_table_field(TABLE *table)
   {
     return tmp_table_field_from_field_type(table, 0);
@@ -397,7 +397,7 @@
   Item_str_timefunc(Item *a) :Item_str_func(a) {}
   Item_str_timefunc(Item *a,Item *b) :Item_str_func(a,b) {}
   Item_str_timefunc(Item *a, Item *b, Item *c) :Item_str_func(a, b ,c) {}
-  enum_field_types field_type() const { return FIELD_TYPE_TIME; }
+  enum_field_types field_type() const { return DRIZZLE_TYPE_TIME; }
   void fix_length_and_dec()
   {
     decimals= DATETIME_DEC;
@@ -767,7 +767,7 @@
   bool get_date(MYSQL_TIME *ltime, uint fuzzy_date);
   bool get_time(MYSQL_TIME *ltime);
   const char *cast_type() const { return "date"; }
-  enum_field_types field_type() const { return FIELD_TYPE_NEWDATE; }
+  enum_field_types field_type() const { return DRIZZLE_TYPE_NEWDATE; }
   Field *tmp_table_field(TABLE *table)
   {
     return tmp_table_field_from_field_type(table, 0);
@@ -802,7 +802,7 @@
   String *val_str(String *str);
   bool get_time(MYSQL_TIME *ltime);
   const char *cast_type() const { return "time"; }
-  enum_field_types field_type() const { return FIELD_TYPE_TIME; }
+  enum_field_types field_type() const { return DRIZZLE_TYPE_TIME; }
   Field *tmp_table_field(TABLE *table)
   {
     return tmp_table_field_from_field_type(table, 0);
@@ -830,7 +830,7 @@
   const char *func_name() const { return "cast_as_datetime"; }
   String *val_str(String *str);
   const char *cast_type() const { return "datetime"; }
-  enum_field_types field_type() const { return FIELD_TYPE_DATETIME; }
+  enum_field_types field_type() const { return DRIZZLE_TYPE_DATETIME; }
   Field *tmp_table_field(TABLE *table)
   {
     return tmp_table_field_from_field_type(table, 0);
@@ -864,7 +864,7 @@
   Item_func_makedate(Item *a,Item *b) :Item_date_func(a,b) {}
   String *val_str(String *str);
   const char *func_name() const { return "makedate"; }
-  enum_field_types field_type() const { return FIELD_TYPE_NEWDATE; }
+  enum_field_types field_type() const { return DRIZZLE_TYPE_NEWDATE; }
   void fix_length_and_dec()
   { 
     decimals=0;
@@ -897,17 +897,17 @@
   my_decimal *val_decimal(my_decimal *decimal_value)
   {
     assert(fixed == 1);
-    if (cached_field_type == FIELD_TYPE_TIME)
+    if (cached_field_type == DRIZZLE_TYPE_TIME)
       return  val_decimal_from_time(decimal_value);
-    if (cached_field_type == FIELD_TYPE_DATETIME)
+    if (cached_field_type == DRIZZLE_TYPE_DATETIME)
       return  val_decimal_from_date(decimal_value);
     return Item_str_func::val_decimal(decimal_value);
   }
   int save_in_field(Field *field, bool no_conversions)
   {
-    if (cached_field_type == FIELD_TYPE_TIME)
+    if (cached_field_type == DRIZZLE_TYPE_TIME)
       return save_time_in_field(field);
-    if (cached_field_type == FIELD_TYPE_DATETIME)
+    if (cached_field_type == DRIZZLE_TYPE_DATETIME)
       return save_date_in_field(field);
     return Item_str_func::save_in_field(field, no_conversions);
   }

=== modified file 'server/log_event.cc'
--- server/log_event.cc	2008-07-27 19:30:42 +0000
+++ server/log_event.cc	2008-07-28 01:47:41 +0000
@@ -744,13 +744,13 @@
 {
   field_list->push_back(new Item_empty_string("Log_name", 20));
   field_list->push_back(new Item_return_int("Pos", MY_INT32_NUM_DECIMAL_DIGITS,
-					    FIELD_TYPE_LONGLONG));
+					    DRIZZLE_TYPE_LONGLONG));
   field_list->push_back(new Item_empty_string("Event_type", 20));
   field_list->push_back(new Item_return_int("Server_id", 10,
-					    FIELD_TYPE_LONG));
+					    DRIZZLE_TYPE_LONG));
   field_list->push_back(new Item_return_int("End_log_pos",
                                             MY_INT32_NUM_DECIMAL_DIGITS,
-					    FIELD_TYPE_LONGLONG));
+					    DRIZZLE_TYPE_LONGLONG));
   field_list->push_back(new Item_empty_string("Info", 20));
 }
 

=== modified file 'server/log_event.h'
--- server/log_event.h	2008-07-27 19:30:42 +0000
+++ server/log_event.h	2008-07-28 01:47:41 +0000
@@ -2997,25 +2997,25 @@
   </tr>
 
   <tr>
-    <td>FIELD_TYPE_TINY</td><td>1</td>
-    <td>0</td>
-    <td>No column metadata.</td>
-  </tr>
-
-  <tr>
-    <td>FIELD_TYPE_SHORT</td><td>2</td>
-    <td>0</td>
-    <td>No column metadata.</td>
-  </tr>
-
-  <tr>
-    <td>FIELD_TYPE_LONG</td><td>3</td>
-    <td>0</td>
-    <td>No column metadata.</td>
-  </tr>
-
-  <tr>
-    <td>FIELD_TYPE_DOUBLE</td><td>5</td>
+    <td>DRIZZLE_TYPE_TINY</td><td>1</td>
+    <td>0</td>
+    <td>No column metadata.</td>
+  </tr>
+
+  <tr>
+    <td>DRIZZLE_TYPE_SHORT</td><td>2</td>
+    <td>0</td>
+    <td>No column metadata.</td>
+  </tr>
+
+  <tr>
+    <td>DRIZZLE_TYPE_LONG</td><td>3</td>
+    <td>0</td>
+    <td>No column metadata.</td>
+  </tr>
+
+  <tr>
+    <td>DRIZZLE_TYPE_DOUBLE</td><td>5</td>
     <td>1 byte</td>
     <td>1 byte unsigned integer, representing the "pack_length", which
     is equal to sizeof(double) on the server from which the event
@@ -3023,93 +3023,93 @@
   </tr>
 
   <tr>
-    <td>FIELD_TYPE_NULL</td><td>6</td>
-    <td>0</td>
-    <td>No column metadata.</td>
-  </tr>
-
-  <tr>
-    <td>FIELD_TYPE_TIMESTAMP</td><td>7</td>
-    <td>0</td>
-    <td>No column metadata.</td>
-  </tr>
-
-  <tr>
-    <td>FIELD_TYPE_LONGLONG</td><td>8</td>
-    <td>0</td>
-    <td>No column metadata.</td>
-  </tr>
-
-  <tr>
-    <td>FIELD_TYPE_DATE</td><td>10</td>
-    <td>0</td>
-    <td>No column metadata.</td>
-  </tr>
-
-  <tr>
-    <td>FIELD_TYPE_TIME</td><td>11</td>
-    <td>0</td>
-    <td>No column metadata.</td>
-  </tr>
-
-  <tr>
-    <td>FIELD_TYPE_DATETIME</td><td>12</td>
-    <td>0</td>
-    <td>No column metadata.</td>
-  </tr>
-
-  <tr>
-    <td>FIELD_TYPE_YEAR</td><td>13</td>
-    <td>0</td>
-    <td>No column metadata.</td>
-  </tr>
-
-  <tr>
-    <td><i>FIELD_TYPE_NEWDATE</i></td><td><i>14</i></td>
+    <td>DRIZZLE_TYPE_NULL</td><td>6</td>
+    <td>0</td>
+    <td>No column metadata.</td>
+  </tr>
+
+  <tr>
+    <td>DRIZZLE_TYPE_TIMESTAMP</td><td>7</td>
+    <td>0</td>
+    <td>No column metadata.</td>
+  </tr>
+
+  <tr>
+    <td>DRIZZLE_TYPE_LONGLONG</td><td>8</td>
+    <td>0</td>
+    <td>No column metadata.</td>
+  </tr>
+
+  <tr>
+    <td>DRIZZLE_TYPE_DATE</td><td>10</td>
+    <td>0</td>
+    <td>No column metadata.</td>
+  </tr>
+
+  <tr>
+    <td>DRIZZLE_TYPE_TIME</td><td>11</td>
+    <td>0</td>
+    <td>No column metadata.</td>
+  </tr>
+
+  <tr>
+    <td>DRIZZLE_TYPE_DATETIME</td><td>12</td>
+    <td>0</td>
+    <td>No column metadata.</td>
+  </tr>
+
+  <tr>
+    <td>DRIZZLE_TYPE_YEAR</td><td>13</td>
+    <td>0</td>
+    <td>No column metadata.</td>
+  </tr>
+
+  <tr>
+    <td><i>DRIZZLE_TYPE_NEWDATE</i></td><td><i>14</i></td>
     <td>&ndash;</td>
     <td><i>This enumeration value is only used internally and cannot
     exist in a binlog.</i></td>
   </tr>
 
   <tr>
-    <td>FIELD_TYPE_VARCHAR</td><td>15</td>
+    <td>DRIZZLE_TYPE_VARCHAR</td><td>15</td>
     <td>2 bytes</td>
     <td>2 byte unsigned integer representing the maximum length of
     the string.</td>
   </tr>
 
   <tr>
-    <td>FIELD_TYPE_NEWDECIMAL</td><td>246</td>
+    <td>DRIZZLE_TYPE_NEWDECIMAL</td><td>246</td>
     <td>2 bytes</td>
     <td>A 1 byte unsigned int representing the precision, followed
     by a 1 byte unsigned int representing the number of decimals.</td>
   </tr>
 
   <tr>
-    <td><i>FIELD_TYPE_ENUM</i></td><td><i>247</i></td>
-    <td>&ndash;</td>
-    <td><i>This enumeration value is only used internally and cannot
-    exist in a binlog.</i></td>
-  </tr>
-
-  <tr>
-    <td><i>FIELD_TYPE_SET</i></td><td><i>248</i></td>
-    <td>&ndash;</td>
-    <td><i>This enumeration value is only used internally and cannot
-    exist in a binlog.</i></td>
-  </tr>
-
-  <tr>
-    <td>FIELD_TYPE_BLOB</td><td>252</td>
+    <td><i>DRIZZLE_TYPE_ENUM</i></td><td><i>247</i></td>
+    <td>&ndash;</td>
+    <td><i>This enumeration value is only used internally and cannot
+    exist in a binlog.</i></td>
+  </tr>
+
+  <tr>
+    <td><i>DRIZZLE_TYPE_SET</i></td><td><i>248</i></td>
+    <td>&ndash;</td>
+    <td><i>This enumeration value is only used internally and cannot
+    exist in a binlog.</i></td>
+  </tr>
+
+  <tr>
+    <td>DRIZZLE_TYPE_BLOB</td><td>252</td>
     <td>1 byte</td>
     <td>The pack length, i.e., the number of bytes needed to represent
     the length of the blob: 1, 2, 3, or 4.</td>
   </tr>
 
   <tr>
-    <td>FIELD_TYPE_STRING</td><td>254</td>
+    <td>DRIZZLE_TYPE_STRING</td><td>254</td>
     <td>2 bytes</td>
-    <td>The first byte is always FIELD_TYPE_VAR_STRING (i.e., 253).
+    <td>The first byte is always DRIZZLE_TYPE_VAR_STRING (i.e., 253).
     The second byte is the field size, i.e., the number of bytes in
     the representation of size of the string: 3 or 4.</td>
   </tr>

=== modified file 'server/opt_range.cc'
--- server/opt_range.cc	2008-07-27 19:30:42 +0000
+++ server/opt_range.cc	2008-07-28 01:47:41 +0000
@@ -4472,8 +4472,8 @@
   /* For comparison purposes allow invalid dates like 2000-01-32 */
   orig_sql_mode= field->table->in_use->variables.sql_mode;
   if (value->real_item()->type() == Item::STRING_ITEM &&
-      (field->type() == FIELD_TYPE_NEWDATE ||
-       field->type() == FIELD_TYPE_DATETIME))
+      (field->type() == DRIZZLE_TYPE_NEWDATE ||
+       field->type() == DRIZZLE_TYPE_DATETIME))
     field->table->in_use->variables.sql_mode|= MODE_INVALID_DATES;
   err= value->save_in_field_no_warnings(field, 1);
   if (err > 0)
@@ -4495,7 +4495,7 @@
           for the cases like int_field > 999999999999999999999999 as well.
         */
         tree= 0;
-        if (err == 3 && field->type() == FIELD_TYPE_NEWDATE &&
+        if (err == 3 && field->type() == DRIZZLE_TYPE_NEWDATE &&
             (type == Item_func::GT_FUNC || type == Item_func::GE_FUNC ||
              type == Item_func::LT_FUNC || type == Item_func::LE_FUNC) )
         {

=== modified file 'server/repl_failsafe.cc'
--- server/repl_failsafe.cc	2008-07-27 19:30:42 +0000
+++ server/repl_failsafe.cc	2008-07-28 01:47:41 +0000
@@ -188,18 +188,18 @@
   Protocol *protocol= thd->protocol;
 
   field_list.push_back(new Item_return_int("Server_id", 10,
-					   FIELD_TYPE_LONG));
+					   DRIZZLE_TYPE_LONG));
   field_list.push_back(new Item_empty_string("Host", 20));
   if (opt_show_slave_auth_info)
   {
     field_list.push_back(new Item_empty_string("User",20));
     field_list.push_back(new Item_empty_string("Password",20));
   }
-  field_list.push_back(new Item_return_int("Port", 7, FIELD_TYPE_LONG));
+  field_list.push_back(new Item_return_int("Port", 7, DRIZZLE_TYPE_LONG));
   field_list.push_back(new Item_return_int("Rpl_recovery_rank", 7,
-					   FIELD_TYPE_LONG));
+					   DRIZZLE_TYPE_LONG));
   field_list.push_back(new Item_return_int("Master_id", 10,
-					   FIELD_TYPE_LONG));
+					   DRIZZLE_TYPE_LONG));
 
   if (protocol->send_fields(&field_list,
                             Protocol::SEND_NUM_ROWS | Protocol::SEND_EOF))

=== modified file 'server/rpl_utility.cc'
--- server/rpl_utility.cc	2008-07-27 19:30:42 +0000
+++ server/rpl_utility.cc	2008-07-28 01:47:41 +0000
@@ -29,24 +29,24 @@
   uint32_t length= 0;
 
   switch (type(col)) {
-  case FIELD_TYPE_NEWDECIMAL:
+  case DRIZZLE_TYPE_NEWDECIMAL:
     length= my_decimal_get_binary_size(m_field_metadata[col] >> 8, 
                                        m_field_metadata[col] & 0xff);
     break;
-  case FIELD_TYPE_DOUBLE:
+  case DRIZZLE_TYPE_DOUBLE:
     length= m_field_metadata[col];
     break;
   /*
     The cases for SET and ENUM are include for completeness, however
-    both are mapped to type FIELD_TYPE_STRING and their real types
+    both are mapped to type DRIZZLE_TYPE_STRING and their real types
     are encoded in the field metadata.
   */
-  case FIELD_TYPE_SET:
-  case FIELD_TYPE_ENUM:
-  case FIELD_TYPE_STRING:
+  case DRIZZLE_TYPE_SET:
+  case DRIZZLE_TYPE_ENUM:
+  case DRIZZLE_TYPE_STRING:
   {
     uchar type= m_field_metadata[col] >> 8U;
-    if ((type == FIELD_TYPE_SET) || (type == FIELD_TYPE_ENUM))
+    if ((type == DRIZZLE_TYPE_SET) || (type == DRIZZLE_TYPE_ENUM))
       length= m_field_metadata[col] & 0x00ff;
     else
     {
@@ -60,42 +60,42 @@
     }
     break;
   }
-  case FIELD_TYPE_YEAR:
-  case FIELD_TYPE_TINY:
+  case DRIZZLE_TYPE_YEAR:
+  case DRIZZLE_TYPE_TINY:
     length= 1;
     break;
-  case FIELD_TYPE_SHORT:
+  case DRIZZLE_TYPE_SHORT:
     length= 2;
     break;
-  case FIELD_TYPE_LONG:
+  case DRIZZLE_TYPE_LONG:
     length= 4;
     break;
-  case FIELD_TYPE_LONGLONG:
+  case DRIZZLE_TYPE_LONGLONG:
     length= 8;
     break;
-  case FIELD_TYPE_NULL:
+  case DRIZZLE_TYPE_NULL:
     length= 0;
     break;
-  case FIELD_TYPE_NEWDATE:
-    length= 3;
-    break;
-  case FIELD_TYPE_TIME:
-    length= 3;
-    break;
-  case FIELD_TYPE_TIMESTAMP:
+  case DRIZZLE_TYPE_NEWDATE:
+    length= 3;
+    break;
+  case DRIZZLE_TYPE_TIME:
+    length= 3;
+    break;
+  case DRIZZLE_TYPE_TIMESTAMP:
     length= 4;
     break;
-  case FIELD_TYPE_DATETIME:
+  case DRIZZLE_TYPE_DATETIME:
     length= 8;
     break;
-  case FIELD_TYPE_VARCHAR:
+  case DRIZZLE_TYPE_VARCHAR:
   {
     length= m_field_metadata[col] > 255 ? 2 : 1; // c&p of Field_varstring::data_length()
     assert(uint2korr(master_data) > 0);
     length+= length == 1 ? (uint32_t) *master_data : uint2korr(master_data);
     break;
   }
-  case FIELD_TYPE_BLOB:
+  case DRIZZLE_TYPE_BLOB:
   {
     length= uint4korr(master_data);
     length+= m_field_metadata[col];

=== modified file 'server/rpl_utility.h'
--- server/rpl_utility.h	2008-07-27 19:30:42 +0000
+++ server/rpl_utility.h	2008-07-28 01:47:41 +0000
@@ -89,8 +89,8 @@
       for (unsigned int i= 0; i < m_size; i++)
       {
         switch (m_type[i]) {
-        case FIELD_TYPE_BLOB:
-        case FIELD_TYPE_DOUBLE:
+        case DRIZZLE_TYPE_BLOB:
+        case DRIZZLE_TYPE_DOUBLE:
         {
           /*
             These types store a single byte.
@@ -99,16 +99,16 @@
           index++;
           break;
         }
-        case FIELD_TYPE_SET:
-        case FIELD_TYPE_ENUM:
-        case FIELD_TYPE_STRING:
+        case DRIZZLE_TYPE_SET:
+        case DRIZZLE_TYPE_ENUM:
+        case DRIZZLE_TYPE_STRING:
         {
           uint16_t x= field_metadata[index++] << 8U; // real_type
           x+= field_metadata[index++];            // pack or field length
           m_field_metadata[i]= x;
           break;
         }
-        case FIELD_TYPE_VARCHAR:
+        case DRIZZLE_TYPE_VARCHAR:
         {
           /*
             These types store two bytes.
@@ -118,7 +118,7 @@
           index= index + 2;
           break;
         }
-        case FIELD_TYPE_NEWDECIMAL:
+        case DRIZZLE_TYPE_NEWDECIMAL:
         {
           uint16_t x= field_metadata[index++] << 8U; // precision
           x+= field_metadata[index++];            // decimals

=== modified file 'server/slave.cc'
--- server/slave.cc	2008-07-27 19:30:42 +0000
+++ server/slave.cc	2008-07-28 01:47:41 +0000
@@ -1150,17 +1150,17 @@
   field_list.push_back(new Item_empty_string("Master_User",
                                                      sizeof(mi->user)));
   field_list.push_back(new Item_return_int("Master_Port", 7,
-                                           FIELD_TYPE_LONG));
+                                           DRIZZLE_TYPE_LONG));
   field_list.push_back(new Item_return_int("Connect_Retry", 10,
-                                           FIELD_TYPE_LONG));
+                                           DRIZZLE_TYPE_LONG));
   field_list.push_back(new Item_empty_string("Master_Log_File",
                                              FN_REFLEN));
   field_list.push_back(new Item_return_int("Read_Master_Log_Pos", 10,
-                                           FIELD_TYPE_LONGLONG));
+                                           DRIZZLE_TYPE_LONGLONG));
   field_list.push_back(new Item_empty_string("Relay_Log_File",
                                              FN_REFLEN));
   field_list.push_back(new Item_return_int("Relay_Log_Pos", 10,
-                                           FIELD_TYPE_LONGLONG));
+                                           DRIZZLE_TYPE_LONGLONG));
   field_list.push_back(new Item_empty_string("Relay_Master_Log_File",
                                              FN_REFLEN));
   field_list.push_back(new Item_empty_string("Slave_IO_Running", 3));
@@ -1172,18 +1172,18 @@
   field_list.push_back(new Item_empty_string("Replicate_Wild_Do_Table", 24));
   field_list.push_back(new Item_empty_string("Replicate_Wild_Ignore_Table",
                                              28));
-  field_list.push_back(new Item_return_int("Last_Errno", 4, FIELD_TYPE_LONG));
+  field_list.push_back(new Item_return_int("Last_Errno", 4, DRIZZLE_TYPE_LONG));
   field_list.push_back(new Item_empty_string("Last_Error", 20));
   field_list.push_back(new Item_return_int("Skip_Counter", 10,
-                                           FIELD_TYPE_LONG));
+                                           DRIZZLE_TYPE_LONG));
   field_list.push_back(new Item_return_int("Exec_Master_Log_Pos", 10,
-                                           FIELD_TYPE_LONGLONG));
+                                           DRIZZLE_TYPE_LONGLONG));
   field_list.push_back(new Item_return_int("Relay_Log_Space", 10,
-                                           FIELD_TYPE_LONGLONG));
+                                           DRIZZLE_TYPE_LONGLONG));
   field_list.push_back(new Item_empty_string("Until_Condition", 6));
   field_list.push_back(new Item_empty_string("Until_Log_File", FN_REFLEN));
   field_list.push_back(new Item_return_int("Until_Log_Pos", 10,
-                                           FIELD_TYPE_LONGLONG));
+                                           DRIZZLE_TYPE_LONGLONG));
   field_list.push_back(new Item_empty_string("Master_SSL_Allowed", 7));
   field_list.push_back(new Item_empty_string("Master_SSL_CA_File",
                                              sizeof(mi->ssl_ca)));
@@ -1196,12 +1196,12 @@
   field_list.push_back(new Item_empty_string("Master_SSL_Key",
                                              sizeof(mi->ssl_key)));
   field_list.push_back(new Item_return_int("Seconds_Behind_Master", 10,
-                                           FIELD_TYPE_LONGLONG));
+                                           DRIZZLE_TYPE_LONGLONG));
   field_list.push_back(new Item_empty_string("Master_SSL_Verify_Server_Cert",
                                              3));
-  field_list.push_back(new Item_return_int("Last_IO_Errno", 4, FIELD_TYPE_LONG));
+  field_list.push_back(new Item_return_int("Last_IO_Errno", 4, DRIZZLE_TYPE_LONG));
   field_list.push_back(new Item_empty_string("Last_IO_Error", 20));
-  field_list.push_back(new Item_return_int("Last_SQL_Errno", 4, FIELD_TYPE_LONG));
+  field_list.push_back(new Item_return_int("Last_SQL_Errno", 4, DRIZZLE_TYPE_LONG));
   field_list.push_back(new Item_empty_string("Last_SQL_Error", 20));
 
   if (protocol->send_fields(&field_list,

=== modified file 'server/sql_class.cc'
--- server/sql_class.cc	2008-07-27 19:30:42 +0000
+++ server/sql_class.cc	2008-07-28 01:47:41 +0000
@@ -1197,7 +1197,7 @@
   List<Item> field_list;
   Item *item;
   CHARSET_INFO *cs= system_charset_info;
-  field_list.push_back(new Item_return_int("id",3, FIELD_TYPE_LONGLONG));
+  field_list.push_back(new Item_return_int("id",3, DRIZZLE_TYPE_LONGLONG));
   field_list.push_back(new Item_empty_string("select_type", 19, cs));
   field_list.push_back(item= new Item_empty_string("table", NAME_CHAR_LEN, cs));
   item->maybe_null= 1;
@@ -1219,7 +1219,7 @@
                                                   cs));
   item->maybe_null=1;
   field_list.push_back(item= new Item_return_int("rows", 10,
-                                                 FIELD_TYPE_LONGLONG));
+                                                 DRIZZLE_TYPE_LONGLONG));
   if (lex->describe & DESCRIBE_EXTENDED)
   {
     field_list.push_back(item= new Item_float("filtered", 0.1234, 2, 4));

=== modified file 'server/sql_error.cc'
--- server/sql_error.cc	2008-07-27 19:30:42 +0000
+++ server/sql_error.cc	2008-07-28 01:47:41 +0000
@@ -196,7 +196,7 @@
   List<Item> field_list;
 
   field_list.push_back(new Item_empty_string("Level", 7));
-  field_list.push_back(new Item_return_int("Code",4, FIELD_TYPE_LONG));
+  field_list.push_back(new Item_return_int("Code",4, DRIZZLE_TYPE_LONG));
   field_list.push_back(new Item_empty_string("Message",MYSQL_ERRMSG_SIZE));
 
   if (thd->protocol->send_fields(&field_list,

=== modified file 'server/sql_insert.cc'
--- server/sql_insert.cc	2008-07-27 19:30:42 +0000
+++ server/sql_insert.cc	2008-07-28 01:47:41 +0000
@@ -1045,7 +1045,7 @@
   {
     if (!bitmap_is_set(write_set, (*field)->field_index) &&
         ((*field)->flags & NO_DEFAULT_VALUE_FLAG) &&
-        ((*field)->real_type() != FIELD_TYPE_ENUM))
+        ((*field)->real_type() != DRIZZLE_TYPE_ENUM))
     {
       bool view= false;
       if (table_list)

=== modified file 'server/sql_load.cc'
--- server/sql_load.cc	2008-07-27 19:30:42 +0000
+++ server/sql_load.cc	2008-07-28 01:47:41 +0000
@@ -595,7 +595,7 @@
         push_warning_printf(thd, MYSQL_ERROR::WARN_LEVEL_WARN, 
                             ER_WARN_TOO_FEW_RECORDS, 
                             ER(ER_WARN_TOO_FEW_RECORDS), thd->row_count);
-        if (!field->maybe_null() && field->type() == FIELD_TYPE_TIMESTAMP)
+        if (!field->maybe_null() && field->type() == DRIZZLE_TYPE_TIMESTAMP)
             ((Field_timestamp*) field)->set_time();
       }
       else
@@ -711,7 +711,7 @@
           field->set_null();
           if (!field->maybe_null())
           {
-            if (field->type() == FIELD_TYPE_TIMESTAMP)
+            if (field->type() == DRIZZLE_TYPE_TIMESTAMP)
               ((Field_timestamp*) field)->set_time();
             else if (field != table->next_number_field)
               field->set_warning(MYSQL_ERROR::WARN_LEVEL_WARN,
@@ -776,7 +776,7 @@
                      thd->row_count);
             return(1);
           }
-          if (!field->maybe_null() && field->type() == FIELD_TYPE_TIMESTAMP)
+          if (!field->maybe_null() && field->type() == DRIZZLE_TYPE_TIMESTAMP)
               ((Field_timestamp*) field)->set_time();
           /*
             QQ: We probably should not throw warning for each field.
@@ -894,7 +894,7 @@
             table->auto_increment_field_not_null= true;
           if (!field->maybe_null())
           {
-            if (field->type() == FIELD_TYPE_TIMESTAMP)
+            if (field->type() == DRIZZLE_TYPE_TIMESTAMP)
               ((Field_timestamp *) field)->set_time();
             else if (field != table->next_number_field)
               field->set_warning(MYSQL_ERROR::WARN_LEVEL_WARN,

=== modified file 'server/sql_parse.cc'
--- server/sql_parse.cc	2008-07-27 19:30:42 +0000
+++ server/sql_parse.cc	2008-07-28 01:47:41 +0000
@@ -3134,7 +3134,7 @@
     */
     if (default_value->type() == Item::FUNC_ITEM && 
         !(((Item_func*)default_value)->functype() == Item_func::NOW_FUNC &&
-         type == FIELD_TYPE_TIMESTAMP))
+         type == DRIZZLE_TYPE_TIMESTAMP))
     {
       my_error(ER_INVALID_DEFAULT, MYF(0), field_name->str);
       return(1);
@@ -3156,7 +3156,7 @@
     }
   }
 
-  if (on_update_value && type != FIELD_TYPE_TIMESTAMP)
+  if (on_update_value && type != DRIZZLE_TYPE_TIMESTAMP)
   {
     my_error(ER_INVALID_ON_UPDATE, MYF(0), field_name->str);
     return(1);

=== modified file 'server/sql_repl.cc'
--- server/sql_repl.cc	2008-07-27 19:30:42 +0000
+++ server/sql_repl.cc	2008-07-28 01:47:41 +0000
@@ -1520,7 +1520,7 @@
   List<Item> field_list;
   field_list.push_back(new Item_empty_string("File", FN_REFLEN));
   field_list.push_back(new Item_return_int("Position",20,
-					   FIELD_TYPE_LONGLONG));
+					   DRIZZLE_TYPE_LONGLONG));
   field_list.push_back(new Item_empty_string("Binlog_Do_DB",255));
   field_list.push_back(new Item_empty_string("Binlog_Ignore_DB",255));
 
@@ -1577,7 +1577,7 @@
 
   field_list.push_back(new Item_empty_string("Log_name", 255));
   field_list.push_back(new Item_return_int("File_size", 20,
-                                           FIELD_TYPE_LONGLONG));
+                                           DRIZZLE_TYPE_LONGLONG));
   if (protocol->send_fields(&field_list,
                             Protocol::SEND_NUM_ROWS | Protocol::SEND_EOF))
     return(true);

=== modified file 'server/sql_select.cc'
--- server/sql_select.cc	2008-07-27 19:30:42 +0000
+++ server/sql_select.cc	2008-07-28 01:47:41 +0000
@@ -10381,8 +10381,8 @@
         thd->substitute_null_with_insert_id= false;
       }
       /* fix to replace 'NULL' dates with '0' (shreeve@uci.edu) */
-      else if (((field->type() == FIELD_TYPE_NEWDATE) ||
-		(field->type() == FIELD_TYPE_DATETIME)) &&
+      else if (((field->type() == DRIZZLE_TYPE_NEWDATE) ||
+		(field->type() == DRIZZLE_TYPE_DATETIME)) &&
 		(field->flags & NOT_NULL_FLAG) &&
 	       !field->table->maybe_null)
       {
@@ -10585,10 +10585,10 @@
     new_field->flags|= (org_field->flags & NO_DEFAULT_VALUE_FLAG);
     if (org_field->maybe_null() || (item && item->maybe_null))
       new_field->flags&= ~NOT_NULL_FLAG;	// Because of outer join
-    if (org_field->type() == FIELD_TYPE_VAR_STRING ||
-        org_field->type() == FIELD_TYPE_VARCHAR)
+    if (org_field->type() == DRIZZLE_TYPE_VAR_STRING ||
+        org_field->type() == DRIZZLE_TYPE_VARCHAR)
       table->s->db_create_options|= HA_OPTION_PACK_RECORD;
-    else if (org_field->type() == FIELD_TYPE_DOUBLE)
+    else if (org_field->type() == DRIZZLE_TYPE_DOUBLE)
       ((Field_double *) new_field)->not_fixed= true;
   }
   return new_field;
@@ -10653,9 +10653,9 @@
       DATE/TIME fields have STRING_RESULT result type. 
       To preserve type they needed to be handled separately.
     */
-    if ((type= item->field_type()) == FIELD_TYPE_DATETIME ||
-        type == FIELD_TYPE_TIME || type == FIELD_TYPE_NEWDATE ||
-        type == FIELD_TYPE_TIMESTAMP)
+    if ((type= item->field_type()) == DRIZZLE_TYPE_DATETIME ||
+        type == DRIZZLE_TYPE_TIME || type == DRIZZLE_TYPE_NEWDATE ||
+        type == DRIZZLE_TYPE_TIMESTAMP)
       new_field= item->tmp_table_field_from_field_type(table, 1);
     /* 
       Make sure that the blob fits into a Field_varstring which has 
@@ -10745,7 +10745,7 @@
 Field *create_tmp_field_for_schema(THD *thd __attribute__((__unused__)),
                                    Item *item, TABLE *table)
 {
-  if (item->field_type() == FIELD_TYPE_VARCHAR)
+  if (item->field_type() == DRIZZLE_TYPE_VARCHAR)
   {
     Field *field;
     if (item->max_length > MAX_FIELD_VARCHARLENGTH)
@@ -11157,8 +11157,8 @@
 	    blob_count++;
 	  }
 	  *(reg_field++)= new_field;
-          if (new_field->real_type() == FIELD_TYPE_STRING ||
-              new_field->real_type() == FIELD_TYPE_VARCHAR)
+          if (new_field->real_type() == DRIZZLE_TYPE_STRING ||
+              new_field->real_type() == DRIZZLE_TYPE_VARCHAR)
           {
             string_count++;
             string_total_length+= new_field->pack_length();
@@ -11407,7 +11407,7 @@
     if (field->flags & BLOB_FLAG)
       recinfo->type= (int) FIELD_BLOB;
     else if (use_packed_rows &&
-             field->real_type() == FIELD_TYPE_STRING &&
+             field->real_type() == DRIZZLE_TYPE_STRING &&
 	     length >= MIN_STRING_LENGTH_TO_PACK_ROWS)
       recinfo->type=FIELD_SKIP_ENDSPACE;
     else
@@ -11581,8 +11581,8 @@
 
       if ((*reg_field)->real_maybe_null())
         key_part_info->store_length+= HA_KEY_NULL_LENGTH;
-      if ((*reg_field)->type() == FIELD_TYPE_BLOB || 
-          (*reg_field)->real_type() == FIELD_TYPE_VARCHAR)
+      if ((*reg_field)->type() == DRIZZLE_TYPE_BLOB || 
+          (*reg_field)->real_type() == DRIZZLE_TYPE_VARCHAR)
         key_part_info->store_length+= HA_KEY_BLOB_LENGTH;
 
       key_part_info->type=     (uint8_t) (*reg_field)->key_type();
@@ -11858,7 +11858,7 @@
     if (field->flags & BLOB_FLAG)
       recinfo->type= (int) FIELD_BLOB;
     else if (use_packed_rows &&
-             field->real_type() == FIELD_TYPE_STRING &&
+             field->real_type() == DRIZZLE_TYPE_STRING &&
 	     length >= MIN_STRING_LENGTH_TO_PACK_ROWS)
       recinfo->type=FIELD_SKIP_ENDSPACE;
     else
@@ -12179,7 +12179,7 @@
       {
 	seg->type= keyinfo->key_part[i].type;
         /* Tell handler if it can do suffic space compression */
-	if (field->real_type() == FIELD_TYPE_STRING &&
+	if (field->real_type() == DRIZZLE_TYPE_STRING &&
 	    keyinfo->key_part[i].length > 4)
 	  seg->flag|= HA_SPACE_PACK;
       }
@@ -14222,8 +14222,8 @@
           frequent case?
 	*/
 	if (field->binary() &&
-	    field->real_type() != FIELD_TYPE_STRING &&
-	    field->real_type() != FIELD_TYPE_VARCHAR &&
+	    field->real_type() != DRIZZLE_TYPE_STRING &&
+	    field->real_type() != DRIZZLE_TYPE_VARCHAR &&
 	    field->decimals() == 0)
 	{
 	  return !store_val_in_field(field, right_item, CHECK_FIELD_WARN);
@@ -16488,9 +16488,9 @@
     if (field)
     {
       enum_field_types type;
-      if ((type= field->type()) == FIELD_TYPE_BLOB)
+      if ((type= field->type()) == DRIZZLE_TYPE_BLOB)
 	key_length+=MAX_BLOB_WIDTH;		// Can't be used as a key
-      else if (type == FIELD_TYPE_VARCHAR || type == FIELD_TYPE_VAR_STRING)
+      else if (type == DRIZZLE_TYPE_VARCHAR || type == DRIZZLE_TYPE_VAR_STRING)
         key_length+= field->field_length + HA_KEY_BLOB_LENGTH;
       else
 	key_length+= field->pack_length();
@@ -16517,10 +16517,10 @@
           have STRING_RESULT result type, we increase the length 
           by 8 as maximum pack length of such fields.
         */
-        if (type == FIELD_TYPE_TIME ||
-            type == FIELD_TYPE_NEWDATE ||
-            type == FIELD_TYPE_DATETIME ||
-            type == FIELD_TYPE_TIMESTAMP)
+        if (type == DRIZZLE_TYPE_TIME ||
+            type == DRIZZLE_TYPE_NEWDATE ||
+            type == DRIZZLE_TYPE_DATETIME ||
+            type == DRIZZLE_TYPE_TIMESTAMP)
         {
           key_length+= 8;
         }

=== modified file 'server/sql_select.h'
--- server/sql_select.h	2008-07-27 19:30:42 +0000
+++ server/sql_select.h	2008-07-28 01:47:41 +0000
@@ -726,7 +726,7 @@
   store_key(THD *thd, Field *field_arg, uchar *ptr, uchar *null, uint length)
     :null_key(0), null_ptr(null), err(0)
   {
-    if (field_arg->type() == FIELD_TYPE_BLOB)
+    if (field_arg->type() == DRIZZLE_TYPE_BLOB)
     {
       /* 
         Key segments are always packed with a 2 byte length prefix.

=== modified file 'server/sql_show.cc'
--- server/sql_show.cc	2008-07-27 19:30:42 +0000
+++ server/sql_show.cc	2008-07-28 01:47:41 +0000
@@ -584,7 +584,7 @@
   has_now_default= (timestamp_field == field &&
                     field->unireg_check != Field::TIMESTAMP_UN_FIELD);
     
-  has_default= (field->type() != FIELD_TYPE_BLOB &&
+  has_default= (field->type() != DRIZZLE_TYPE_BLOB &&
                 !(field->flags & NO_DEFAULT_VALUE_FLAG) &&
                 field->unireg_check != Field::NEXT_NUMBER
                   && has_now_default);
@@ -732,7 +732,7 @@
 
     if (flags & NOT_NULL_FLAG)
       packet->append(STRING_WITH_LEN(" NOT NULL"));
-    else if (field->type() == FIELD_TYPE_TIMESTAMP)
+    else if (field->type() == DRIZZLE_TYPE_TIMESTAMP)
     {
       /*
         TIMESTAMP field require explicit NULL flag, because unlike
@@ -1117,7 +1117,7 @@
   field_list.push_back(field=new Item_empty_string("db",NAME_CHAR_LEN));
   field->maybe_null=1;
   field_list.push_back(new Item_empty_string("Command",16));
-  field_list.push_back(new Item_return_int("Time",7, FIELD_TYPE_LONG));
+  field_list.push_back(new Item_return_int("Time",7, DRIZZLE_TYPE_LONG));
   field_list.push_back(field=new Item_empty_string("State",30));
   field->maybe_null=1;
   field_list.push_back(field=new Item_empty_string("Info",max_query_length));
@@ -3003,10 +3003,10 @@
   table->field[offset]->store(column_type.ptr(),
                          (tmp_buff ? tmp_buff - column_type.ptr() :
                           column_type.length()), cs);
-  is_blob= (field->type() == FIELD_TYPE_BLOB);
+  is_blob= (field->type() == DRIZZLE_TYPE_BLOB);
   if (field->has_charset() || is_blob ||
-      field->real_type() == FIELD_TYPE_VARCHAR ||  // For varbinary type
-      field->real_type() == FIELD_TYPE_STRING)     // For binary type
+      field->real_type() == DRIZZLE_TYPE_VARCHAR ||  // For varbinary type
+      field->real_type() == DRIZZLE_TYPE_STRING)     // For binary type
   {
     uint32_t octet_max_length= field->max_display_length();
     if (is_blob && octet_max_length != (uint32_t) 4294967295U)
@@ -3029,16 +3029,16 @@
 
   decimals= field->decimals();
   switch (field->type()) {
-  case FIELD_TYPE_NEWDECIMAL:
+  case DRIZZLE_TYPE_NEWDECIMAL:
     field_length= ((Field_new_decimal*) field)->precision;
     break;
-  case FIELD_TYPE_TINY:
-  case FIELD_TYPE_SHORT:
-  case FIELD_TYPE_LONG:
-  case FIELD_TYPE_LONGLONG:
+  case DRIZZLE_TYPE_TINY:
+  case DRIZZLE_TYPE_SHORT:
+  case DRIZZLE_TYPE_LONG:
+  case DRIZZLE_TYPE_LONGLONG:
     field_length= field->max_display_length() - 1;
     break;
-  case FIELD_TYPE_DOUBLE:
+  case DRIZZLE_TYPE_DOUBLE:
     field_length= field->field_length;
     if (decimals == NOT_FIXED_DEC)
       decimals= -1;                           // return NULL
@@ -3857,10 +3857,10 @@
   for (; fields_info->field_name; fields_info++)
   {
     switch (fields_info->field_type) {
-    case FIELD_TYPE_TINY:
-    case FIELD_TYPE_LONG:
-    case FIELD_TYPE_SHORT:
-    case FIELD_TYPE_LONGLONG:
+    case DRIZZLE_TYPE_TINY:
+    case DRIZZLE_TYPE_LONG:
+    case DRIZZLE_TYPE_SHORT:
+    case DRIZZLE_TYPE_LONGLONG:
       if (!(item= new Item_return_int(fields_info->field_name,
                                       fields_info->field_length,
                                       fields_info->field_type,
@@ -3870,22 +3870,22 @@
       }
       item->unsigned_flag= (fields_info->field_flags & MY_I_S_UNSIGNED);
       break;
-    case FIELD_TYPE_NEWDATE:
-    case FIELD_TYPE_TIME:
-    case FIELD_TYPE_TIMESTAMP:
-    case FIELD_TYPE_DATETIME:
+    case DRIZZLE_TYPE_NEWDATE:
+    case DRIZZLE_TYPE_TIME:
+    case DRIZZLE_TYPE_TIMESTAMP:
+    case DRIZZLE_TYPE_DATETIME:
       if (!(item=new Item_return_date_time(fields_info->field_name,
                                            fields_info->field_type)))
       {
         return(0);
       }
       break;
-    case FIELD_TYPE_DOUBLE:
+    case DRIZZLE_TYPE_DOUBLE:
       if ((item= new Item_float(fields_info->field_name, 0.0, NOT_FIXED_DEC, 
                            fields_info->field_length)) == NULL)
         return(NULL);
       break;
-    case FIELD_TYPE_NEWDECIMAL:
+    case DRIZZLE_TYPE_NEWDECIMAL:
       if (!(item= new Item_decimal((int64_t) fields_info->value, false)))
       {
         return(0);
@@ -3900,7 +3900,7 @@
       item->set_name(fields_info->field_name,
                      strlen(fields_info->field_name), cs);
       break;
-    case FIELD_TYPE_BLOB:
+    case DRIZZLE_TYPE_BLOB:
       if (!(item= new Item_blob(fields_info->field_name,
                                 fields_info->field_length)))
       {
@@ -3909,7 +3909,7 @@
       break;
     default:
       /* Don't let unimplemented types pass through. Could be a grave error. */
-      assert(fields_info->field_type == FIELD_TYPE_STRING);
+      assert(fields_info->field_type == DRIZZLE_TYPE_STRING);
 
       if (!(item= new Item_empty_string("", fields_info->field_length, cs)))
       {
@@ -4310,376 +4310,376 @@
 
 ST_FIELD_INFO schema_fields_info[]=
 {
-  {"CATALOG_NAME", FN_REFLEN, FIELD_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
-  {"SCHEMA_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, "Database",
-   SKIP_OPEN_TABLE},
-  {"DEFAULT_CHARACTER_SET_NAME", 64, FIELD_TYPE_STRING, 0, 0, 0,
-   SKIP_OPEN_TABLE},
-  {"DEFAULT_COLLATION_NAME", 64, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"SQL_PATH", FN_REFLEN, FIELD_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {"CATALOG_NAME", FN_REFLEN, DRIZZLE_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
+  {"SCHEMA_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, "Database",
+   SKIP_OPEN_TABLE},
+  {"DEFAULT_CHARACTER_SET_NAME", 64, DRIZZLE_TYPE_STRING, 0, 0, 0,
+   SKIP_OPEN_TABLE},
+  {"DEFAULT_COLLATION_NAME", 64, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"SQL_PATH", FN_REFLEN, DRIZZLE_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 
 ST_FIELD_INFO tables_fields_info[]=
 {
-  {"TABLE_CATALOG", FN_REFLEN, FIELD_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
-  {"TABLE_SCHEMA", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"TABLE_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, "Name",
+  {"TABLE_CATALOG", FN_REFLEN, DRIZZLE_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
+  {"TABLE_SCHEMA", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"TABLE_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, "Name",
    SKIP_OPEN_TABLE},
-  {"TABLE_TYPE", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FRM_ONLY},
-  {"ENGINE", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 1, "Engine", OPEN_FRM_ONLY},
-  {"VERSION", MY_INT64_NUM_DECIMAL_DIGITS, FIELD_TYPE_LONGLONG, 0,
+  {"TABLE_TYPE", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FRM_ONLY},
+  {"ENGINE", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 1, "Engine", OPEN_FRM_ONLY},
+  {"VERSION", MY_INT64_NUM_DECIMAL_DIGITS, DRIZZLE_TYPE_LONGLONG, 0,
    (MY_I_S_MAYBE_NULL | MY_I_S_UNSIGNED), "Version", OPEN_FRM_ONLY},
-  {"ROW_FORMAT", 10, FIELD_TYPE_STRING, 0, 1, "Row_format", OPEN_FULL_TABLE},
-  {"TABLE_ROWS", MY_INT64_NUM_DECIMAL_DIGITS, FIELD_TYPE_LONGLONG, 0,
+  {"ROW_FORMAT", 10, DRIZZLE_TYPE_STRING, 0, 1, "Row_format", OPEN_FULL_TABLE},
+  {"TABLE_ROWS", MY_INT64_NUM_DECIMAL_DIGITS, DRIZZLE_TYPE_LONGLONG, 0,
    (MY_I_S_MAYBE_NULL | MY_I_S_UNSIGNED), "Rows", OPEN_FULL_TABLE},
-  {"AVG_ROW_LENGTH", MY_INT64_NUM_DECIMAL_DIGITS, FIELD_TYPE_LONGLONG, 0, 
+  {"AVG_ROW_LENGTH", MY_INT64_NUM_DECIMAL_DIGITS, DRIZZLE_TYPE_LONGLONG, 0, 
    (MY_I_S_MAYBE_NULL | MY_I_S_UNSIGNED), "Avg_row_length", OPEN_FULL_TABLE},
-  {"DATA_LENGTH", MY_INT64_NUM_DECIMAL_DIGITS, FIELD_TYPE_LONGLONG, 0, 
+  {"DATA_LENGTH", MY_INT64_NUM_DECIMAL_DIGITS, DRIZZLE_TYPE_LONGLONG, 0, 
    (MY_I_S_MAYBE_NULL | MY_I_S_UNSIGNED), "Data_length", OPEN_FULL_TABLE},
-  {"MAX_DATA_LENGTH", MY_INT64_NUM_DECIMAL_DIGITS, FIELD_TYPE_LONGLONG, 0,
+  {"MAX_DATA_LENGTH", MY_INT64_NUM_DECIMAL_DIGITS, DRIZZLE_TYPE_LONGLONG, 0,
    (MY_I_S_MAYBE_NULL | MY_I_S_UNSIGNED), "Max_data_length", OPEN_FULL_TABLE},
-  {"INDEX_LENGTH", MY_INT64_NUM_DECIMAL_DIGITS, FIELD_TYPE_LONGLONG, 0, 
+  {"INDEX_LENGTH", MY_INT64_NUM_DECIMAL_DIGITS, DRIZZLE_TYPE_LONGLONG, 0, 
    (MY_I_S_MAYBE_NULL | MY_I_S_UNSIGNED), "Index_length", OPEN_FULL_TABLE},
-  {"DATA_FREE", MY_INT64_NUM_DECIMAL_DIGITS, FIELD_TYPE_LONGLONG, 0,
+  {"DATA_FREE", MY_INT64_NUM_DECIMAL_DIGITS, DRIZZLE_TYPE_LONGLONG, 0,
    (MY_I_S_MAYBE_NULL | MY_I_S_UNSIGNED), "Data_free", OPEN_FULL_TABLE},
-  {"AUTO_INCREMENT", MY_INT64_NUM_DECIMAL_DIGITS , FIELD_TYPE_LONGLONG, 0, 
+  {"AUTO_INCREMENT", MY_INT64_NUM_DECIMAL_DIGITS , DRIZZLE_TYPE_LONGLONG, 0, 
    (MY_I_S_MAYBE_NULL | MY_I_S_UNSIGNED), "Auto_increment", OPEN_FULL_TABLE},
-  {"CREATE_TIME", 0, FIELD_TYPE_DATETIME, 0, 1, "Create_time", OPEN_FULL_TABLE},
-  {"UPDATE_TIME", 0, FIELD_TYPE_DATETIME, 0, 1, "Update_time", OPEN_FULL_TABLE},
-  {"CHECK_TIME", 0, FIELD_TYPE_DATETIME, 0, 1, "Check_time", OPEN_FULL_TABLE},
-  {"TABLE_COLLATION", 64, FIELD_TYPE_STRING, 0, 1, "Collation", OPEN_FRM_ONLY},
-  {"CHECKSUM", MY_INT64_NUM_DECIMAL_DIGITS, FIELD_TYPE_LONGLONG, 0,
+  {"CREATE_TIME", 0, DRIZZLE_TYPE_DATETIME, 0, 1, "Create_time", OPEN_FULL_TABLE},
+  {"UPDATE_TIME", 0, DRIZZLE_TYPE_DATETIME, 0, 1, "Update_time", OPEN_FULL_TABLE},
+  {"CHECK_TIME", 0, DRIZZLE_TYPE_DATETIME, 0, 1, "Check_time", OPEN_FULL_TABLE},
+  {"TABLE_COLLATION", 64, DRIZZLE_TYPE_STRING, 0, 1, "Collation", OPEN_FRM_ONLY},
+  {"CHECKSUM", MY_INT64_NUM_DECIMAL_DIGITS, DRIZZLE_TYPE_LONGLONG, 0,
    (MY_I_S_MAYBE_NULL | MY_I_S_UNSIGNED), "Checksum", OPEN_FULL_TABLE},
-  {"CREATE_OPTIONS", 255, FIELD_TYPE_STRING, 0, 1, "Create_options",
+  {"CREATE_OPTIONS", 255, DRIZZLE_TYPE_STRING, 0, 1, "Create_options",
    OPEN_FRM_ONLY},
-  {"TABLE_COMMENT", TABLE_COMMENT_MAXLEN, FIELD_TYPE_STRING, 0, 0, "Comment", OPEN_FRM_ONLY},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {"TABLE_COMMENT", TABLE_COMMENT_MAXLEN, DRIZZLE_TYPE_STRING, 0, 0, "Comment", OPEN_FRM_ONLY},
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 
 ST_FIELD_INFO columns_fields_info[]=
 {
-  {"TABLE_CATALOG", FN_REFLEN, FIELD_TYPE_STRING, 0, 1, 0, OPEN_FRM_ONLY},
-  {"TABLE_SCHEMA", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FRM_ONLY},
-  {"TABLE_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FRM_ONLY},
-  {"COLUMN_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, "Field",
+  {"TABLE_CATALOG", FN_REFLEN, DRIZZLE_TYPE_STRING, 0, 1, 0, OPEN_FRM_ONLY},
+  {"TABLE_SCHEMA", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FRM_ONLY},
+  {"TABLE_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FRM_ONLY},
+  {"COLUMN_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, "Field",
    OPEN_FRM_ONLY},
-  {"ORDINAL_POSITION", MY_INT64_NUM_DECIMAL_DIGITS, FIELD_TYPE_LONGLONG, 0,
+  {"ORDINAL_POSITION", MY_INT64_NUM_DECIMAL_DIGITS, DRIZZLE_TYPE_LONGLONG, 0,
    MY_I_S_UNSIGNED, 0, OPEN_FRM_ONLY},
-  {"COLUMN_DEFAULT", MAX_FIELD_VARCHARLENGTH, FIELD_TYPE_STRING, 0,
+  {"COLUMN_DEFAULT", MAX_FIELD_VARCHARLENGTH, DRIZZLE_TYPE_STRING, 0,
    1, "Default", OPEN_FRM_ONLY},
-  {"IS_NULLABLE", 3, FIELD_TYPE_STRING, 0, 0, "Null", OPEN_FRM_ONLY},
-  {"DATA_TYPE", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FRM_ONLY},
-  {"CHARACTER_MAXIMUM_LENGTH", MY_INT64_NUM_DECIMAL_DIGITS, FIELD_TYPE_LONGLONG,
-   0, (MY_I_S_MAYBE_NULL | MY_I_S_UNSIGNED), 0, OPEN_FRM_ONLY},
-  {"CHARACTER_OCTET_LENGTH", MY_INT64_NUM_DECIMAL_DIGITS , FIELD_TYPE_LONGLONG,
-   0, (MY_I_S_MAYBE_NULL | MY_I_S_UNSIGNED), 0, OPEN_FRM_ONLY},
-  {"NUMERIC_PRECISION", MY_INT64_NUM_DECIMAL_DIGITS, FIELD_TYPE_LONGLONG,
-   0, (MY_I_S_MAYBE_NULL | MY_I_S_UNSIGNED), 0, OPEN_FRM_ONLY},
-  {"NUMERIC_SCALE", MY_INT64_NUM_DECIMAL_DIGITS , FIELD_TYPE_LONGLONG,
-   0, (MY_I_S_MAYBE_NULL | MY_I_S_UNSIGNED), 0, OPEN_FRM_ONLY},
-  {"CHARACTER_SET_NAME", 64, FIELD_TYPE_STRING, 0, 1, 0, OPEN_FRM_ONLY},
-  {"COLLATION_NAME", 64, FIELD_TYPE_STRING, 0, 1, "Collation", OPEN_FRM_ONLY},
-  {"COLUMN_TYPE", 65535, FIELD_TYPE_STRING, 0, 0, "Type", OPEN_FRM_ONLY},
-  {"COLUMN_KEY", 3, FIELD_TYPE_STRING, 0, 0, "Key", OPEN_FRM_ONLY},
-  {"EXTRA", 27, FIELD_TYPE_STRING, 0, 0, "Extra", OPEN_FRM_ONLY},
-  {"PRIVILEGES", 80, FIELD_TYPE_STRING, 0, 0, "Privileges", OPEN_FRM_ONLY},
-  {"COLUMN_COMMENT", COLUMN_COMMENT_MAXLEN, FIELD_TYPE_STRING, 0, 0, "Comment", OPEN_FRM_ONLY},
-  {"STORAGE", 8, FIELD_TYPE_STRING, 0, 0, "Storage", OPEN_FRM_ONLY},
-  {"FORMAT", 8, FIELD_TYPE_STRING, 0, 0, "Format", OPEN_FRM_ONLY},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {"IS_NULLABLE", 3, DRIZZLE_TYPE_STRING, 0, 0, "Null", OPEN_FRM_ONLY},
+  {"DATA_TYPE", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FRM_ONLY},
+  {"CHARACTER_MAXIMUM_LENGTH", MY_INT64_NUM_DECIMAL_DIGITS, DRIZZLE_TYPE_LONGLONG,
+   0, (MY_I_S_MAYBE_NULL | MY_I_S_UNSIGNED), 0, OPEN_FRM_ONLY},
+  {"CHARACTER_OCTET_LENGTH", MY_INT64_NUM_DECIMAL_DIGITS , DRIZZLE_TYPE_LONGLONG,
+   0, (MY_I_S_MAYBE_NULL | MY_I_S_UNSIGNED), 0, OPEN_FRM_ONLY},
+  {"NUMERIC_PRECISION", MY_INT64_NUM_DECIMAL_DIGITS, DRIZZLE_TYPE_LONGLONG,
+   0, (MY_I_S_MAYBE_NULL | MY_I_S_UNSIGNED), 0, OPEN_FRM_ONLY},
+  {"NUMERIC_SCALE", MY_INT64_NUM_DECIMAL_DIGITS , DRIZZLE_TYPE_LONGLONG,
+   0, (MY_I_S_MAYBE_NULL | MY_I_S_UNSIGNED), 0, OPEN_FRM_ONLY},
+  {"CHARACTER_SET_NAME", 64, DRIZZLE_TYPE_STRING, 0, 1, 0, OPEN_FRM_ONLY},
+  {"COLLATION_NAME", 64, DRIZZLE_TYPE_STRING, 0, 1, "Collation", OPEN_FRM_ONLY},
+  {"COLUMN_TYPE", 65535, DRIZZLE_TYPE_STRING, 0, 0, "Type", OPEN_FRM_ONLY},
+  {"COLUMN_KEY", 3, DRIZZLE_TYPE_STRING, 0, 0, "Key", OPEN_FRM_ONLY},
+  {"EXTRA", 27, DRIZZLE_TYPE_STRING, 0, 0, "Extra", OPEN_FRM_ONLY},
+  {"PRIVILEGES", 80, DRIZZLE_TYPE_STRING, 0, 0, "Privileges", OPEN_FRM_ONLY},
+  {"COLUMN_COMMENT", COLUMN_COMMENT_MAXLEN, DRIZZLE_TYPE_STRING, 0, 0, "Comment", OPEN_FRM_ONLY},
+  {"STORAGE", 8, DRIZZLE_TYPE_STRING, 0, 0, "Storage", OPEN_FRM_ONLY},
+  {"FORMAT", 8, DRIZZLE_TYPE_STRING, 0, 0, "Format", OPEN_FRM_ONLY},
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 
 ST_FIELD_INFO charsets_fields_info[]=
 {
-  {"CHARACTER_SET_NAME", 64, FIELD_TYPE_STRING, 0, 0, "Charset",
-   SKIP_OPEN_TABLE},
-  {"DEFAULT_COLLATE_NAME", 64, FIELD_TYPE_STRING, 0, 0, "Default collation",
-   SKIP_OPEN_TABLE},
-  {"DESCRIPTION", 60, FIELD_TYPE_STRING, 0, 0, "Description",
-   SKIP_OPEN_TABLE},
-  {"MAXLEN", 3, FIELD_TYPE_LONGLONG, 0, 0, "Maxlen", SKIP_OPEN_TABLE},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {"CHARACTER_SET_NAME", 64, DRIZZLE_TYPE_STRING, 0, 0, "Charset",
+   SKIP_OPEN_TABLE},
+  {"DEFAULT_COLLATE_NAME", 64, DRIZZLE_TYPE_STRING, 0, 0, "Default collation",
+   SKIP_OPEN_TABLE},
+  {"DESCRIPTION", 60, DRIZZLE_TYPE_STRING, 0, 0, "Description",
+   SKIP_OPEN_TABLE},
+  {"MAXLEN", 3, DRIZZLE_TYPE_LONGLONG, 0, 0, "Maxlen", SKIP_OPEN_TABLE},
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 
 ST_FIELD_INFO collation_fields_info[]=
 {
-  {"COLLATION_NAME", 64, FIELD_TYPE_STRING, 0, 0, "Collation", SKIP_OPEN_TABLE},
-  {"CHARACTER_SET_NAME", 64, FIELD_TYPE_STRING, 0, 0, "Charset",
-   SKIP_OPEN_TABLE},
-  {"ID", MY_INT32_NUM_DECIMAL_DIGITS, FIELD_TYPE_LONGLONG, 0, 0, "Id",
-   SKIP_OPEN_TABLE},
-  {"IS_DEFAULT", 3, FIELD_TYPE_STRING, 0, 0, "Default", SKIP_OPEN_TABLE},
-  {"IS_COMPILED", 3, FIELD_TYPE_STRING, 0, 0, "Compiled", SKIP_OPEN_TABLE},
-  {"SORTLEN", 3, FIELD_TYPE_LONGLONG, 0, 0, "Sortlen", SKIP_OPEN_TABLE},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {"COLLATION_NAME", 64, DRIZZLE_TYPE_STRING, 0, 0, "Collation", SKIP_OPEN_TABLE},
+  {"CHARACTER_SET_NAME", 64, DRIZZLE_TYPE_STRING, 0, 0, "Charset",
+   SKIP_OPEN_TABLE},
+  {"ID", MY_INT32_NUM_DECIMAL_DIGITS, DRIZZLE_TYPE_LONGLONG, 0, 0, "Id",
+   SKIP_OPEN_TABLE},
+  {"IS_DEFAULT", 3, DRIZZLE_TYPE_STRING, 0, 0, "Default", SKIP_OPEN_TABLE},
+  {"IS_COMPILED", 3, DRIZZLE_TYPE_STRING, 0, 0, "Compiled", SKIP_OPEN_TABLE},
+  {"SORTLEN", 3, DRIZZLE_TYPE_LONGLONG, 0, 0, "Sortlen", SKIP_OPEN_TABLE},
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 
 ST_FIELD_INFO events_fields_info[]=
 {
-  {"EVENT_CATALOG", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
-  {"EVENT_SCHEMA", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, "Db",
-   SKIP_OPEN_TABLE},
-  {"EVENT_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, "Name",
-   SKIP_OPEN_TABLE},
-  {"DEFINER", 77, FIELD_TYPE_STRING, 0, 0, "Definer", SKIP_OPEN_TABLE},
-  {"TIME_ZONE", 64, FIELD_TYPE_STRING, 0, 0, "Time zone", SKIP_OPEN_TABLE},
-  {"EVENT_BODY", 8, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"EVENT_DEFINITION", 65535, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"EVENT_TYPE", 9, FIELD_TYPE_STRING, 0, 0, "Type", SKIP_OPEN_TABLE},
-  {"EXECUTE_AT", 0, FIELD_TYPE_DATETIME, 0, 1, "Execute at", SKIP_OPEN_TABLE},
-  {"INTERVAL_VALUE", 256, FIELD_TYPE_STRING, 0, 1, "Interval value",
-   SKIP_OPEN_TABLE},
-  {"INTERVAL_FIELD", 18, FIELD_TYPE_STRING, 0, 1, "Interval field",
-   SKIP_OPEN_TABLE},
-  {"SQL_MODE", 65535, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"STARTS", 0, FIELD_TYPE_DATETIME, 0, 1, "Starts", SKIP_OPEN_TABLE},
-  {"ENDS", 0, FIELD_TYPE_DATETIME, 0, 1, "Ends", SKIP_OPEN_TABLE},
-  {"STATUS", 18, FIELD_TYPE_STRING, 0, 0, "Status", SKIP_OPEN_TABLE},
-  {"ON_COMPLETION", 12, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"CREATED", 0, FIELD_TYPE_DATETIME, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"LAST_ALTERED", 0, FIELD_TYPE_DATETIME, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"LAST_EXECUTED", 0, FIELD_TYPE_DATETIME, 0, 1, 0, SKIP_OPEN_TABLE},
-  {"EVENT_COMMENT", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"ORIGINATOR", 10, FIELD_TYPE_LONGLONG, 0, 0, "Originator", SKIP_OPEN_TABLE},
-  {"CHARACTER_SET_CLIENT", MY_CS_NAME_SIZE, FIELD_TYPE_STRING, 0, 0,
+  {"EVENT_CATALOG", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
+  {"EVENT_SCHEMA", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, "Db",
+   SKIP_OPEN_TABLE},
+  {"EVENT_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, "Name",
+   SKIP_OPEN_TABLE},
+  {"DEFINER", 77, DRIZZLE_TYPE_STRING, 0, 0, "Definer", SKIP_OPEN_TABLE},
+  {"TIME_ZONE", 64, DRIZZLE_TYPE_STRING, 0, 0, "Time zone", SKIP_OPEN_TABLE},
+  {"EVENT_BODY", 8, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"EVENT_DEFINITION", 65535, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"EVENT_TYPE", 9, DRIZZLE_TYPE_STRING, 0, 0, "Type", SKIP_OPEN_TABLE},
+  {"EXECUTE_AT", 0, DRIZZLE_TYPE_DATETIME, 0, 1, "Execute at", SKIP_OPEN_TABLE},
+  {"INTERVAL_VALUE", 256, DRIZZLE_TYPE_STRING, 0, 1, "Interval value",
+   SKIP_OPEN_TABLE},
+  {"INTERVAL_FIELD", 18, DRIZZLE_TYPE_STRING, 0, 1, "Interval field",
+   SKIP_OPEN_TABLE},
+  {"SQL_MODE", 65535, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"STARTS", 0, DRIZZLE_TYPE_DATETIME, 0, 1, "Starts", SKIP_OPEN_TABLE},
+  {"ENDS", 0, DRIZZLE_TYPE_DATETIME, 0, 1, "Ends", SKIP_OPEN_TABLE},
+  {"STATUS", 18, DRIZZLE_TYPE_STRING, 0, 0, "Status", SKIP_OPEN_TABLE},
+  {"ON_COMPLETION", 12, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"CREATED", 0, DRIZZLE_TYPE_DATETIME, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"LAST_ALTERED", 0, DRIZZLE_TYPE_DATETIME, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"LAST_EXECUTED", 0, DRIZZLE_TYPE_DATETIME, 0, 1, 0, SKIP_OPEN_TABLE},
+  {"EVENT_COMMENT", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"ORIGINATOR", 10, DRIZZLE_TYPE_LONGLONG, 0, 0, "Originator", SKIP_OPEN_TABLE},
+  {"CHARACTER_SET_CLIENT", MY_CS_NAME_SIZE, DRIZZLE_TYPE_STRING, 0, 0,
    "character_set_client", SKIP_OPEN_TABLE},
-  {"COLLATION_CONNECTION", MY_CS_NAME_SIZE, FIELD_TYPE_STRING, 0, 0,
+  {"COLLATION_CONNECTION", MY_CS_NAME_SIZE, DRIZZLE_TYPE_STRING, 0, 0,
    "collation_connection", SKIP_OPEN_TABLE},
-  {"DATABASE_COLLATION", MY_CS_NAME_SIZE, FIELD_TYPE_STRING, 0, 0,
+  {"DATABASE_COLLATION", MY_CS_NAME_SIZE, DRIZZLE_TYPE_STRING, 0, 0,
    "Database Collation", SKIP_OPEN_TABLE},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 
 
 ST_FIELD_INFO coll_charset_app_fields_info[]=
 {
-  {"COLLATION_NAME", 64, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"CHARACTER_SET_NAME", 64, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {"COLLATION_NAME", 64, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"CHARACTER_SET_NAME", 64, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 
 ST_FIELD_INFO stat_fields_info[]=
 {
-  {"TABLE_CATALOG", FN_REFLEN, FIELD_TYPE_STRING, 0, 1, 0, OPEN_FRM_ONLY},
-  {"TABLE_SCHEMA", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FRM_ONLY},
-  {"TABLE_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, "Table", OPEN_FRM_ONLY},
-  {"NON_UNIQUE", 1, FIELD_TYPE_LONGLONG, 0, 0, "Non_unique", OPEN_FRM_ONLY},
-  {"INDEX_SCHEMA", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FRM_ONLY},
-  {"INDEX_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, "Key_name",
-   OPEN_FRM_ONLY},
-  {"SEQ_IN_INDEX", 2, FIELD_TYPE_LONGLONG, 0, 0, "Seq_in_index", OPEN_FRM_ONLY},
-  {"COLUMN_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, "Column_name",
-   OPEN_FRM_ONLY},
-  {"COLLATION", 1, FIELD_TYPE_STRING, 0, 1, "Collation", OPEN_FRM_ONLY},
-  {"CARDINALITY", MY_INT64_NUM_DECIMAL_DIGITS, FIELD_TYPE_LONGLONG, 0, 1,
+  {"TABLE_CATALOG", FN_REFLEN, DRIZZLE_TYPE_STRING, 0, 1, 0, OPEN_FRM_ONLY},
+  {"TABLE_SCHEMA", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FRM_ONLY},
+  {"TABLE_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, "Table", OPEN_FRM_ONLY},
+  {"NON_UNIQUE", 1, DRIZZLE_TYPE_LONGLONG, 0, 0, "Non_unique", OPEN_FRM_ONLY},
+  {"INDEX_SCHEMA", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FRM_ONLY},
+  {"INDEX_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, "Key_name",
+   OPEN_FRM_ONLY},
+  {"SEQ_IN_INDEX", 2, DRIZZLE_TYPE_LONGLONG, 0, 0, "Seq_in_index", OPEN_FRM_ONLY},
+  {"COLUMN_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, "Column_name",
+   OPEN_FRM_ONLY},
+  {"COLLATION", 1, DRIZZLE_TYPE_STRING, 0, 1, "Collation", OPEN_FRM_ONLY},
+  {"CARDINALITY", MY_INT64_NUM_DECIMAL_DIGITS, DRIZZLE_TYPE_LONGLONG, 0, 1,
    "Cardinality", OPEN_FULL_TABLE},
-  {"SUB_PART", 3, FIELD_TYPE_LONGLONG, 0, 1, "Sub_part", OPEN_FRM_ONLY},
-  {"PACKED", 10, FIELD_TYPE_STRING, 0, 1, "Packed", OPEN_FRM_ONLY},
-  {"NULLABLE", 3, FIELD_TYPE_STRING, 0, 0, "Null", OPEN_FRM_ONLY},
-  {"INDEX_TYPE", 16, FIELD_TYPE_STRING, 0, 0, "Index_type", OPEN_FULL_TABLE},
-  {"COMMENT", 16, FIELD_TYPE_STRING, 0, 1, "Comment", OPEN_FRM_ONLY},
-  {"INDEX_COMMENT", INDEX_COMMENT_MAXLEN, FIELD_TYPE_STRING, 0, 0, "Index_Comment", OPEN_FRM_ONLY},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {"SUB_PART", 3, DRIZZLE_TYPE_LONGLONG, 0, 1, "Sub_part", OPEN_FRM_ONLY},
+  {"PACKED", 10, DRIZZLE_TYPE_STRING, 0, 1, "Packed", OPEN_FRM_ONLY},
+  {"NULLABLE", 3, DRIZZLE_TYPE_STRING, 0, 0, "Null", OPEN_FRM_ONLY},
+  {"INDEX_TYPE", 16, DRIZZLE_TYPE_STRING, 0, 0, "Index_type", OPEN_FULL_TABLE},
+  {"COMMENT", 16, DRIZZLE_TYPE_STRING, 0, 1, "Comment", OPEN_FRM_ONLY},
+  {"INDEX_COMMENT", INDEX_COMMENT_MAXLEN, DRIZZLE_TYPE_STRING, 0, 0, "Index_Comment", OPEN_FRM_ONLY},
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 
 ST_FIELD_INFO user_privileges_fields_info[]=
 {
-  {"GRANTEE", 81, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"TABLE_CATALOG", FN_REFLEN, FIELD_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
-  {"PRIVILEGE_TYPE", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"IS_GRANTABLE", 3, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {"GRANTEE", 81, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"TABLE_CATALOG", FN_REFLEN, DRIZZLE_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
+  {"PRIVILEGE_TYPE", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"IS_GRANTABLE", 3, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 
 ST_FIELD_INFO schema_privileges_fields_info[]=
 {
-  {"GRANTEE", 81, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"TABLE_CATALOG", FN_REFLEN, FIELD_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
-  {"TABLE_SCHEMA", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"PRIVILEGE_TYPE", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"IS_GRANTABLE", 3, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {"GRANTEE", 81, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"TABLE_CATALOG", FN_REFLEN, DRIZZLE_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
+  {"TABLE_SCHEMA", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"PRIVILEGE_TYPE", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"IS_GRANTABLE", 3, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 
 ST_FIELD_INFO table_privileges_fields_info[]=
 {
-  {"GRANTEE", 81, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"TABLE_CATALOG", FN_REFLEN, FIELD_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
-  {"TABLE_SCHEMA", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"TABLE_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"PRIVILEGE_TYPE", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"IS_GRANTABLE", 3, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {"GRANTEE", 81, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"TABLE_CATALOG", FN_REFLEN, DRIZZLE_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
+  {"TABLE_SCHEMA", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"TABLE_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"PRIVILEGE_TYPE", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"IS_GRANTABLE", 3, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 
 ST_FIELD_INFO column_privileges_fields_info[]=
 {
-  {"GRANTEE", 81, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"TABLE_CATALOG", FN_REFLEN, FIELD_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
-  {"TABLE_SCHEMA", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"TABLE_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"COLUMN_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"PRIVILEGE_TYPE", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"IS_GRANTABLE", 3, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {"GRANTEE", 81, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"TABLE_CATALOG", FN_REFLEN, DRIZZLE_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
+  {"TABLE_SCHEMA", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"TABLE_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"COLUMN_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"PRIVILEGE_TYPE", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"IS_GRANTABLE", 3, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 
 ST_FIELD_INFO table_constraints_fields_info[]=
 {
-  {"CONSTRAINT_CATALOG", FN_REFLEN, FIELD_TYPE_STRING, 0, 1, 0, OPEN_FULL_TABLE},
-  {"CONSTRAINT_SCHEMA", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0,
-   OPEN_FULL_TABLE},
-  {"CONSTRAINT_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0,
-   OPEN_FULL_TABLE},
-  {"TABLE_SCHEMA", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
-  {"TABLE_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
-  {"CONSTRAINT_TYPE", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0,
-   OPEN_FULL_TABLE},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {"CONSTRAINT_CATALOG", FN_REFLEN, DRIZZLE_TYPE_STRING, 0, 1, 0, OPEN_FULL_TABLE},
+  {"CONSTRAINT_SCHEMA", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0,
+   OPEN_FULL_TABLE},
+  {"CONSTRAINT_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0,
+   OPEN_FULL_TABLE},
+  {"TABLE_SCHEMA", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
+  {"TABLE_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
+  {"CONSTRAINT_TYPE", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0,
+   OPEN_FULL_TABLE},
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 
 ST_FIELD_INFO key_column_usage_fields_info[]=
 {
-  {"CONSTRAINT_CATALOG", FN_REFLEN, FIELD_TYPE_STRING, 0, 1, 0, OPEN_FULL_TABLE},
-  {"CONSTRAINT_SCHEMA", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0,
-   OPEN_FULL_TABLE},
-  {"CONSTRAINT_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0,
-   OPEN_FULL_TABLE},
-  {"TABLE_CATALOG", FN_REFLEN, FIELD_TYPE_STRING, 0, 1, 0, OPEN_FULL_TABLE},
-  {"TABLE_SCHEMA", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
-  {"TABLE_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
-  {"COLUMN_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
-  {"ORDINAL_POSITION", 10 ,FIELD_TYPE_LONGLONG, 0, 0, 0, OPEN_FULL_TABLE},
-  {"POSITION_IN_UNIQUE_CONSTRAINT", 10 ,FIELD_TYPE_LONGLONG, 0, 1, 0,
-   OPEN_FULL_TABLE},
-  {"REFERENCED_TABLE_SCHEMA", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 1, 0,
-   OPEN_FULL_TABLE},
-  {"REFERENCED_TABLE_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 1, 0,
-   OPEN_FULL_TABLE},
-  {"REFERENCED_COLUMN_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 1, 0,
-   OPEN_FULL_TABLE},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {"CONSTRAINT_CATALOG", FN_REFLEN, DRIZZLE_TYPE_STRING, 0, 1, 0, OPEN_FULL_TABLE},
+  {"CONSTRAINT_SCHEMA", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0,
+   OPEN_FULL_TABLE},
+  {"CONSTRAINT_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0,
+   OPEN_FULL_TABLE},
+  {"TABLE_CATALOG", FN_REFLEN, DRIZZLE_TYPE_STRING, 0, 1, 0, OPEN_FULL_TABLE},
+  {"TABLE_SCHEMA", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
+  {"TABLE_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
+  {"COLUMN_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
+  {"ORDINAL_POSITION", 10 ,DRIZZLE_TYPE_LONGLONG, 0, 0, 0, OPEN_FULL_TABLE},
+  {"POSITION_IN_UNIQUE_CONSTRAINT", 10 ,DRIZZLE_TYPE_LONGLONG, 0, 1, 0,
+   OPEN_FULL_TABLE},
+  {"REFERENCED_TABLE_SCHEMA", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 1, 0,
+   OPEN_FULL_TABLE},
+  {"REFERENCED_TABLE_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 1, 0,
+   OPEN_FULL_TABLE},
+  {"REFERENCED_COLUMN_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 1, 0,
+   OPEN_FULL_TABLE},
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 
 ST_FIELD_INFO table_names_fields_info[]=
 {
-  {"TABLE_CATALOG", FN_REFLEN, FIELD_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
-  {"TABLE_SCHEMA",NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"TABLE_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, "Tables_in_",
+  {"TABLE_CATALOG", FN_REFLEN, DRIZZLE_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
+  {"TABLE_SCHEMA",NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"TABLE_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, "Tables_in_",
    SKIP_OPEN_TABLE},
-  {"TABLE_TYPE", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, "Table_type",
+  {"TABLE_TYPE", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, "Table_type",
    OPEN_FRM_ONLY},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 
 ST_FIELD_INFO open_tables_fields_info[]=
 {
-  {"Database", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, "Database",
+  {"Database", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, "Database",
    SKIP_OPEN_TABLE},
-  {"Table",NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, "Table", SKIP_OPEN_TABLE},
-  {"In_use", 1, FIELD_TYPE_LONGLONG, 0, 0, "In_use", SKIP_OPEN_TABLE},
-  {"Name_locked", 4, FIELD_TYPE_LONGLONG, 0, 0, "Name_locked", SKIP_OPEN_TABLE},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {"Table",NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, "Table", SKIP_OPEN_TABLE},
+  {"In_use", 1, DRIZZLE_TYPE_LONGLONG, 0, 0, "In_use", SKIP_OPEN_TABLE},
+  {"Name_locked", 4, DRIZZLE_TYPE_LONGLONG, 0, 0, "Name_locked", SKIP_OPEN_TABLE},
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 
 ST_FIELD_INFO variables_fields_info[]=
 {
-  {"VARIABLE_NAME", 64, FIELD_TYPE_STRING, 0, 0, "Variable_name",
+  {"VARIABLE_NAME", 64, DRIZZLE_TYPE_STRING, 0, 0, "Variable_name",
    SKIP_OPEN_TABLE},
-  {"VARIABLE_VALUE", 16300, FIELD_TYPE_STRING, 0, 1, "Value", SKIP_OPEN_TABLE},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {"VARIABLE_VALUE", 16300, DRIZZLE_TYPE_STRING, 0, 1, "Value", SKIP_OPEN_TABLE},
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 
 ST_FIELD_INFO processlist_fields_info[]=
 {
-  {"ID", 4, FIELD_TYPE_LONGLONG, 0, 0, "Id", SKIP_OPEN_TABLE},
-  {"USER", 16, FIELD_TYPE_STRING, 0, 0, "User", SKIP_OPEN_TABLE},
-  {"HOST", LIST_PROCESS_HOST_LEN,  FIELD_TYPE_STRING, 0, 0, "Host",
-   SKIP_OPEN_TABLE},
-  {"DB", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 1, "Db", SKIP_OPEN_TABLE},
-  {"COMMAND", 16, FIELD_TYPE_STRING, 0, 0, "Command", SKIP_OPEN_TABLE},
-  {"TIME", 7, FIELD_TYPE_LONGLONG, 0, 0, "Time", SKIP_OPEN_TABLE},
-  {"STATE", 64, FIELD_TYPE_STRING, 0, 1, "State", SKIP_OPEN_TABLE},
-  {"INFO", PROCESS_LIST_INFO_WIDTH, FIELD_TYPE_STRING, 0, 1, "Info",
-   SKIP_OPEN_TABLE},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {"ID", 4, DRIZZLE_TYPE_LONGLONG, 0, 0, "Id", SKIP_OPEN_TABLE},
+  {"USER", 16, DRIZZLE_TYPE_STRING, 0, 0, "User", SKIP_OPEN_TABLE},
+  {"HOST", LIST_PROCESS_HOST_LEN,  DRIZZLE_TYPE_STRING, 0, 0, "Host",
+   SKIP_OPEN_TABLE},
+  {"DB", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 1, "Db", SKIP_OPEN_TABLE},
+  {"COMMAND", 16, DRIZZLE_TYPE_STRING, 0, 0, "Command", SKIP_OPEN_TABLE},
+  {"TIME", 7, DRIZZLE_TYPE_LONGLONG, 0, 0, "Time", SKIP_OPEN_TABLE},
+  {"STATE", 64, DRIZZLE_TYPE_STRING, 0, 1, "State", SKIP_OPEN_TABLE},
+  {"INFO", PROCESS_LIST_INFO_WIDTH, DRIZZLE_TYPE_STRING, 0, 1, "Info",
+   SKIP_OPEN_TABLE},
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 
 ST_FIELD_INFO plugin_fields_info[]=
 {
-  {"PLUGIN_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, "Name", 
-   SKIP_OPEN_TABLE},
-  {"PLUGIN_VERSION", 20, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
-  {"PLUGIN_STATUS", 10, FIELD_TYPE_STRING, 0, 0, "Status", SKIP_OPEN_TABLE},
-  {"PLUGIN_TYPE", 80, FIELD_TYPE_STRING, 0, 0, "Type", SKIP_OPEN_TABLE},
-  {"PLUGIN_LIBRARY", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 1, "Library",
-   SKIP_OPEN_TABLE},
-  {"PLUGIN_AUTHOR", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
-  {"PLUGIN_DESCRIPTION", 65535, FIELD_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
-  {"PLUGIN_LICENSE", 80, FIELD_TYPE_STRING, 0, 1, "License", SKIP_OPEN_TABLE},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {"PLUGIN_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, "Name", 
+   SKIP_OPEN_TABLE},
+  {"PLUGIN_VERSION", 20, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE},
+  {"PLUGIN_STATUS", 10, DRIZZLE_TYPE_STRING, 0, 0, "Status", SKIP_OPEN_TABLE},
+  {"PLUGIN_TYPE", 80, DRIZZLE_TYPE_STRING, 0, 0, "Type", SKIP_OPEN_TABLE},
+  {"PLUGIN_LIBRARY", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 1, "Library",
+   SKIP_OPEN_TABLE},
+  {"PLUGIN_AUTHOR", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
+  {"PLUGIN_DESCRIPTION", 65535, DRIZZLE_TYPE_STRING, 0, 1, 0, SKIP_OPEN_TABLE},
+  {"PLUGIN_LICENSE", 80, DRIZZLE_TYPE_STRING, 0, 1, "License", SKIP_OPEN_TABLE},
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 ST_FIELD_INFO referential_constraints_fields_info[]=
 {
-  {"CONSTRAINT_CATALOG", FN_REFLEN, FIELD_TYPE_STRING, 0, 1, 0, OPEN_FULL_TABLE},
-  {"CONSTRAINT_SCHEMA", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0,
-   OPEN_FULL_TABLE},
-  {"CONSTRAINT_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0,
-   OPEN_FULL_TABLE},
-  {"UNIQUE_CONSTRAINT_CATALOG", FN_REFLEN, FIELD_TYPE_STRING, 0, 1, 0,
-   OPEN_FULL_TABLE},
-  {"UNIQUE_CONSTRAINT_SCHEMA", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0,
-   OPEN_FULL_TABLE},
-  {"UNIQUE_CONSTRAINT_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0,
+  {"CONSTRAINT_CATALOG", FN_REFLEN, DRIZZLE_TYPE_STRING, 0, 1, 0, OPEN_FULL_TABLE},
+  {"CONSTRAINT_SCHEMA", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0,
+   OPEN_FULL_TABLE},
+  {"CONSTRAINT_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0,
+   OPEN_FULL_TABLE},
+  {"UNIQUE_CONSTRAINT_CATALOG", FN_REFLEN, DRIZZLE_TYPE_STRING, 0, 1, 0,
+   OPEN_FULL_TABLE},
+  {"UNIQUE_CONSTRAINT_SCHEMA", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0,
+   OPEN_FULL_TABLE},
+  {"UNIQUE_CONSTRAINT_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0,
    MY_I_S_MAYBE_NULL, 0, OPEN_FULL_TABLE},
-  {"MATCH_OPTION", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
-  {"UPDATE_RULE", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
-  {"DELETE_RULE", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
-  {"TABLE_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
-  {"REFERENCED_TABLE_NAME", NAME_CHAR_LEN, FIELD_TYPE_STRING, 0, 0, 0,
+  {"MATCH_OPTION", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
+  {"UPDATE_RULE", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
+  {"DELETE_RULE", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
+  {"TABLE_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
+  {"REFERENCED_TABLE_NAME", NAME_CHAR_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0,
    OPEN_FULL_TABLE},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, SKIP_OPEN_TABLE}
 };
 
 
 ST_FIELD_INFO parameters_fields_info[]=
 {
-  {"SPECIFIC_CATALOG", FN_REFLEN, FIELD_TYPE_STRING, 0, 1, 0, OPEN_FULL_TABLE},
-  {"SPECIFIC_SCHEMA", NAME_LEN, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
-  {"SPECIFIC_NAME", NAME_LEN, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
-  {"ORDINAL_POSITION", 21 , FIELD_TYPE_LONG, 0, 0, 0, OPEN_FULL_TABLE},
-  {"PARAMETER_MODE", 5, FIELD_TYPE_STRING, 0, 1, 0, OPEN_FULL_TABLE},
-  {"PARAMETER_NAME", NAME_LEN, FIELD_TYPE_STRING, 0, 1, 0, OPEN_FULL_TABLE},
-  {"DATA_TYPE", NAME_LEN, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
-  {"CHARACTER_MAXIMUM_LENGTH", 21 , FIELD_TYPE_LONG, 0, 1, 0, OPEN_FULL_TABLE},
-  {"CHARACTER_OCTET_LENGTH", 21 , FIELD_TYPE_LONG, 0, 1, 0, OPEN_FULL_TABLE},
-  {"NUMERIC_PRECISION", 21 , FIELD_TYPE_LONG, 0, 1, 0, OPEN_FULL_TABLE},
-  {"NUMERIC_SCALE", 21 , FIELD_TYPE_LONG, 0, 1, 0, OPEN_FULL_TABLE},
-  {"CHARACTER_SET_NAME", 64, FIELD_TYPE_STRING, 0, 1, 0, OPEN_FULL_TABLE},
-  {"COLLATION_NAME", 64, FIELD_TYPE_STRING, 0, 1, 0, OPEN_FULL_TABLE},
-  {"DTD_IDENTIFIER", 65535, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
-  {"ROUTINE_TYPE", 9, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
-  {0, 0, FIELD_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE}
+  {"SPECIFIC_CATALOG", FN_REFLEN, DRIZZLE_TYPE_STRING, 0, 1, 0, OPEN_FULL_TABLE},
+  {"SPECIFIC_SCHEMA", NAME_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
+  {"SPECIFIC_NAME", NAME_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
+  {"ORDINAL_POSITION", 21 , DRIZZLE_TYPE_LONG, 0, 0, 0, OPEN_FULL_TABLE},
+  {"PARAMETER_MODE", 5, DRIZZLE_TYPE_STRING, 0, 1, 0, OPEN_FULL_TABLE},
+  {"PARAMETER_NAME", NAME_LEN, DRIZZLE_TYPE_STRING, 0, 1, 0, OPEN_FULL_TABLE},
+  {"DATA_TYPE", NAME_LEN, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
+  {"CHARACTER_MAXIMUM_LENGTH", 21 , DRIZZLE_TYPE_LONG, 0, 1, 0, OPEN_FULL_TABLE},
+  {"CHARACTER_OCTET_LENGTH", 21 , DRIZZLE_TYPE_LONG, 0, 1, 0, OPEN_FULL_TABLE},
+  {"NUMERIC_PRECISION", 21 , DRIZZLE_TYPE_LONG, 0, 1, 0, OPEN_FULL_TABLE},
+  {"NUMERIC_SCALE", 21 , DRIZZLE_TYPE_LONG, 0, 1, 0, OPEN_FULL_TABLE},
+  {"CHARACTER_SET_NAME", 64, DRIZZLE_TYPE_STRING, 0, 1, 0, OPEN_FULL_TABLE},
+  {"COLLATION_NAME", 64, DRIZZLE_TYPE_STRING, 0, 1, 0, OPEN_FULL_TABLE},
+  {"DTD_IDENTIFIER", 65535, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
+  {"ROUTINE_TYPE", 9, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE},
+  {0, 0, DRIZZLE_TYPE_STRING, 0, 0, 0, OPEN_FULL_TABLE}
 };
 
 

=== modified file 'server/sql_table.cc'
--- server/sql_table.cc	2008-07-27 19:30:42 +0000
+++ server/sql_table.cc	2008-07-28 01:47:41 +0000
@@ -780,7 +780,7 @@
   assert(sql_field->charset);
 
   switch (sql_field->sql_type) {
-  case FIELD_TYPE_BLOB:
+  case DRIZZLE_TYPE_BLOB:
     sql_field->pack_flag=FIELDFLAG_BLOB |
       pack_length_to_packflag(sql_field->pack_length -
                               portable_sizeof_char_ptr);
@@ -790,13 +790,13 @@
     sql_field->unireg_check=Field::BLOB_FIELD;
     (*blob_columns)++;
     break;
-  case FIELD_TYPE_VARCHAR:
-  case FIELD_TYPE_STRING:
+  case DRIZZLE_TYPE_VARCHAR:
+  case DRIZZLE_TYPE_STRING:
     sql_field->pack_flag=0;
     if (sql_field->charset->state & MY_CS_BINSORT)
       sql_field->pack_flag|=FIELDFLAG_BINARY;
     break;
-  case FIELD_TYPE_ENUM:
+  case DRIZZLE_TYPE_ENUM:
     sql_field->pack_flag=pack_length_to_packflag(sql_field->pack_length) |
       FIELDFLAG_INTERVAL;
     if (sql_field->charset->state & MY_CS_BINSORT)
@@ -807,7 +807,7 @@
                                      sql_field->charset, &dup_val_count))
       return(1);
     break;
-  case FIELD_TYPE_SET:
+  case DRIZZLE_TYPE_SET:
     sql_field->pack_flag=pack_length_to_packflag(sql_field->pack_length) |
       FIELDFLAG_BITFIELD;
     if (sql_field->charset->state & MY_CS_BINSORT)
@@ -824,13 +824,13 @@
        return(1);
     }
     break;
-  case FIELD_TYPE_NEWDATE:  // Rest of string types
-  case FIELD_TYPE_TIME:
-  case FIELD_TYPE_DATETIME:
-  case FIELD_TYPE_NULL:
+  case DRIZZLE_TYPE_NEWDATE:  // Rest of string types
+  case DRIZZLE_TYPE_TIME:
+  case DRIZZLE_TYPE_DATETIME:
+  case DRIZZLE_TYPE_NULL:
     sql_field->pack_flag=f_settype((uint) sql_field->sql_type);
     break;
-  case FIELD_TYPE_NEWDECIMAL:
+  case DRIZZLE_TYPE_NEWDECIMAL:
     sql_field->pack_flag=(FIELDFLAG_NUMBER |
                           (sql_field->flags & UNSIGNED_FLAG ? 0 :
                            FIELDFLAG_DECIMAL) |
@@ -838,7 +838,7 @@
                            FIELDFLAG_ZEROFILL : 0) |
                           (sql_field->decimals << FIELDFLAG_DEC_SHIFT));
     break;
-  case FIELD_TYPE_TIMESTAMP:
+  case DRIZZLE_TYPE_TIMESTAMP:
     /* We should replace old TIMESTAMP fields with their newer analogs */
     if (sql_field->unireg_check == Field::TIMESTAMP_OLD_FIELD)
     {
@@ -963,10 +963,10 @@
     */
     if (sql_field->def && 
         save_cs != sql_field->def->collation.collation &&
-        (sql_field->sql_type == FIELD_TYPE_VAR_STRING ||
-         sql_field->sql_type == FIELD_TYPE_STRING ||
-         sql_field->sql_type == FIELD_TYPE_SET ||
-         sql_field->sql_type == FIELD_TYPE_ENUM))
+        (sql_field->sql_type == DRIZZLE_TYPE_VAR_STRING ||
+         sql_field->sql_type == DRIZZLE_TYPE_STRING ||
+         sql_field->sql_type == DRIZZLE_TYPE_SET ||
+         sql_field->sql_type == DRIZZLE_TYPE_ENUM))
     {
       /*
         Starting from 5.1 we work here with a copy of Create_field
@@ -988,8 +988,8 @@
       }
     }
 
-    if (sql_field->sql_type == FIELD_TYPE_SET ||
-        sql_field->sql_type == FIELD_TYPE_ENUM)
+    if (sql_field->sql_type == DRIZZLE_TYPE_SET ||
+        sql_field->sql_type == DRIZZLE_TYPE_ENUM)
     {
       uint32_t dummy;
       CHARSET_INFO *cs= sql_field->charset;
@@ -1034,7 +1034,7 @@
                                        interval->type_lengths[i]);
           interval->type_lengths[i]= lengthsp;
           ((uchar *)interval->type_names[i])[lengthsp]= '\0';
-          if (sql_field->sql_type == FIELD_TYPE_SET)
+          if (sql_field->sql_type == DRIZZLE_TYPE_SET)
           {
             if (cs->coll->instr(cs, interval->type_names[i], 
                                 interval->type_lengths[i], 
@@ -1048,7 +1048,7 @@
         sql_field->interval_list.empty(); // Don't need interval_list anymore
       }
 
-      if (sql_field->sql_type == FIELD_TYPE_SET)
+      if (sql_field->sql_type == DRIZZLE_TYPE_SET)
       {
         uint32_t field_length;
         if (sql_field->def != NULL)
@@ -1084,10 +1084,10 @@
         calculate_interval_lengths(cs, interval, &dummy, &field_length);
         sql_field->length= field_length + (interval->count - 1);
       }
-      else  /* FIELD_TYPE_ENUM */
+      else  /* DRIZZLE_TYPE_ENUM */
       {
         uint32_t field_length;
-        assert(sql_field->sql_type == FIELD_TYPE_ENUM);
+        assert(sql_field->sql_type == DRIZZLE_TYPE_ENUM);
         if (sql_field->def != NULL)
         {
           String str, *def= sql_field->def->val_str(&str);
@@ -1177,7 +1177,7 @@
     }
     /* Don't pack rows in old tables if the user has requested this */
     if ((sql_field->flags & BLOB_FLAG) ||
-	(sql_field->sql_type == FIELD_TYPE_VARCHAR && create_info->row_type != ROW_TYPE_FIXED))
+	(sql_field->sql_type == DRIZZLE_TYPE_VARCHAR && create_info->row_type != ROW_TYPE_FIXED))
       (*db_options)|= HA_OPTION_PACK_RECORD;
     it2.rewind();
   }
@@ -1195,7 +1195,7 @@
 			     &timestamps, &timestamps_with_niladic,
 			     file->ha_table_flags()))
       return(true);
-    if (sql_field->sql_type == FIELD_TYPE_VARCHAR)
+    if (sql_field->sql_type == DRIZZLE_TYPE_VARCHAR)
       create_info->varchar= true;
     sql_field->offset= record_offset;
     if (MTYP_TYPENR(sql_field->unireg_check) == Field::NEXT_NUMBER)
@@ -1535,12 +1535,12 @@
       /* Use packed keys for long strings on the first column */
       if (!((*db_options) & HA_OPTION_NO_PACK_KEYS) &&
 	  (length >= KEY_DEFAULT_PACK_LENGTH &&
-	   (sql_field->sql_type == FIELD_TYPE_STRING ||
-	    sql_field->sql_type == FIELD_TYPE_VARCHAR ||
+	   (sql_field->sql_type == DRIZZLE_TYPE_STRING ||
+	    sql_field->sql_type == DRIZZLE_TYPE_VARCHAR ||
 	    sql_field->pack_flag & FIELDFLAG_BLOB)))
       {
 	if ((column_nr == 0 && (sql_field->pack_flag & FIELDFLAG_BLOB)) ||
-            sql_field->sql_type == FIELD_TYPE_VARCHAR)
+            sql_field->sql_type == DRIZZLE_TYPE_VARCHAR)
 	  key_info->flags|= HA_BINARY_PACK_KEY | HA_VAR_LENGTH_KEY;
 	else
 	  key_info->flags|= HA_PACK_KEY;
@@ -1616,7 +1616,7 @@
 
     if (thd->variables.sql_mode & MODE_NO_ZERO_DATE &&
         !sql_field->def &&
-        sql_field->sql_type == FIELD_TYPE_TIMESTAMP &&
+        sql_field->sql_type == DRIZZLE_TYPE_TIMESTAMP &&
         (sql_field->flags & NOT_NULL_FLAG) &&
         (type == Field::NONE || type == Field::TIMESTAMP_UN_FIELD))
     {
@@ -1702,7 +1702,7 @@
     
   if ((sql_field->flags & BLOB_FLAG) && sql_field->length)
   {
-    if (sql_field->sql_type == FIELD_TYPE_BLOB)
+    if (sql_field->sql_type == DRIZZLE_TYPE_BLOB)
     {
       /* The user has given a length to the blob column */
       sql_field->sql_type= get_blob_type_from_length(sql_field->length);
@@ -1731,11 +1731,11 @@
 
 void sp_prepare_create_field(THD *thd, Create_field *sql_field)
 {
-  if (sql_field->sql_type == FIELD_TYPE_SET ||
-      sql_field->sql_type == FIELD_TYPE_ENUM)
+  if (sql_field->sql_type == DRIZZLE_TYPE_SET ||
+      sql_field->sql_type == DRIZZLE_TYPE_ENUM)
   {
     uint32_t field_length, dummy;
-    if (sql_field->sql_type == FIELD_TYPE_SET)
+    if (sql_field->sql_type == DRIZZLE_TYPE_SET)
     {
       calculate_interval_lengths(sql_field->charset,
                                  sql_field->interval, &dummy, 
@@ -1743,7 +1743,7 @@
       sql_field->length= field_length + 
                          (sql_field->interval->count - 1);
     }
-    else /* FIELD_TYPE_ENUM */
+    else /* DRIZZLE_TYPE_ENUM */
     {
       calculate_interval_lengths(sql_field->charset,
                                  sql_field->interval,
@@ -3487,7 +3487,7 @@
     /* Don't pack rows in old tables if the user has requested this. */
     if (create_info->row_type == ROW_TYPE_DYNAMIC ||
         (new_field->flags & BLOB_FLAG) ||
-        (new_field->sql_type == FIELD_TYPE_VARCHAR && create_info->row_type != ROW_TYPE_FIXED))
+        (new_field->sql_type == DRIZZLE_TYPE_VARCHAR && create_info->row_type != ROW_TYPE_FIXED))
       create_info->table_options|= HA_OPTION_PACK_RECORD;
 
     /* Check how fields have been modified */
@@ -4100,7 +4100,7 @@
   Field **f_ptr,*field;
   for (f_ptr=table->field ; (field= *f_ptr) ; f_ptr++)
     {
-    if (field->type() == FIELD_TYPE_STRING)
+    if (field->type() == DRIZZLE_TYPE_STRING)
       create_info->varchar= true;
     /* Check if field should be dropped */
     Alter_drop *drop;
@@ -4159,7 +4159,7 @@
         }
       if (alter)
 	{
-	if (def->sql_type == FIELD_TYPE_BLOB)
+	if (def->sql_type == DRIZZLE_TYPE_BLOB)
 	{
 	  my_error(ER_BLOB_CANT_HAVE_DEFAULT, MYF(0), def->change);
           goto err;
@@ -4187,8 +4187,8 @@
       If the '0000-00-00' value isn't allowed then raise the error_if_not_empty
       flag to allow ALTER TABLE only if the table to be altered is empty.
       */
-    if ((def->sql_type == FIELD_TYPE_NEWDATE ||
-         def->sql_type == FIELD_TYPE_DATETIME) &&
+    if ((def->sql_type == DRIZZLE_TYPE_NEWDATE ||
+         def->sql_type == DRIZZLE_TYPE_DATETIME) &&
          !alter_info->datetime_field &&
          !(~def->flags & (NO_DEFAULT_VALUE_FLAG | NOT_NULL_FLAG)) &&
          thd->variables.sql_mode & MODE_NO_ZERO_DATE)
@@ -5145,11 +5145,11 @@
     enum enum_mysql_timestamp_type t_type= MYSQL_TIMESTAMP_DATE;
     switch (alter_info->datetime_field->sql_type)
     {
-      case FIELD_TYPE_NEWDATE:
+      case DRIZZLE_TYPE_NEWDATE:
         f_val= "0000-00-00";
         t_type= MYSQL_TIMESTAMP_DATE;
         break;
-      case FIELD_TYPE_DATETIME:
+      case DRIZZLE_TYPE_DATETIME:
         f_val= "0000-00-00 00:00:00";
         t_type= MYSQL_TIMESTAMP_DATETIME;
         break;
@@ -5517,8 +5517,8 @@
 	    for (uint i= 0; i < t->s->fields; i++ )
 	    {
 	      Field *f= t->field[i];
-	      if ((f->type() == FIELD_TYPE_BLOB) ||
-                  (f->type() == FIELD_TYPE_VARCHAR))
+	      if ((f->type() == DRIZZLE_TYPE_BLOB) ||
+                  (f->type() == DRIZZLE_TYPE_VARCHAR))
 	      {
 		String tmp;
 		f->val_str(&tmp);

=== modified file 'server/sql_yacc.yy'
--- server/sql_yacc.yy	2008-07-27 19:30:42 +0000
+++ server/sql_yacc.yy	2008-07-28 01:47:41 +0000
@@ -1809,107 +1809,107 @@
         | BIT_SYM
           {
             Lex->length= (char*) "1";
-            $$=FIELD_TYPE_TINY;
+            $$=DRIZZLE_TYPE_TINY;
           }
         | BOOL_SYM
           {
             Lex->length=(char*) "1";
-            $$=FIELD_TYPE_TINY;
+            $$=DRIZZLE_TYPE_TINY;
           }
         | BOOLEAN_SYM
           {
             Lex->length=(char*) "1";
-            $$=FIELD_TYPE_TINY;
+            $$=DRIZZLE_TYPE_TINY;
           }
         | char '(' NUM ')' opt_binary
           {
             Lex->length=$3.str;
-            $$=FIELD_TYPE_STRING;
+            $$=DRIZZLE_TYPE_STRING;
           }
         | char opt_binary
           {
             Lex->length=(char*) "1";
-            $$=FIELD_TYPE_STRING;
+            $$=DRIZZLE_TYPE_STRING;
           }
         | nchar '(' NUM ')' opt_bin_mod
           {
             Lex->length=$3.str;
-            $$=FIELD_TYPE_STRING;
+            $$=DRIZZLE_TYPE_STRING;
             Lex->charset=national_charset_info;
           }
         | nchar opt_bin_mod
           {
             Lex->length=(char*) "1";
-            $$=FIELD_TYPE_STRING;
+            $$=DRIZZLE_TYPE_STRING;
             Lex->charset=national_charset_info;
           }
         | BINARY '(' NUM ')'
           {
             Lex->length=$3.str;
             Lex->charset=&my_charset_bin;
-            $$=FIELD_TYPE_STRING;
+            $$=DRIZZLE_TYPE_STRING;
           }
         | BINARY
           {
             Lex->length= (char*) "1";
             Lex->charset=&my_charset_bin;
-            $$=FIELD_TYPE_STRING;
+            $$=DRIZZLE_TYPE_STRING;
           }
         | varchar '(' NUM ')' opt_binary
           {
             Lex->length=$3.str;
-            $$= FIELD_TYPE_VARCHAR;
+            $$= DRIZZLE_TYPE_VARCHAR;
           }
         | nvarchar '(' NUM ')' opt_bin_mod
           {
             Lex->length=$3.str;
-            $$= FIELD_TYPE_VARCHAR;
+            $$= DRIZZLE_TYPE_VARCHAR;
             Lex->charset=national_charset_info;
           }
         | VARBINARY '(' NUM ')'
           {
             Lex->length=$3.str;
             Lex->charset=&my_charset_bin;
-            $$= FIELD_TYPE_VARCHAR;
+            $$= DRIZZLE_TYPE_VARCHAR;
           }
         | YEAR_SYM opt_len field_options
-          { $$=FIELD_TYPE_YEAR; }
+          { $$=DRIZZLE_TYPE_YEAR; }
         | DATE_SYM
-          { $$=FIELD_TYPE_NEWDATE; }
+          { $$=DRIZZLE_TYPE_NEWDATE; }
         | TIME_SYM
-          { $$=FIELD_TYPE_TIME; }
+          { $$=DRIZZLE_TYPE_TIME; }
         | TIMESTAMP
           {
             /* Unlike other types TIMESTAMP fields are NOT NULL by default */
             Lex->type|= NOT_NULL_FLAG;
-            $$=FIELD_TYPE_TIMESTAMP;
+            $$=DRIZZLE_TYPE_TIMESTAMP;
           }
         | DATETIME
-          { $$=FIELD_TYPE_DATETIME; }
+          { $$=DRIZZLE_TYPE_DATETIME; }
         | BLOB_SYM opt_len
           {
             Lex->charset=&my_charset_bin;
-            $$=FIELD_TYPE_BLOB;
+            $$=DRIZZLE_TYPE_BLOB;
           }
         | TEXT_SYM opt_len opt_binary
-          { $$=FIELD_TYPE_BLOB; }
+          { $$=DRIZZLE_TYPE_BLOB; }
         | DECIMAL_SYM float_options field_options
-          { $$=FIELD_TYPE_NEWDECIMAL;}
+          { $$=DRIZZLE_TYPE_NEWDECIMAL;}
         | NUMERIC_SYM float_options field_options
-          { $$=FIELD_TYPE_NEWDECIMAL;}
+          { $$=DRIZZLE_TYPE_NEWDECIMAL;}
         | FIXED_SYM float_options field_options
-          { $$=FIELD_TYPE_NEWDECIMAL;}
+          { $$=DRIZZLE_TYPE_NEWDECIMAL;}
         | ENUM
           {Lex->interval_list.empty();}
           '(' string_list ')' opt_binary
-          { $$=FIELD_TYPE_ENUM; }
+          { $$=DRIZZLE_TYPE_ENUM; }
         | SET
           { Lex->interval_list.empty();}
           '(' string_list ')' opt_binary
-          { $$=FIELD_TYPE_SET; }
+          { $$=DRIZZLE_TYPE_SET; }
         | SERIAL_SYM
           {
-            $$=FIELD_TYPE_LONGLONG;
+            $$=DRIZZLE_TYPE_LONGLONG;
             Lex->type|= (AUTO_INCREMENT_FLAG | NOT_NULL_FLAG | UNSIGNED_FLAG |
               UNIQUE_FLAG);
           }
@@ -1938,21 +1938,21 @@
         ;
 
 int_type:
-          INT_SYM   { $$=FIELD_TYPE_LONG; }
-        | TINYINT   { $$=FIELD_TYPE_TINY; }
-        | SMALLINT  { $$=FIELD_TYPE_SHORT; }
-        | BIGINT    { $$=FIELD_TYPE_LONGLONG; }
+          INT_SYM   { $$=DRIZZLE_TYPE_LONG; }
+        | TINYINT   { $$=DRIZZLE_TYPE_TINY; }
+        | SMALLINT  { $$=DRIZZLE_TYPE_SHORT; }
+        | BIGINT    { $$=DRIZZLE_TYPE_LONGLONG; }
         ;
 
 real_type:
           REAL
           {
-            $$= FIELD_TYPE_DOUBLE;
+            $$= DRIZZLE_TYPE_DOUBLE;
           }
         | DOUBLE_SYM
-          { $$=FIELD_TYPE_DOUBLE; }
+          { $$=DRIZZLE_TYPE_DOUBLE; }
         | DOUBLE_SYM PRECISION
-          { $$=FIELD_TYPE_DOUBLE; }
+          { $$=DRIZZLE_TYPE_DOUBLE; }
         ;
 
 float_options:

=== modified file 'server/table.cc'
--- server/table.cc	2008-07-27 19:30:42 +0000
+++ server/table.cc	2008-07-28 01:47:41 +0000
@@ -971,7 +971,7 @@
     }
     
 #ifndef TO_BE_DELETED_ON_PRODUCTION
-    if (field_type == FIELD_TYPE_NEWDECIMAL && !share->mysql_version)
+    if (field_type == DRIZZLE_TYPE_NEWDECIMAL && !share->mysql_version)
     {
       /*
         Fix pack length of old decimal values from 5.0.3 -> 5.0.4
@@ -1097,10 +1097,10 @@
           keyinfo->extra_length+= HA_KEY_NULL_LENGTH;
           keyinfo->key_length+= HA_KEY_NULL_LENGTH;
         }
-        if (field->type() == FIELD_TYPE_BLOB ||
-            field->real_type() == FIELD_TYPE_VARCHAR)
+        if (field->type() == DRIZZLE_TYPE_BLOB ||
+            field->real_type() == DRIZZLE_TYPE_VARCHAR)
         {
-          if (field->type() == FIELD_TYPE_BLOB)
+          if (field->type() == DRIZZLE_TYPE_BLOB)
             key_part->key_part_flag|= HA_BLOB_PART;
           else
             key_part->key_part_flag|= HA_VAR_LENGTH_PART;
@@ -1147,7 +1147,7 @@
         if (field->key_length() != key_part->length)
         {
 #ifndef TO_BE_DELETED_ON_PRODUCTION
-          if (field->type() == FIELD_TYPE_NEWDECIMAL)
+          if (field->type() == DRIZZLE_TYPE_NEWDECIMAL)
           {
             /*
               Fix a fatal error in decimal key handling that causes crashes

=== modified file 'server/unireg.cc'
--- server/unireg.cc	2008-07-27 19:30:42 +0000
+++ server/unireg.cc	2008-07-28 01:47:41 +0000
@@ -616,7 +616,7 @@
       We mark first TIMESTAMP field with NOW() in DEFAULT or ON UPDATE 
       as auto-update field.
     */
-    if (field->sql_type == FIELD_TYPE_TIMESTAMP &&
+    if (field->sql_type == DRIZZLE_TYPE_TIMESTAMP &&
         MTYP_TYPENR(field->unireg_check) != Field::NONE &&
 	!time_stamp_pos)
       time_stamp_pos= (uint) field->offset+ (uint) data_offset + 1;
@@ -969,7 +969,7 @@
         goto err;
       }
     }
-    else if (regfield->real_type() == FIELD_TYPE_ENUM &&
+    else if (regfield->real_type() == DRIZZLE_TYPE_ENUM &&
 	     (field->flags & NOT_NULL_FLAG))
     {
       regfield->set_notnull();

=== modified file 'storage/innobase/handler/ha_innodb.cc'
--- storage/innobase/handler/ha_innodb.cc	2008-07-27 19:30:42 +0000
+++ storage/innobase/handler/ha_innodb.cc	2008-07-28 01:47:41 +0000
@@ -1436,7 +1436,7 @@
         innobase_hton->flags=HTON_NO_FLAGS;
         innobase_hton->release_temporary_latches=innobase_release_temporary_latches;
 
-        ut_a(DATA_MYSQL_TRUE_VARCHAR == (ulint)FIELD_TYPE_VARCHAR);
+        ut_a(DATA_MYSQL_TRUE_VARCHAR == (ulint)DRIZZLE_TYPE_VARCHAR);
 
 #ifdef UNIV_DEBUG
 	static const char	test_filename[] = "-@";
@@ -2526,10 +2526,10 @@
 
 	switch (mysql_tp) {
 
-	case FIELD_TYPE_STRING:
-	case FIELD_TYPE_VAR_STRING:
-	case FIELD_TYPE_BLOB:
-	case FIELD_TYPE_VARCHAR:
+	case DRIZZLE_TYPE_STRING:
+	case DRIZZLE_TYPE_VAR_STRING:
+	case DRIZZLE_TYPE_BLOB:
+	case DRIZZLE_TYPE_VARCHAR:
 		/* Use the charset number to pick the right charset struct for
 		the comparison. Since the MySQL function get_charset may be
 		slow before Bar removes the mutex operation there, we first
@@ -2592,9 +2592,9 @@
 	8 bits: this is used in ibuf and also when DATA_NOT_NULL is ORed to
 	the type */
 
-	assert((ulint)FIELD_TYPE_STRING < 256);
-	assert((ulint)FIELD_TYPE_VAR_STRING < 256);
-	assert((ulint)FIELD_TYPE_DOUBLE < 256);
+	assert((ulint)DRIZZLE_TYPE_STRING < 256);
+	assert((ulint)DRIZZLE_TYPE_VAR_STRING < 256);
+	assert((ulint)DRIZZLE_TYPE_DOUBLE < 256);
 
 	if (field->flags & UNSIGNED_FLAG) {
 
@@ -2603,8 +2603,8 @@
 		*unsigned_flag = 0;
 	}
 
-	if (field->real_type() == FIELD_TYPE_ENUM
-		|| field->real_type() == FIELD_TYPE_SET) {
+	if (field->real_type() == DRIZZLE_TYPE_ENUM
+		|| field->real_type() == DRIZZLE_TYPE_SET) {
 
 		/* MySQL has field->type() a string type for these, but the
 		data is actually internally stored as an unsigned integer
@@ -2620,8 +2620,8 @@
 	switch (field->type()) {
 		/* NOTE that we only allow string types in DATA_MYSQL and
 		DATA_VARMYSQL */
-	case FIELD_TYPE_VAR_STRING: /* old <= 4.1 VARCHAR */
-	case FIELD_TYPE_VARCHAR:    /* new >= 5.0.3 true VARCHAR */
+	case DRIZZLE_TYPE_VAR_STRING: /* old <= 4.1 VARCHAR */
+	case DRIZZLE_TYPE_VARCHAR:    /* new >= 5.0.3 true VARCHAR */
 		if (field->binary()) {
 			return(DATA_BINARY);
 		} else if (strcmp(
@@ -2631,7 +2631,7 @@
 		} else {
 			return(DATA_VARMYSQL);
 		}
-	case FIELD_TYPE_STRING: if (field->binary()) {
+	case DRIZZLE_TYPE_STRING: if (field->binary()) {
 
 			return(DATA_FIXBINARY);
 		} else if (strcmp(
@@ -2641,21 +2641,21 @@
 		} else {
 			return(DATA_MYSQL);
 		}
-	case FIELD_TYPE_NEWDECIMAL:
+	case DRIZZLE_TYPE_NEWDECIMAL:
 		return(DATA_FIXBINARY);
-	case FIELD_TYPE_LONG:
-	case FIELD_TYPE_LONGLONG:
-	case FIELD_TYPE_TINY:
-	case FIELD_TYPE_SHORT:
-	case FIELD_TYPE_DATETIME:
-	case FIELD_TYPE_YEAR:
-	case FIELD_TYPE_NEWDATE:
-	case FIELD_TYPE_TIME:
-	case FIELD_TYPE_TIMESTAMP:
+	case DRIZZLE_TYPE_LONG:
+	case DRIZZLE_TYPE_LONGLONG:
+	case DRIZZLE_TYPE_TINY:
+	case DRIZZLE_TYPE_SHORT:
+	case DRIZZLE_TYPE_DATETIME:
+	case DRIZZLE_TYPE_YEAR:
+	case DRIZZLE_TYPE_NEWDATE:
+	case DRIZZLE_TYPE_TIME:
+	case DRIZZLE_TYPE_TIMESTAMP:
 		return(DATA_INT);
-	case FIELD_TYPE_DOUBLE:
+	case DRIZZLE_TYPE_DOUBLE:
 		return(DATA_DOUBLE);
-	case FIELD_TYPE_BLOB:
+	case DRIZZLE_TYPE_BLOB:
 		return(DATA_BLOB);
 	default:
 		assert(0);
@@ -2758,7 +2758,7 @@
 		field = key_part->field;
 		mysql_type = field->type();
 
-		if (mysql_type == FIELD_TYPE_VARCHAR) {
+		if (mysql_type == DRIZZLE_TYPE_VARCHAR) {
 						/* >= 5.0.3 true VARCHAR */
 			ulint	lenlen;
 			ulint	len;
@@ -2822,7 +2822,7 @@
 
 			buff += key_len;
 
-		} else if (mysql_type == FIELD_TYPE_BLOB) {
+		} else if (mysql_type == DRIZZLE_TYPE_BLOB) {
 
 			CHARSET_INFO*	cs;
 			ulint		key_len;
@@ -2917,10 +2917,10 @@
 			type is not enum or set. For these fields check
 			if character set is multi byte. */
 
-			if (real_type != FIELD_TYPE_ENUM
-				&& real_type != FIELD_TYPE_SET
-				&& ( mysql_type == FIELD_TYPE_VAR_STRING
-					|| mysql_type == FIELD_TYPE_STRING)) {
+			if (real_type != DRIZZLE_TYPE_ENUM
+				&& real_type != DRIZZLE_TYPE_SET
+				&& ( mysql_type == DRIZZLE_TYPE_VAR_STRING
+					|| mysql_type == DRIZZLE_TYPE_STRING)) {
 
 				cs = field->charset();
 
@@ -3607,7 +3607,7 @@
 		case DATA_VARCHAR:
 		case DATA_BINARY:
 		case DATA_VARMYSQL:
-			if (field_mysql_type == FIELD_TYPE_VARCHAR) {
+			if (field_mysql_type == DRIZZLE_TYPE_VARCHAR) {
 				/* This is a >= 5.0.3 type true VARCHAR where
 				the real payload data length is stored in
 				1 or 2 bytes */
@@ -4648,7 +4648,7 @@
 
 		long_true_varchar = 0;
 
-		if (field->type() == FIELD_TYPE_VARCHAR) {
+		if (field->type() == DRIZZLE_TYPE_VARCHAR) {
 			col_len -= ((Field_varstring*)field)->length_bytes;
 
 			if (((Field_varstring*)field)->length_bytes == 2) {
@@ -4755,8 +4755,8 @@
 
 		if (DATA_BLOB == col_type
 			|| (key_part->length < field->pack_length()
-				&& field->type() != FIELD_TYPE_VARCHAR)
-			|| (field->type() == FIELD_TYPE_VARCHAR
+				&& field->type() != DRIZZLE_TYPE_VARCHAR)
+			|| (field->type() == DRIZZLE_TYPE_VARCHAR
 				&& key_part->length < field->pack_length()
 				- ((Field_varstring*)field)->length_bytes)) {
 
@@ -7414,7 +7414,7 @@
 		field = key_part->field;
 		mysql_type = field->type();
 
-		if (mysql_type == FIELD_TYPE_BLOB) {
+		if (mysql_type == DRIZZLE_TYPE_BLOB) {
 
 			/* In the MySQL key value format, a column prefix of
 			a BLOB is preceded by a 2-byte length field */

=== modified file 'storage/myisam/ha_myisam.cc'
--- storage/myisam/ha_myisam.cc	2008-07-27 19:30:42 +0000
+++ storage/myisam/ha_myisam.cc	2008-07-28 01:47:41 +0000
@@ -173,8 +173,8 @@
           if (j == 0)
             keydef[i].flag|= HA_PACK_KEY;
           if (!(field->flags & ZEROFILL_FLAG) &&
-              (field->type() == FIELD_TYPE_STRING ||
-               field->type() == FIELD_TYPE_VAR_STRING ||
+              (field->type() == DRIZZLE_TYPE_STRING ||
+               field->type() == DRIZZLE_TYPE_VAR_STRING ||
                ((int) (pos->key_part[j].length - field->decimals())) >= 4))
             keydef[i].seg[j].flag|= HA_SPACE_PACK;
         }
@@ -200,7 +200,7 @@
         keydef[i].seg[j].null_bit= 0;
         keydef[i].seg[j].null_pos= 0;
       }
-      if (field->type() == FIELD_TYPE_BLOB)
+      if (field->type() == DRIZZLE_TYPE_BLOB)
       {
         keydef[i].seg[j].flag|= HA_BLOB_PART;
         /* save number of bytes used to pack length */
@@ -249,7 +249,7 @@
 
     if (found->flags & BLOB_FLAG)
       recinfo_pos->type= (int) FIELD_BLOB;
-    else if (found->type() == FIELD_TYPE_VARCHAR)
+    else if (found->type() == DRIZZLE_TYPE_VARCHAR)
       recinfo_pos->type= FIELD_VARCHAR;
     else if (!(options & HA_OPTION_PACK_RECORD))
       recinfo_pos->type= (int) FIELD_NORMAL;
@@ -259,8 +259,8 @@
       recinfo_pos->type= (int) ((length <= 3 ||
                                  (found->flags & ZEROFILL_FLAG)) ?
                                   FIELD_NORMAL :
-                                  found->type() == FIELD_TYPE_STRING ||
-                                  found->type() == FIELD_TYPE_VAR_STRING ?
+                                  found->type() == DRIZZLE_TYPE_STRING ||
+                                  found->type() == DRIZZLE_TYPE_VAR_STRING ?
                                   FIELD_SKIP_ENDSPACE :
                                   FIELD_SKIP_PRESPACE);
     if (found->null_ptr)

=== modified file 'tests/suite/rpl/r/rpl_row_colSize.result'
--- tests/suite/rpl/r/rpl_row_colSize.result	2008-07-27 19:30:42 +0000
+++ tests/suite/rpl/r/rpl_row_colSize.result	2008-07-28 01:47:41 +0000
@@ -7,7 +7,7 @@
 DROP TABLE IF EXISTS t1;
 **** Testing WL#3228 changes. ****
 *** Create "wider" table on slave ***
-Checking FIELD_TYPE_NEWDECIMAL fields
+Checking DRIZZLE_TYPE_NEWDECIMAL fields
 DROP TABLE IF EXISTS t1;
 Warnings:
 Note	1051	Unknown table 't1'
@@ -172,7 +172,7 @@
 RESET SLAVE;
 RESET MASTER;
 START SLAVE;
-Checking FIELD_TYPE_FLOAT fields
+Checking DRIZZLE_TYPE_FLOAT fields
 DROP TABLE IF EXISTS t1;
 STOP SLAVE;
 RESET SLAVE;
@@ -227,7 +227,7 @@
 RESET SLAVE;
 RESET MASTER;
 START SLAVE;
-Checking FIELD_TYPE_BIT fields
+Checking DRIZZLE_TYPE_BIT fields
 DROP TABLE IF EXISTS t1;
 STOP SLAVE;
 RESET SLAVE;
@@ -336,7 +336,7 @@
 RESET SLAVE;
 RESET MASTER;
 START SLAVE;
-Checking FIELD_TYPE_SET fields
+Checking DRIZZLE_TYPE_SET fields
 DROP TABLE IF EXISTS t1;
 STOP SLAVE;
 RESET SLAVE;
@@ -391,7 +391,7 @@
 RESET SLAVE;
 RESET MASTER;
 START SLAVE;
-Checking FIELD_TYPE_STRING fields
+Checking DRIZZLE_TYPE_STRING fields
 DROP TABLE IF EXISTS t1;
 STOP SLAVE;
 RESET SLAVE;
@@ -446,7 +446,7 @@
 RESET SLAVE;
 RESET MASTER;
 START SLAVE;
-Checking FIELD_TYPE_ENUM fields
+Checking DRIZZLE_TYPE_ENUM fields
 DROP TABLE IF EXISTS t1;
 STOP SLAVE;
 RESET SLAVE;
@@ -532,7 +532,7 @@
 RESET SLAVE;
 RESET MASTER;
 START SLAVE;
-Checking FIELD_TYPE_VARCHAR fields
+Checking DRIZZLE_TYPE_VARCHAR fields
 DROP TABLE IF EXISTS t1;
 STOP SLAVE;
 RESET SLAVE;
@@ -695,7 +695,7 @@
 RESET SLAVE;
 RESET MASTER;
 START SLAVE;
-Checking FIELD_TYPE_BLOB fields
+Checking DRIZZLE_TYPE_BLOB fields
 DROP TABLE IF EXISTS t1;
 STOP SLAVE;
 RESET SLAVE;

=== modified file 'tests/suite/rpl/t/rpl_row_colSize.test'
--- tests/suite/rpl/t/rpl_row_colSize.test	2008-07-27 19:30:42 +0000
+++ tests/suite/rpl/t/rpl_row_colSize.test	2008-07-28 01:47:41 +0000
@@ -23,19 +23,19 @@
 # This check covers only those fields that require additional
 # metadata from the master to be replicated to the slave. These
 # field types are:
-#   FIELD_TYPE_NEWDECIMAL:
-#   FIELD_TYPE_FLOAT:
-#   FIELD_TYPE_BIT:
-#   FIELD_TYPE_SET:
-#   FIELD_TYPE_STRING:
-#   FIELD_TYPE_ENUM:
-#   FIELD_TYPE_VARCHAR:
-#   FIELD_TYPE_BLOB:
+#   DRIZZLE_TYPE_NEWDECIMAL:
+#   DRIZZLE_TYPE_FLOAT:
+#   DRIZZLE_TYPE_BIT:
+#   DRIZZLE_TYPE_SET:
+#   DRIZZLE_TYPE_STRING:
+#   DRIZZLE_TYPE_ENUM:
+#   DRIZZLE_TYPE_VARCHAR:
+#   DRIZZLE_TYPE_BLOB:
 
 #
-# Test: Checking FIELD_TYPE_NEWDECIMAL fields
+# Test: Checking DRIZZLE_TYPE_NEWDECIMAL fields
 #
---echo Checking FIELD_TYPE_NEWDECIMAL fields
+--echo Checking DRIZZLE_TYPE_NEWDECIMAL fields
 let $test_table_master = CREATE TABLE t1 (a DECIMAL(20, 10));
 let $test_table_slave = CREATE TABLE t1 (a DECIMAL(5,2));
 let $test_insert = INSERT INTO t1 VALUES (901251.90125);
@@ -52,18 +52,18 @@
 source include/test_fieldsize.inc;
 
 #
-# Test: Checking FIELD_TYPE_FLOAT fields
+# Test: Checking DRIZZLE_TYPE_FLOAT fields
 #
---echo Checking FIELD_TYPE_FLOAT fields
+--echo Checking DRIZZLE_TYPE_FLOAT fields
 let $test_table_master = CREATE TABLE t1 (a FLOAT(47));
 let $test_table_slave = CREATE TABLE t1 (a FLOAT(20));
 let $test_insert = INSERT INTO t1 VALUES (901251.90125);
 source include/test_fieldsize.inc;
 
 #
-# Test: Checking FIELD_TYPE_BIT fields
+# Test: Checking DRIZZLE_TYPE_BIT fields
 #
---echo Checking FIELD_TYPE_BIT fields
+--echo Checking DRIZZLE_TYPE_BIT fields
 let $test_table_master = CREATE TABLE t1 (a BIT(64));
 let $test_table_slave = CREATE TABLE t1 (a BIT(5));
 let $test_insert = INSERT INTO t1 VALUES (B'10101');
@@ -75,27 +75,27 @@
 source include/test_fieldsize.inc;
 
 #
-# Test: Checking FIELD_TYPE_SET fields
+# Test: Checking DRIZZLE_TYPE_SET fields
 #
---echo Checking FIELD_TYPE_SET fields
+--echo Checking DRIZZLE_TYPE_SET fields
 let $test_table_master = CREATE TABLE t1 (a SET('1','2','3','4','5','6','7','8','9'));
 let $test_table_slave = CREATE TABLE t1 (a SET('4'));
 let $test_insert = INSERT INTO t1 VALUES ('4');
 source include/test_fieldsize.inc;
 
 #
-# Test: Checking FIELD_TYPE_STRING fields
+# Test: Checking DRIZZLE_TYPE_STRING fields
 #
---echo Checking FIELD_TYPE_STRING fields
+--echo Checking DRIZZLE_TYPE_STRING fields
 let $test_table_master = CREATE TABLE t1 (a CHAR(20));
 let $test_table_slave = CREATE TABLE t1 (a CHAR(10));
 let $test_insert = INSERT INTO t1 VALUES ('This is a test.');
 source include/test_fieldsize.inc;
 
 #
-# Test: Checking FIELD_TYPE_ENUM fields
+# Test: Checking DRIZZLE_TYPE_ENUM fields
 #
---echo Checking FIELD_TYPE_ENUM fields
+--echo Checking DRIZZLE_TYPE_ENUM fields
 let $test_table_master = CREATE TABLE t1 (a ENUM(
             '01','02','03','04','05','06','07','08','09',
             '11','12','13','14','15','16','17','18','19',
@@ -133,9 +133,9 @@
 source include/test_fieldsize.inc;
 
 #
-# Test: Checking FIELD_TYPE_VARCHAR fields
+# Test: Checking DRIZZLE_TYPE_VARCHAR fields
 #
---echo Checking FIELD_TYPE_VARCHAR fields
+--echo Checking DRIZZLE_TYPE_VARCHAR fields
 let $test_table_master = CREATE TABLE t1 (a VARCHAR(2000));
 let $test_table_slave = CREATE TABLE t1 (a VARCHAR(100));
 let $test_insert = INSERT INTO t1 VALUES ('This is a test.');
@@ -152,9 +152,9 @@
 source include/test_fieldsize.inc;
 
 #
-# Test: Checking FIELD_TYPE_BLOB fields
+# Test: Checking DRIZZLE_TYPE_BLOB fields
 #
---echo Checking FIELD_TYPE_BLOB fields
+--echo Checking DRIZZLE_TYPE_BLOB fields
 let $test_table_master = CREATE TABLE t1 (a LONGBLOB);
 let $test_table_slave = CREATE TABLE t1 (a TINYBLOB);
 let $test_insert = INSERT INTO t1 VALUES ('This is a test.');

